2014-09-25  Carlos Garcia Campos  <cgarcia@igalia.com>

        Unreviewed. Update NEWS and Versions.m4 for 2.4.6 release.

        * NEWS: Added release notes for 2.4.6.

2014-08-26  Carlos Garcia Campos  <cgarcia@igalia.com>

        Unreviewed. Update NEWS and Versions.m4 for 2.4.5 release.

        * NEWS: Added release notes for 2.4.5.

2014-07-08  Carlos Garcia Campos  <cgarcia@igalia.com>

        Unreviewed. Update NEWS and Versions.m4 for 2.4.4 release.

        * NEWS: Added release notes for 2.4.4.

2014-07-04  Carlos Garcia Campos  <cgarcia@igalia.com>

        [GTK][Stable] Google Maps doesn't work with Version/X in the user agent
        https://bugs.webkit.org/show_bug.cgi?id=134631

        Reviewed by Sergio Villar Senin.

        Remove user agent quirks for google domains, since they are now
        implemented in WebCore.

        * WebCoreSupport/FrameLoaderClientGtk.cpp:
        (WebKit::FrameLoaderClient::userAgent): Pass the WebCore::URL
        const reference to webkitWebSettingsUserAgentForURI().
        * webkit/webkitwebsettings.cpp:
        (webkitWebSettingsUserAgentForURI): Use
        WebCore::standardUserAgentForURL() when site specific quirks are enabled.
        * webkit/webkitwebsettingsprivate.h:

2014-05-26  Carlos Garcia Campos  <cgarcia@igalia.com>

        Unreviewed. Update NEWS and Versions.m4 for 2.4.3 release.

        * NEWS: Added release notes for 2.4.3.

2014-05-12  Carlos Garcia Campos  <cgarcia@igalia.com>

        Unreviewed. Update NEWS and Versions.m4 for 2.4.2 release.

        * NEWS: Added release notes for 2.4.2.

2014-04-14  Carlos Garcia Campos  <cgarcia@igalia.com>

        Unreviewed. Update NEWS and Versions.m4 for 2.4.1 release.

        * NEWS: Added release notes for 2.4.1.

2014-03-28  Diego Pino Garcia  <dpino@igalia.com>

        [GTK] Too many redirects visiting www.globalforestwatch.org
        https://bugs.webkit.org/show_bug.cgi?id=129681

        Reviewed by Martin Robinson.

        * webkit/webkitwebsettings.cpp:
        (userAgentForURL): Change outdated comment.

2014-03-24  Carlos Garcia Campos  <cgarcia@igalia.com>

        Unreviewed. Update NEWS and Versions.m4 for 2.4.0 release.

        * NEWS: Added release notes for 2.4.0.

2014-03-17  Carlos Garcia Campos  <cgarcia@igalia.com>

        Unreviewed. Update NEWS and Versions.m4 for 2.3.92 release.

        * NEWS: Added release notes for 2.3.92.

2014-03-12  Carlos Garcia Campos  <cgarcia@igalia.com>

        [GTK] [Stable] deadlock in gobject introspection
        https://bugs.webkit.org/show_bug.cgi?id=125651

        Reviewed by Sergio Villar Senin.

        * webkit/webkitglobals.cpp:
        (webkitExit): Dot not try to unref the default network session, it
        will be finalized automatically when the process finishes.

2014-03-03  Carlos Garcia Campos  <cgarcia@igalia.com>

        Unreviewed. Update NEWS and Versions.m4 for 2.3.91 release.

        * NEWS: Added release notes for 2.3.91.

2014-02-17  Carlos Garcia Campos  <cgarcia@igalia.com>

        Unreviewed. Update NEWS and Versions.m4 for 2.3.90 release.

        * NEWS: Added release notes for 2.3.90.

2014-02-10  Carlos Garcia Campos  <cgarcia@igalia.com>

        [GLIB] Add GUniqueOutPtr and use it instead of GOwnPtr
        https://bugs.webkit.org/show_bug.cgi?id=127554

        Reviewed by Gustavo Noronha Silva.

        Use GUniqueOutPtr instead of GOwnPtr.

        * WebCoreSupport/FrameLoaderClientGtk.cpp:
        (WebKit::FrameLoaderClient::dispatchDidFailLoad):
        * WebCoreSupport/TextCheckerClientGtk.cpp:
        * webkit/webkitdownload.cpp:
        (webkit_download_open_stream_for_uri):
        (webkit_download_set_destination_uri):
        (webkit_download_received_data):
        * webkit/webkitwebplugin.cpp:
        (webkit_web_plugin_get_path):
        * webkit/webkitwebview.cpp:
        (webkit_web_view_expose_event):

2014-02-09  Carlos Garnacho  <carlosg@gnome.org>

        [GTK] Allow building with touch events enabled
        https://bugs.webkit.org/show_bug.cgi?id=98931

        Reviewed by Carlos Garcia Campos.

        Even though WebKit1 GTK code doesn't implement touch events,
        Fix build if ENABLE_TOUCH_EVENTS is present for WK2.

        * WebCoreSupport/ChromeClientGtk.h:
        (WebKit::ChromeClient::needTouchEvents): Add empty stub

2014-02-05  Carlos Garcia Campos  <cgarcia@igalia.com>

        Unreviewed. Update NEWS and Versions.m4 for 2.3.5 release.

        * NEWS: Added release notes for 2.3.5.

2014-01-29  Csaba Osztrogonác  <ossy@webkit.org>

        Remove ENABLE(JAVASCRIPT_DEBUGGER) guards
        https://bugs.webkit.org/show_bug.cgi?id=127840

        Reviewed by Mark Lam.

        * webkit/webkitwebinspector.cpp:
        (webkit_web_inspector_set_property):
        (webkit_web_inspector_get_property):

2014-01-27  Carlos Garcia Campos  <cgarcia@igalia.com>

        [GTK] Make webkit_uri_scheme_request_get_web_view() work with CustomProtocols
        https://bugs.webkit.org/show_bug.cgi?id=127614

        Reviewed by Gustavo Noronha Silva.

        Remove initiatingPageID() method from FrameNetworkingContext.

        * WebCoreSupport/FrameNetworkingContextGtk.cpp:
        * WebCoreSupport/FrameNetworkingContextGtk.h:

2014-01-27  Carlos Garcia Campos  <cgarcia@igalia.com>

        Unreviewed. Fix GTK+ build after r162808.

        * webkit/webkitwebhistoryitem.cpp:
        (webkit_web_history_item_new_with_data):
        (webkit_web_history_item_get_last_visited_time):

2014-01-25  Anders Carlsson  <andersca@apple.com>

        Remove an unused FrameLoaderClient function
        https://bugs.webkit.org/show_bug.cgi?id=127628

        Reviewed by Andreas Kling.

        * WebCoreSupport/FrameLoaderClientGtk.cpp:
        * WebCoreSupport/FrameLoaderClientGtk.h:

2014-01-24  Anders Carlsson  <andersca@apple.com>

        GTK+ build fix.

        * webkit/webkitwebview.cpp:
        (webkit_web_view_can_go_back):

2014-01-24  Anders Carlsson  <andersca@apple.com>

        Remove back/forward list related functions from Page
        https://bugs.webkit.org/show_bug.cgi?id=127596

        Reviewed by Andreas Kling.

        * webkit/webkitwebview.cpp:
        (webkit_web_view_set_maintains_back_forward_list):
        (webkit_web_view_get_back_forward_list):
        (webkit_web_view_go_back):
        (webkit_web_view_go_back_or_forward):
        (webkit_web_view_go_forward):
        (webkit_web_view_can_go_back_or_forward):
        (webkit_web_view_can_go_forward):

2014-01-24  Enrique Ocaña González  <eocanha@igalia.com>

        [GTK] Put cache files in XDG_CACHE_HOME
        https://bugs.webkit.org/show_bug.cgi?id=123458

        Reviewed by Martin Robinson.

        * webkit/webkitglobals.cpp:
        (webkitInit):
        * webkit/webkiticondatabase.cpp:

2014-01-23  Joseph Pecoraro  <pecoraro@apple.com>

        Web Inspector: Remove recompileAllJSFunctions timer in ScriptDebugServer
        https://bugs.webkit.org/show_bug.cgi?id=127409

        Reviewed by Geoffrey Garen.

        * WebCoreSupport/InspectorClientGtk.cpp:
        (WebKit::InspectorFrontendClient::destroyInspectorWindow):
        Include InspectorDisconnectReason.

2014-01-23  Max Vujovic  <mvujovic@adobe.com>

        Remove CSS Custom Filters code and tests
        https://bugs.webkit.org/show_bug.cgi?id=127382

        Reviewed by Simon Fraser.

        * WebCoreSupport/DumpRenderTreeSupportGtk.cpp:
        * WebCoreSupport/DumpRenderTreeSupportGtk.h:
        * webkit/webkitwebsettings.cpp:
        (webkit_web_settings_class_init):
        (webkit_web_settings_set_property):
        (webkit_web_settings_get_property):
        * webkit/webkitwebsettingsprivate.h:
        * webkit/webkitwebview.cpp:
        (webkit_web_view_update_settings):
        (webkit_web_view_settings_notify):

2014-01-22  Carlos Garcia Campos  <cgarcia@igalia.com>

        [GLIB] Use GUniquePtr instead of GOwnPtr
        https://bugs.webkit.org/show_bug.cgi?id=127431

        Reviewed by Martin Robinson.

        GUniquePtr is a template alias of std::unique_ptr with a custom
        deleter that replaces GOwnPtr. GOwnPtr is still used for the cases
        where the output pointer is needed, but it will also be replaced soon.

        * WebCoreSupport/ContextMenuClientGtk.cpp:
        (WebKit::getUnicodeMenuItemPosition):
        * WebCoreSupport/DragClientGtk.cpp:
        (WebKit::DragClient::startDrag):
        * WebCoreSupport/DumpRenderTreeSupportGtk.cpp:
        (DumpRenderTreeSupportGtk::setValueForUser):
        * WebCoreSupport/EditorClientGtk.h:
        * WebCoreSupport/FrameLoaderClientGtk.cpp:
        (WebKit::FrameLoaderClient::userAgent):
        (WebKit::FrameLoaderClient::dispatchDidReceiveAuthenticationChallenge):
        (WebKit::FrameLoaderClient::dispatchWillSendRequest):
        (WebKit::FrameLoaderClient::assignIdentifierToInitialRequest):
        (WebKit::FrameLoaderClient::dispatchDidReceiveResponse):
        (WebKit::FrameLoaderClient::dispatchDidReceiveContentLength):
        (WebKit::FrameLoaderClient::dispatchDidFinishLoading):
        (WebKit::FrameLoaderClient::dispatchDidFailLoading):
        (WebKit::FrameLoaderClient::dispatchDidFailLoad):
        * WebCoreSupport/InspectorClientGtk.h:
        * webkit/webkitfavicondatabase.cpp:
        (webkit_favicon_database_set_path):
        * webkit/webkitfilechooserrequest.cpp:
        * webkit/webkitglobals.cpp:
        (webkitInit):
        * webkit/webkithittestresult.cpp:
        (WebKit::kit):
        * webkit/webkiticondatabase.cpp:
        (webkit_icon_database_set_path):
        * webkit/webkitspellcheckerenchant.cpp:
        * webkit/webkitwebplugin.cpp:
        (webkit_web_plugin_get_path):
        * webkit/webkitwebpluginprivate.h:
        * webkit/webkitwebsettings.cpp:
        (webkit_web_settings_class_init):
        (webkit_web_settings_copy):
        * webkit/webkitwebview.cpp:
        (webkit_web_view_forward_context_menu_event):
        (fileChooserDialogResponseCallback):
        (webkit_web_view_drag_end):
        * webkit/webkitwebviewprivate.h:

2014-01-22  Thiago de Barros Lacerda  <thiago.lacerda@openbossa.org>

        [EFL][GTK] Get EFL and GTK compiling with ACCESSIBILITY disabled
        https://bugs.webkit.org/show_bug.cgi?id=127119

        Reviewed by Mario Sanchez Prada.

        Guarding ACCESSIBILITY code with HAVE(ACCESSIBILITY).

        * webkit/webkitwebview.cpp:
        (webkit_web_view_class_init):

2014-01-18  Brian Burg  <bburg@apple.com>

        Web Inspector: Page should use std::unique_ptr for InspectorController
        https://bugs.webkit.org/show_bug.cgi?id=127068

        Reviewed by Joseph Pecoraro.

        Convert call sites to use a InspectorController reference.
        Convert instantiations of InspectorFrontendClient to use std::unique_ptr.

        * WebCoreSupport/ChromeClientGtk.cpp:
        (WebKit::paintWebView):
        * WebCoreSupport/InspectorClientGtk.cpp:
        (WebKit::InspectorClient::openInspectorFrontend):
        * webkit/webkitwebinspector.cpp:
        (webkit_web_inspector_set_property):
        (webkit_web_inspector_get_property):
        (webkit_web_inspector_show):
        (webkit_web_inspector_inspect_node):
        (webkit_web_inspector_inspect_coordinates):
        (webkit_web_inspector_close):
        (webkit_web_inspector_execute_script):

2014-01-17  Anders Carlsson  <andersca@apple.com>

        Remove another unused FrameLoaderClient callback
        https://bugs.webkit.org/show_bug.cgi?id=127192

        Reviewed by Dan Bernstein.

        * WebCoreSupport/FrameLoaderClientGtk.cpp:
        * WebCoreSupport/FrameLoaderClientGtk.h:

2014-01-17  Anders Carlsson  <andersca@apple.com>

        Remove didPerformFirstNavigation from all FrameLoaderClient subclasses
        https://bugs.webkit.org/show_bug.cgi?id=127190

        Reviewed by Dan Bernstein.

        Removing this shouldn't have any bad effects, but if that is the case it's possible to
        set the cache model in didCommitLoadForFrame, similar to what is done in r162224.

        * WebCoreSupport/FrameLoaderClientGtk.cpp:
        * WebCoreSupport/FrameLoaderClientGtk.h:

2014-01-16  Jaehun Lim  <ljaehun.lim@samsung.com>

        Use final instead of FINAL

        Unreviewed build fix.

        * WebCoreSupport/ProgressTrackerClientGtk.h:

2014-01-16  Peter Molnar  <pmolnar.u-szeged@partner.samsung.com>

        Remove workaround for compilers not supporting explicit override control
        https://bugs.webkit.org/show_bug.cgi?id=127111

        Reviewed by Anders Carlsson.

        Now all compilers support explicit override control, this workaround can be removed.

        * WebCoreSupport/EditorClientGtk.h:
        * WebCoreSupport/InspectorClientGtk.h:
        * WebCoreSupport/ProgressTrackerClientGtk.h:

2014-01-15  Zan Dobersek  <zdobersek@igalia.com>

        [GTK][WK1] Add ProgressTrackerClient implementation
        https://bugs.webkit.org/show_bug.cgi?id=127048

        Reviewed by Anders Carlsson.

        In r162034, the progress tracker client was separated from FrameLoaderClient into the
        ProgressTrackerClient class. This patch adds the WebKit layer implementation of that
        class for GTK-WK1 that's practically identical to the client implementation that was
        in use under WebKit::FrameLoaderClient.

        * GNUmakefile.am:
        * WebCoreSupport/FrameLoaderClientGtk.cpp:
        * WebCoreSupport/FrameLoaderClientGtk.h:
        * WebCoreSupport/ProgressTrackerClientGtk.cpp: Added.
        (WebKit::ProgressTrackerClient::ProgressTrackerClient):
        (WebKit::ProgressTrackerClient::progressTrackerDestroyed):
        (WebKit::ProgressTrackerClient::progressStarted):
        (WebKit::ProgressTrackerClient::progressEstimateChanged):
        (WebKit::ProgressTrackerClient::progressFinished):
        * WebCoreSupport/ProgressTrackerClientGtk.h: Added.
        * webkit/webkitwebview.cpp:
        (webkit_web_view_init):

2014-01-13  Carlos Garcia Campos  <cgarcia@igalia.com>

        [SOUP] Add SoupNetworkSession class to wrap a SoupSession
        https://bugs.webkit.org/show_bug.cgi?id=126813

        Reviewed by Gustavo Noronha Silva.

        * webkit/webkitglobals.cpp:
        (webkit_get_default_session): Use the new SoupNetworkSession API
        to get the default SoupSession

2014-01-13  Carlos Garcia Campos  <cgarcia@igalia.com>

        Unreviewed. Update NEWS and Versions.m4 for 2.3.4 release.

        * NEWS: Added release notes for 2.3.4.

2014-01-13  Commit Queue  <commit-queue@webkit.org>

        Unreviewed, rolling out r161808.
        http://trac.webkit.org/changeset/161808
        https://bugs.webkit.org/show_bug.cgi?id=126874

        This patch make several files to be always regenerated on
        every make (Requested by KaL on #webkit).

        * GNUmakefile.am:

2014-01-12  Carlos Garcia Campos  <cgarcia@igalia.com>

        Unreviewed. Fix make distcheck.

        * GNUmakefile.am: Add enum types template files to EXTRA_DIST.

2014-01-12  Tobias Mueller  <tobiasmue@gnome.org>

        --disable-dependency-tracking causes build failure due to missing directories
        https://bugs.webkit.org/show_bug.cgi?id=94488

        Reviewed by Gustavo Noronha Silva.

        Autotools build fix: Ensure output directory existing
        before generating DerivedSources. This allows for
        --disable-dependency-tracking to be run.

        * GNUmakefile.am: Added a new target of the directory in which files are meant to be stored ($(GENSOURCES_WEBKIT)).

2014-01-10  Anders Carlsson  <andersca@apple.com>

        Tweak ProgressTrackerClient functions
        https://bugs.webkit.org/show_bug.cgi?id=126808

        Reviewed by Sam Weinig.

        * WebCoreSupport/FrameLoaderClientGtk.cpp:
        (WebKit::FrameLoaderClient::progressStarted):
        (WebKit::FrameLoaderClient::progressEstimateChanged):
        (WebKit::FrameLoaderClient::progressFinished):
        * WebCoreSupport/FrameLoaderClientGtk.h:

2014-01-10  Anders Carlsson  <andersca@apple.com>

        Move progress tracking functions from FrameLoaderClient to a new ProgressTrackerClient
        https://bugs.webkit.org/show_bug.cgi?id=126801

        Reviewed by Sam Weinig.

        * WebCoreSupport/FrameLoaderClientGtk.h:
        * webkit/webkitwebview.cpp:
        (webkit_web_view_init):

2014-01-08  Claudio Saavedra  <csaavedra@igalia.com>

        [GTK] Add xdg.origin.url extended attribute to downloads
        https://bugs.webkit.org/show_bug.cgi?id=126638

        Reviewed by Carlos Garcia Campos.

        This is proposed by fdo in
        http://www.freedesktop.org/wiki/CommonExtendedAttributes/

        * webkit/webkitdownload.cpp:
        (webkit_download_open_stream_for_uri):

2014-01-04  Carlos Garcia Campos  <cgarcia@igalia.com>

        [GTK] Move all GTK/GObject unit tests to Tools/TestWebKitAPI
        https://bugs.webkit.org/show_bug.cgi?id=126342

        Reviewed by Gustavo Noronha Silva.

        * tests/CMakeLists.txt: Removed.
        * tests/GNUmakefile.am: Removed.

2014-01-06  László Langó  <lango@inf.u-szeged.hu>

        Use unsigned consistently, and check for invalid casts when calling into SharedBuffer from other code.
        https://bugs.webkit.org/show_bug.cgi?id=124579

        Reviewed by Anders Carlsson.

        * webkit/webkitdownload.cpp:
        (DownloadClient::didReceiveData):

2014-01-02  Carlos Garcia Campos  <cgarcia@igalia.com>

        REGRESSION(r160304): [GTK] Disable libtool fast install
        https://bugs.webkit.org/show_bug.cgi?id=126381

        Reviewed by Martin Robinson.

        * tests/GNUmakefile.am:

2014-01-02  Gavin Barraclough  <barraclough@apple.com>

        Merge didMoveOnscreen / page visibility to isVisible
        https://bugs.webkit.org/show_bug.cgi?id=126268

        Reviewed by Tim Horton.

        The onscreen state most closely tracks view visibility (though currently
        also tracks a mix of in-window state). Make more consistent, simplify,
        and move all animation suspension logic to Page, so it can be controlled
        by the PageThrottler.

        * WebCoreSupport/DumpRenderTreeSupportGtk.cpp:
        (DumpRenderTreeSupportGtk::setPageVisibility):
            - setVisibilityState -> setIsVisible/setIsPrerender.

2014-01-02  Zan Dobersek  <zdobersek@igalia.com>

        [GTK] Fix mismatched header guards in private WK1 header files
        https://bugs.webkit.org/show_bug.cgi?id=126390

        Reviewed by Martin Robinson.

        Fix three mismatched header guards that are producing warnings when building with Clang.

        * webkit/webkitsecurityoriginprivate.h:
        * webkit/webkitviewportattributesprivate.h:
        * webkit/webkitwebnavigationactionprivate.h:

2013-12-30  Martin Robinson  <mrobinson@igalia.com>

        [GTK] Make the output directory of GObject unit tests binaries consistent with the CMake build
        https://bugs.webkit.org/show_bug.cgi?id=126297

        Reviewed by Philippe Normand.

        * tests/GNUmakefile.am: Build the tests in the new directory.

2013-12-26  Martin Robinson  <mrobinson@igalia.com>

        Small build fix for the GTK+ CMake port

        * tests/CMakeLists.txt: Output the WebKit1 GObject API unit tests to the proper directory
        and fix the path to the generated API source.

2013-12-23  Martin Robinson  <mrobinson@igalia.com>

        [GTK] [CMake] Build the WebKit1 GObject API tests
        https://bugs.webkit.org/show_bug.cgi?id=125684

        Reviewed by Daniel Bates.

        * tests/CMakeLists.txt: Added.
        * tests/testapplicationcache.c: Use the WTF config.h instead of including the autotools configuration directly.
        * tests/testatk.c: Ditto.
        * tests/testatkroles.c: Ditto.
        * tests/testcontextmenu.c: Ditto.
        * tests/testcopyandpaste.c: Ditto.
        * tests/testdomdocument.c: Ditto.
        * tests/testdomdomwindow.c: Ditto.
        * tests/testdomnode.c: Ditto.
        * tests/testdownload.c: Ditto.
        * tests/testfavicondatabase.c: Ditto.
        * tests/testglobals.c: Ditto.
        * tests/testhittestresult.c: Ditto.
        * tests/testhttpbackend.c: Ditto.
        * tests/testkeyevents.c: Ditto.
        * tests/testloading.c: Ditto.
        * tests/testmimehandling.c: Ditto.
        * tests/testnetworkrequest.c: Ditto.
        * tests/testnetworkresponse.c: Ditto.
        * tests/testwebbackforwardlist.c: Ditto.
        * tests/testwebdatasource.c: Ditto.
        * tests/testwebframe.c: Ditto.
        * tests/testwebhistoryitem.c: Ditto.
        * tests/testwebinspector.c: Ditto.
        * tests/testwebplugindatabase.c: Ditto.
        * tests/testwebresource.c: Ditto.
        * tests/testwebsettings.c: Ditto.
        * tests/testwebview.c: Ditto.
        * tests/testwindow.c: Ditto.

2013-12-20  Enrique Ocaña González  <eocanha@igalia.com>

        [GTK] The fullscreen API should be enabled by default
        https://bugs.webkit.org/show_bug.cgi?id=125993

        Reviewed by Gustavo Noronha Silva.

        Set the WebSettings property to TRUE

        * webkit/webkitwebsettings.cpp:
        (webkit_web_settings_class_init):

2013-12-16  Martin Robinson  <mrobinson@igalia.com>

        [GTK] [CMake] Add support for building WebKit1
        https://bugs.webkit.org/show_bug.cgi?id=116377

        Reviewed by Gustavo Noronha Silva.

        * GNUmakefile.am: Switch to using the templates for building the GObject enums.
        * webkit/webkitenumtypes.cpp.template: Added.
        * webkit/webkitenumtypes.h.template: Added.

2013-12-18  Carlos Garcia Campos  <cgarcia@igalia.com>

        Unreviewed. Update NEWS and Versions.m4 for 2.3.3 release.

        * NEWS: Added release notes for 2.3.3.

2013-12-11  Joseph Pecoraro  <pecoraro@apple.com>

        Web Inspector: Push More Inspector Required Classes Down into JavaScriptCore
        https://bugs.webkit.org/show_bug.cgi?id=125324

        Reviewed by Timothy Hatcher.

        * webkit/webkitwebview.cpp:

2013-12-11  José Dapena Paz  <jdapena@igalia.com> and Zan Dobersek  <zdobersek@igalia.com>

        [GTK] Add a UPower-based BatteryProvider
        https://bugs.webkit.org/show_bug.cgi?id=115719

        Reviewed by Martin Robinson.

        * GNUmakefile.am: Link the libwebkigtk library against the upower-glib library.

2013-12-11  José Dapena Paz  <jdapena@igalia.com> and Zan Dobersek  <zdobersek@igalia.com>

        [GTK][WK1] Add an empty BatteryClientGtk
        https://bugs.webkit.org/show_bug.cgi?id=115628

        Reviewed by Martin Robinson.

        Add an empty BatteryClientGtk, implementing the WebCore's BatteryClient interface.
        The implementation is left empty intentionally as the WebKit1 port is now in maintenance
        mode and there's no desire to support new features under it. It's still required as the
        WebCore implementation of the Battery Status API expects an existing BatteryClient, even
        if the latter does not set up a provider that would then serve information about the battery
        state.

        * GNUmakefile.am: Add the BatteryClientGtk source files to the build.
        * WebCoreSupport/BatteryClientGtk.cpp: Added.
        (WebKit):
        (WebKit::BatteryClientGtk::BatteryClientGtk):
        (WebKit::BatteryClientGtk::startUpdating):
        (WebKit::BatteryClientGtk::stopUpdating):
        (WebKit::BatteryClientGtk::batteryControllerDestroyed):
        * WebCoreSupport/BatteryClientGtk.h: Added.
        (WebKit):
        (BatteryClientGtk):
        * webkit/webkitwebview.cpp:
        (webkit_web_view_init): Set up the BatteryClientGtk for the new WebCore::Page object.

2013-12-11  Brendan Long  <b.long@cablelabs.com>

        [GTK] Add "enable-mediasource" property to WebKitWebSettings
        https://bugs.webkit.org/show_bug.cgi?id=125566

        Reviewed by Philippe Normand.

        * tests/testwebsettings.c:
        (test_webkit_web_settings_copy):
        * webkit/webkitwebsettings.cpp:
        (webkit_web_settings_class_init):
        (webkit_web_settings_set_property):
        (webkit_web_settings_get_property):
        * webkit/webkitwebsettingsprivate.h:
        * webkit/webkitwebview.cpp:
        (webkit_web_view_update_settings):
        (webkit_web_view_settings_notify):

2013-12-10  Joanmarie Diggs  <jdiggs@igalia.com>

        AX: [ATK] Convert the get_text atktest.c unit tests to layout tests
        https://bugs.webkit.org/show_bug.cgi?id=125497

        Reviewed by Mario Sanchez Prada.

        * tests/testatk.c: Remove the portions of the remaining tests which now exist as
        layout tests.
        (testWebkitAtkCaretOffsets):
        (testWebkitAtkCaretOffsetsAndExtranousWhiteSpaces):
        (testWebkitAtkComboBox):
        (testWebkitAtkEmbeddedObjects):
        (testWebkitAtkTextSelections):
        (testWebkitAtkListsOfItems):
        (main):

2013-12-09  Joanmarie Diggs  <jdiggs@igalia.com>

        AX: [ATK] Convert the get_{string,text}_at_offset atktest.c unit tests to layout tests
        https://bugs.webkit.org/show_bug.cgi?id=125451

        Reviewed by Mario Sanchez Prada.

        * tests/testatk.c: Remove the tests which now exist as layout tests. Note that the
        tests for atk_text_get_text_{before,after}_offset were removed without equivalents
        added to the layout tests. The same is true for the END AtkTextBoundary types. Both
        have been deprecated in ATK and are not being used by AT-SPI2 assistive technologies.
        (testGetTextFunction):
        (main):

2013-12-08  Martin Robinson  <mrobinson@igalia.com>

        [WK2][Soup] Use didReceiveBuffer instead of didReceiveData
        https://bugs.webkit.org/show_bug.cgi?id=118598

        Reviewed by Gustavo Noronha Silva.

        Original patch by Kwang Yul Seo  <skyul@company100.net> and Csaba OsztrogonÃ¡c  <ossy@webkit.org>.

        Switch from using didReceiveData to didReceiveBuffer for the Soup backend and
        let SharedBuffer wrap a SoupBuffer. This is necessary because the NetworkProcess
        only supports getting data via SharedBuffer.

        * webkit/webkitdownload.cpp:
        (DownloadClient::didReceiveData): Replace with ASSERT_NOT_REACHED.
        (DownloadClient::didReceiveBuffer): Use this to process incoming data.

2013-12-07  Gustavo Noronha Silva  <gns@gnome.org>

        Fix API test expectation following 160220.

        Rubber-stamped by Martin Robinson.

        * tests/testatkroles.c:
        (finish_loading): rename variable documentFrame -> document.
        (test_webkit_atk_get_role_document_frame): check for ATK_ROLE_DOCUMENT_WEB instead of
        ATK_ROLE_DOCUMENT_FRAME.
        (test_webkit_atk_get_role_heading): rename variable documentFrame -> document.
        (test_webkit_atk_get_role_image): ditto.
        (test_webkit_atk_get_role_link): ditto.
        (test_webkit_atk_get_role_list_and_item): ditto.
        (test_webkit_atk_get_role_paragraph): ditto.
        (test_webkit_atk_get_role_section): ditto.
        (test_webkit_atk_get_role_table): ditto.
        (test_webkit_atk_get_role_separator): ditto.
        (test_webkit_atk_get_role_combobox): ditto.
        (test_webkit_atk_get_role_form): ditto.
        (test_webkit_atk_get_role_check_box): ditto.
        (test_webkit_atk_get_role_entry): ditto.
        (test_webkit_atk_get_role_label): ditto.
        (test_webkit_atk_get_role_listbox): ditto.
        (test_webkit_atk_get_role_password_text): ditto.
        (test_webkit_atk_get_role_push_button): ditto.
        (test_webkit_atk_get_role_radio_button): ditto.

2013-12-05  Carlos Garcia Campos  <cgarcia@igalia.com>

        [GTK] Fix GObject introspection warnings in webkitspellchecker
        https://bugs.webkit.org/show_bug.cgi?id=125299

        Reviewed by Philippe Normand.

        * webkit/webkitspellchecker.cpp: Add missing ':' after some
        gobject-introspection annotations.

2013-12-03  Joseph Pecoraro  <pecoraro@apple.com>

        Web Inspector: Push Remote Inspector debugging connection management into JavaScriptCore
        https://bugs.webkit.org/show_bug.cgi?id=124613

        Reviewed by Timothy Hatcher.

        * WebCoreSupport/InspectorClientGtk.h:

2013-12-02  Gustavo Noronha Silva  <gustavo.noronha@collabora.com>

        [GTK] GTK2 paint code path does not render AC layers
        https://bugs.webkit.org/show_bug.cgi?id=124967

        Reviewed by Carlos Garcia Campos.

        * webkit/webkitwebview.cpp:
        (webkit_web_view_expose_event): also paint AC layers when painting the widget,
        when AC is on.

2013-11-28  Gustavo Noronha Silva  <gustavo.noronha@collabora.com>

        REGRESSION(r154658): webkit_web_view_get_view_source_mode always returns false
        https://bugs.webkit.org/show_bug.cgi?id=124954

        Reviewed by Carlos Garcia Campos.

        * tests/testwebview.c: new test to ensure setting and getting source mode work as intended.
        * webkit/webkitwebview.cpp:
        (webkit_web_view_get_view_source_mode): actually return the value we query from WebCore.

2013-11-18  Carlos Garcia Campos  <cgarcia@igalia.com>

        Unreviewed. Update NEWS and Versions.m4 for 2.3.2 release.

        * NEWS: Added release notes for 2.3.2.

2013-11-05  Xabier Rodriguez Calvar  <calvaris@igalia.com>

        [GStreamer] Remove NATIVE_FULLSCREEN_VIDEO support
        https://bugs.webkit.org/show_bug.cgi?id=123437

        Reviewed by Philippe Normand.

        Removed some dead code as no GStreamer port is using the native
        fullscreen video support.

        * WebCoreSupport/ChromeClientGtk.cpp:
        (WebKit::ChromeClient::enterFullScreenForElement):
        (WebKit::ChromeClient::exitFullScreenForElement):
        * WebCoreSupport/ChromeClientGtk.h: Removed code related to
        GStreamer and NATIVE_FULLSCREEN_VIDEO.

2013-11-04  Manuel Rego Casasnovas  <rego@igalia.com>

        [GTK][WK1] Enable CSS Regions if feature flag is set to TRUE
        https://bugs.webkit.org/show_bug.cgi?id=123739

        Reviewed by Martin Robinson.

        In WK1 CSS Regions were always disabled even if you set the feature flag
        ENABLE_CSS_REGIONS to TRUE. Enabling CSS Regions support in that case.

        * webkit/webkitwebview.cpp:
        (webkit_web_view_update_settings): Enable CSS Regions if feautre flag is
        set to TRUE.

2013-10-29  Carlos Garcia Campos  <cgarcia@igalia.com>

        Unreviewed. Update NEWS and Versions.m4 for 2.3.1 release.

        * NEWS: Added release notes for 2.3.1.

2013-10-28  Bastien Nocera <hadess@hadess.net>

        Name all the GLib timeout sources
        https://bugs.webkit.org/show_bug.cgi?id=123229

        Reviewed by Anders Carlsson.

        Give a name to GLib timeout sources, this is helpful when
        profiling WebKitGTK applications.

2013-10-28  Bastien Nocera <hadess@hadess.net>

        Replace 0 timeouts g_timeout_add() by g_idle_add()
        https://bugs.webkit.org/show_bug.cgi?id=123260

        Reviewed by Carlos Garcia Campos.

        A zero timeout should be equivalent to using g_idle_add_full(G_PRIORITY_DEFAULT, ...)
        without the nagging feeling that the wrong API was used.

        * WebCoreSupport/ChromeClientGtk.cpp: Use g_idle_add() instead
        of 0-timer.
        (WebKit::ChromeClient::closeWindowSoon):
        (WebKit::ChromeClient::widgetSizeChanged):
        * WebCoreSupport/GtkAdjustmentWatcher.cpp: Ditto.
        (WebKit::GtkAdjustmentWatcher::updateAdjustmentsFromScrollbarsLater):
        * webkit/webkitwebview.cpp: Ditto.
        (webkit_web_view_get_subresources):

2013-10-21  Zan Dobersek  <zdobersek@igalia.com>

        [GTK] g-ir-scanner should use the configured C compiler
        https://bugs.webkit.org/show_bug.cgi?id=123088

        Reviewed by Carlos Garcia Campos.

        * GNUmakefile.am: Pass the C compiler that was detected at configuration to the g-ir-scanner command
        via the CC environment variable. This solves the issue of the scanner running the GCC compiler with
        the Clang-specific CFLAGS.

2013-10-17  Andreas Kling  <akling@apple.com>

        Massage the Gtk build.

        * WebCoreSupport/EditorClientGtk.cpp:
        (WebKit::EditorClient::shouldApplyStyle):

2013-10-16  Jochen Eisinger  <jochen@chromium.org>

        A page should exit fullscreen mode if it opens a new popup
        https://bugs.webkit.org/show_bug.cgi?id=122865

        Reviewed by Jer Noble.

        If a fullscreen page opens a popup, the popup would be hidden and
        therefore invisible to the user. To avoid this, exit fullscreen mode
        before opening a new window.

        * WebCoreSupport/ChromeClientGtk.cpp:
        (WebKit::ChromeClient::createWindow):

2013-10-09  Mario Sanchez Prada  <mario.prada@samsung.com>

        [ATK] Implement new API in AtkText: atk_text_get_string_at_offset()
        https://bugs.webkit.org/show_bug.cgi?id=120638

        Reviewed by Gustavo Noronha Silva.

        Update ATK unit test to check the new API as well if the version
        of ATK is new enough.

        * tests/testatk.c:
        (testGetStringFunction): New helper function, to check the new API.
        (runGetStringTests): Ditto.
        (testWebkitAtkGetStringAtOffset): New unit test, similar to the
        one already present to check the old API but focused in the new one.
        (testWebkitAtkGetStringAtOffsetNewlines): Ditto.
        (testWebkitAtkGetStringAtOffsetTextarea): Ditto.
        (testWebkitAtkGetStringAtOffsetTextInput): Ditto.
        (testWebkitAtkGetStringAtOffsetWithPreformattedText): Ditto.
        (testWebkitAtkGetStringAtOffsetWithSpecialCharacters): Ditto.
        (testWebkitAtkGetStringAtOffsetWithWrappedLines): Ditto.
        (testWebkitAtkGetStringAtOffsetWithEmbeddedObjects): Ditto.
        (testWebkitAtkGetExtents): Add checks for the new API, if possible.
        (testWebkitAtkLinksWithInlineImages): Ditto.
        (main): Add the new unit tests to check the new API, if possible.

2013-10-07  Sam Weinig  <sam@webkit.org>

        Consolidate findString functions
        https://bugs.webkit.org/show_bug.cgi?id=122480

        Reviewed by Darin Adler.

        * webkit/webkitwebview.cpp:
        (webkit_web_view_search_text):

2013-10-07  Sam Weinig  <sam@webkit.org>

        CTTE: Use references in and around DragController
        https://bugs.webkit.org/show_bug.cgi?id=122427

        Reviewed by Andreas Kling.

        * WebCoreSupport/DragClientGtk.cpp:
        (WebKit::DragClient::willPerformDragDestinationAction):
        (WebKit::DragClient::willPerformDragSourceAction):
        (WebKit::DragClient::actionMaskForDrag):
        (WebKit::DragClient::startDrag):
        * WebCoreSupport/DragClientGtk.h:
        * webkit/webkitwebview.cpp:
        (dragExitedCallback):
        (webkit_web_view_drag_motion):
        (webkit_web_view_drag_data_received):
        (webkit_web_view_drag_drop):

2013-10-04  Philippe Normand  <pnormand@igalia.com>

        [GTK] UserMediaClientGtk needs API update
        https://bugs.webkit.org/show_bug.cgi?id=122324

        Reviewed by Martin Robinson.

        Update UserMediaClientGtk API after changes made in the parent
        class in r156473.

        * WebCoreSupport/UserMediaClientGtk.cpp:
        (WebKit::UserMediaClientGtk::requestPermission):
        (WebKit::UserMediaClientGtk::cancelRequest):
        * WebCoreSupport/UserMediaClientGtk.h:

2013-10-05  Zan Dobersek  <zdobersek@igalia.com>

        Unreviewed GTK build fix after r156946. The framePolicyFunction is an attribute
        on the WebKitWebPolicyDecisionPrivate object.

        * webkit/webkitwebpolicydecision.cpp:
        (webkit_web_policy_decision_use):
        (webkit_web_policy_decision_ignore):
        (webkit_web_policy_decision_download):

2013-10-04  Darin Adler  <darin@apple.com>

        text-transform: lowercase is not lang-dependent (Turkish languages : tr,az)
        https://bugs.webkit.org/show_bug.cgi?id=21312

        Reviewed by Ryosuke Niwa.

        * WebCoreSupport/DumpRenderTreeSupportGtk.cpp:
        (DumpRenderTreeSupportGtk::doCommand): Use StringImpl::upper instead of
        StringImpl::makeUpper.

2013-10-04  Anders Carlsson  <andersca@apple.com>

        FramePolicyFunction should be an std::function
        https://bugs.webkit.org/show_bug.cgi?id=122362

        Reviewed by Darin Adler.

        * WebCoreSupport/FrameLoaderClientGtk.cpp:
        (WebKit::FrameLoaderClient::dispatchWillSubmitForm):
        (WebKit::FrameLoaderClient::dispatchDecidePolicyForResponse):
        (WebKit::FrameLoaderClient::dispatchDecidePolicyForNewWindowAction):
        * WebCoreSupport/FrameLoaderClientGtk.h:
        * webkit/webkitwebpolicydecision.cpp:
        (webkit_web_policy_decision_use):
        (webkit_web_policy_decision_ignore):
        (webkit_web_policy_decision_download):

2013-10-03  Sam Weinig  <sam@webkit.org>

        Remove shouldRubberBandInDirection from the WKBundlePageUIClient
        https://bugs.webkit.org/show_bug.cgi?id=122309

        Reviewed by Andreas Kling.

        * WebCoreSupport/ChromeClientGtk.h:

2013-10-01  Sam Weinig  <sam@webkit.org>

        CTTE: DOMWrapperWorlds should be passed around by reference
        https://bugs.webkit.org/show_bug.cgi?id=122206

        Reviewed by Andreas Kling.

        * WebCoreSupport/FrameLoaderClientGtk.cpp:
        (WebKit::FrameLoaderClient::dispatchDidClearWindowObjectInWorld):
        * WebCoreSupport/FrameLoaderClientGtk.h:

2013-09-30  Benjamin Poulain  <benjamin@webkit.org>

        Remove the code guarded by STYLE_SCOPED
        https://bugs.webkit.org/show_bug.cgi?id=122123

        Reviewed by Anders Carlsson.

        * WebCoreSupport/DumpRenderTreeSupportGtk.cpp:
        * WebCoreSupport/DumpRenderTreeSupportGtk.h:

2013-09-28  Darin Adler  <darin@apple.com>

        Add Frame::mainFrame and Frame::isMainFrame
        https://bugs.webkit.org/show_bug.cgi?id=122064

        Reviewed by Andreas Kling.

        * WebCoreSupport/FrameLoaderClientGtk.cpp:
        (WebKit::FrameLoaderClient::assignIdentifierToInitialRequest):
        Call isMainFrame.

2013-09-28  Philippe Normand  <pnormand@igalia.com>

        Unreviewed GTK build fix after r156560.

        * WebCoreSupport/AcceleratedCompositingContext.h:

2013-09-26  Darin Adler  <darin@apple.com>

        rename KURL to URL
        https://bugs.webkit.org/show_bug.cgi?id=16214

        Reviewed by Andreas Kling.

        * many files: Renamed, using script.

2013-09-27  Darin Adler  <darin@apple.com>

        Add empty MainFrame class
        https://bugs.webkit.org/show_bug.cgi?id=121770

        Reviewed by Andreas Kling.

        * WebCoreSupport/AcceleratedCompositingContextGL.cpp:
        * WebCoreSupport/ChromeClientGtk.cpp:
        * WebCoreSupport/FrameLoaderClientGtk.cpp:
        * WebCoreSupport/GtkAdjustmentWatcher.cpp:
        * webkit/webkitwebframe.cpp:
        * webkit/webkitwebview.cpp:
        * webkit/webkitviewportattributes.cpp:
        Include MainFrame.h instead of Frame.h as needed.

2013-09-25  Brent Fulgham  <bfulgham@apple.com>

        Refactor RuntimeEnabledFeatures as a Singleton.
        https://bugs.webkit.org/show_bug.cgi?id=121883.

        Reviewed by Jer Noble.

        * WebCoreSupport/DumpRenderTreeSupportGtk.cpp:
        (DumpRenderTreeSupportGtk::setCSSRegionsEnabled): Use singleton.
        (DumpRenderTreeSupportGtk::setExperimentalContentSecurityPolicyFeaturesEnabled):
        (DumpRenderTreeSupportGtk::setSeamlessIFramesEnabled):
        (DumpRenderTreeSupportGtk::setShadowDOMEnabled):
        (DumpRenderTreeSupportGtk::setStyleScopedEnabled):
        * webkit/webkitwebview.cpp:
        (webkit_web_view_update_settings): Ditto.

2013-09-24  Lorenzo Tilve  <ltilve@igalia.com>

        [GTK] Fix compilation problems when setting ENABLE_DRAG_SUPPORT = FALSE
        https://bugs.webkit.org/show_bug.cgi?id=121782

        Reviewed by Martin Robinson.

        Disabled drag functions.

        * WebCoreSupport/DragClientGtk.cpp:
        * WebCoreSupport/DragClientGtk.h:

2013-09-24  Zan Dobersek  <zdobersek@igalia.com>

        [GTK] Fix accelerated compositing disabling under Wayland displays
        https://bugs.webkit.org/show_bug.cgi?id=121788

        Reviewed by Gustavo Noronha Silva.

        * webkit/webkitwebview.cpp:
        (updateAcceleratedCompositingSetting): Fix a ridiculous early return in the case of disabling the accelerated
        compositing setting. There's no need to re-disable the setting if it was already disabled, but it should
        definitely be disabled if the setting was previously enabled.

2013-09-22  Zan Dobersek  <zdobersek@igalia.com>

        Unreviewed, GTK build fix when building with GTK+ 2.0.
        Patch provided by Dominique Leuenberger <dimstar@opensuse.org>.

        * WebCoreSupport/AcceleratedCompositingContextGL.cpp: Include GtkVersioning.h to set up
        the mock GDK_IS_X11_DISPLAY macro if it's not provided by the GTK+ headers.

2013-09-20  Mario Sanchez Prada  <mario.prada@samsung.com>

        [ATK] Do not expose aria-help in ATK based platforms
        https://bugs.webkit.org/show_bug.cgi?id=121675

        Reviewed by Chris Fleizach.

        Removed accessibilityHelpText() helper method from
        DumpRenderSupportGtk's API, since it's not longer needed.

        * WebCoreSupport/DumpRenderTreeSupportGtk.cpp: Removed method.
        * WebCoreSupport/DumpRenderTreeSupportGtk.h: Ditto.

2013-09-16  Enrica Casucci  <enrica@apple.com>

        Remove unused function didSetSelectionTypesForPasteboard from EditorClient.
        https://bugs.webkit.org/show_bug.cgi?id=121464

        Reviewed by Darin Adler.

        * WebCoreSupport/EditorClientGtk.cpp:
        * WebCoreSupport/EditorClientGtk.h:

2013-09-16  Gustavo Noronha Silva  <gns@gnome.org>

        [GTK] Make symbol export filter more strict, and disable for dev/test builds
        https://bugs.webkit.org/show_bug.cgi?id=120586

        Reviewed by Martin Robinson.

        * GNUmakefile.am: only use the version script when in developer mode..

2013-09-14  Alberto Garcia  <berto@igalia.com>

        [GTK] WebKitGTK+ is linking against libxslt in too many places
        https://bugs.webkit.org/show_bug.cgi?id=121356

        Reviewed by Martin Robinson.

        Don't use LIBXSLT_CFLAGS when compiling libwebkitgtk, no source
        files use libxslt there.

        The webkit tests don't use libxslt, so we shouldn't link against
        it.

        * GNUmakefile.am:

2013-09-13  Gustavo Noronha Silva  <gustavo.noronha@collabora.com>

        [GTK] Move to the new web inspector
        https://bugs.webkit.org/show_bug.cgi?id=120647

        Reviewed by Carlos Garcia Campos.

        * WebCoreSupport/InspectorClientGtk.cpp:
        (WebKit::InspectorClient::openInspectorFrontend): update paths to the internal resource ones.
        (WebKit::InspectorClient::inspectorFilesPath): ditto.
        * tests/testwebinspector.c:
        (consoleMessageCallback): the new inspector currently emits an error when loading, so add it to
        the list of messages which are not considered failures.
        * webkit/webkitglobals.cpp:
        (webkitInit): register resource as a local scheme; currently used by the inspector.

2013-09-13  Alberto Garcia  <berto@igalia.com>

        download-requested arg should be WEBKIT_TYPE_DOWNLOAD not G_TYPE_OBJECT
        https://bugs.webkit.org/show_bug.cgi?id=57634

        Reviewed by Darin Adler.

        * webkit/webkitwebview.cpp:
        (webkit_web_view_class_init):

2013-09-12  Zan Dobersek  <zdobersek@igalia.com>

        [GTK][WK1] Block accelerated compositing under non-X11 displays
        https://bugs.webkit.org/show_bug.cgi?id=121165

        Reviewed by Martin Robinson.

        This is analogous to the changes in r154728 and r154729 that enforce disabling accelerated compositing
        under Wayland displays and made the RedirectedXCompositeWindow use in WebKit2 limited only to the X11 displays.

        * WebCoreSupport/AcceleratedCompositingContextGL.cpp: Remove two unnecessary header includes that also
        introduce symbols that conflict with the symbols defined in the X headers. Include the <gdk/gdkx.h> header
        if the GTK+ dependency can provide it.
        (WebKit::AcceleratedCompositingContext::initialize): Only set up the RedirectedXCompositeWindow instance
        if running under an X11 display.
        (WebKit::AcceleratedCompositingContext::renderLayersToWindow): The removal of the unnecessary header
        inclusions also removed the std::max() injection into the global scope. Using std::max directly instead.
        (WebKit::AcceleratedCompositingContext::scheduleLayerFlush): Ditto.
        * webkit/webkitwebview.cpp:
        (updateAcceleratedCompositingSetting): A helper function that ensures the accelerated compositing feature
        stays disabled under Wayland displays. It also prints out a warning message the first time the user tries
        to enable accelerated compositing under Wayland displays, telling that the feature is not supported and
        will remain disabled.
        (webkit_web_view_update_settings): Call updateAcceleratedCompositingSetting() to enable the feature if possible.
        (webkit_web_view_settings_notify): Ditto.

2013-09-11  Mario Sanchez Prada  <mario.prada@samsung.com>

        [GTK] Remove Gail dependency from build system for GTK3
        https://bugs.webkit.org/show_bug.cgi?id=119673

        Reviewed by Gustavo Noronha Silva.

        * GNUmakefile.am: Removed GAIL_CFLAGS and GAIL_LIBS.

2013-09-10  Mario Sanchez Prada  <mario.prada@samsung.com>

        [GTK] Reimplement atk_text_get_text_*_offset for LINE boundaries
        https://bugs.webkit.org/show_bug.cgi?id=114872

        Reviewed by Gustavo Noronha Silva.

        Fixed wrong unit test.

        * tests/testatk.c:
        (testWebkitAtkGetTextAtOffsetWithPreformattedText): This test was
        reporting a trailing '\n' for some reason for a <pre> block, which
        is plainly wrong since, in order to return that, there should be
        at least a trailing empty space after that and before the </pre>
        closing tag. This is fixed now.
        (testWebkitAtkGetTextAtOffsetWithWrappedLines): Uncommented tests
        that were previously not passing due to a bug in GailTextUtil.

2013-09-11  Gyuyoung Kim  <gyuyoung.kim@samsung.com>

        Generate more HTML type checks and casting
        https://bugs.webkit.org/show_bug.cgi?id=121080

        Reviewed by Andreas Kling.

        Clean-up remained functions of HTML elements using auto-generated isFooElement(),
        and replace toFooElement() with ELEMENT_TYPE_CASTS() macro.

        Besides this patch clean-up unnecessary checks which are being supported by
        auto-generated isFooElement().

        No new tests, no behavior change.

        * WebCoreSupport/ChromeClientGtk.cpp:
        (WebKit::ChromeClient::supportsFullscreenForNode):

2013-09-04  Zan Dobersek  <zdobersek@igalia.com>

        [GTK] Add support for the Wayland build target
        https://bugs.webkit.org/show_bug.cgi?id=120627

        Reviewed by Gustavo Noronha Silva.

        * WebCoreSupport/ChromeClientGtk.cpp:
        (WebKit::createBackingStore): Additionally guard the <gdk/gdkx.h> inclusion and the inclusion and use of
        WidgetBackingStoreGtkX11 with PLATFORM(X11), ensuring this code is built when also building with X11 target
        enabled. GDK_WINDOWING_X11 macro can be defined even if the X11 target is disabled.

2013-09-02  Brian Holt  <brian.holt@samsung.com>

        [ATK] Leak: Leaks in testatk.c
        https://bugs.webkit.org/show_bug.cgi?id=118675

        Reviewed by Mario Sanchez Prada.

        Fixed memory leaks by matching ref calls with unrefs.

        * tests/testatk.c:
        (testWebkitAtkCaretOffsets):
        (testWebkitAtkCaretOffsetsAndExtranousWhiteSpaces):
        (testWebkitAtkGetTextAtOffset):
        (testWebkitAtkGetTextAtOffsetNewlines):
        (testWebkitAtkGetTextAtOffsetTextarea):
        (testWebkitAtkGetTextAtOffsetTextInput):
        (testWebkitAtkGetTextInParagraphAndBodySimple):
        (testWebkitAtkGetTextInParagraphAndBodyModerate):
        (testWebkitAtkTextAttributes):
        (testWebkitAtkTextSelections):
        (testWebkitAtkListsOfItems):

2013-08-29  Zan Dobersek  <zdobersek@igalia.com>

        [Automake] libWebCoreDOM.la could use a better name
        https://bugs.webkit.org/show_bug.cgi?id=120232

        Reviewed by Martin Robinson.

        * GNUmakefile.am: libWebCoreDOM has a new name - libGObjectDOMBindings.

2013-08-29  Arnaud Renevier  <a.renevier@samsung.com>

        [cairo] canvas drawing on itself doesn't work with accelerated canvas
        https://bugs.webkit.org/show_bug.cgi?id=118808

        Reviewed by Martin Robinson.

        Change cairoImageSurfaceToGdkPixbuf to cairoSurfaceToGdkPixbuf.

        * webkit/webkitfavicondatabase.cpp:
        (getIconPixbufSynchronously):

2013-08-26  Zan Dobersek  <zdobersek@igalia.com>

        Unreviewed GTK build fix.

        * WebCoreSupport/FrameLoaderClientGtk.cpp:
        (WebKit::FrameLoaderClient::FrameLoaderClient): Remove an assertion that was not removed in r154658.

2013-08-26  Ryosuke Niwa  <rniwa@webkit.org>

        Another GTK+ build fix.

        * WebCoreSupport/FrameLoaderClientGtk.cpp:

2013-08-26  Ryosuke Niwa  <rniwa@webkit.org>

        GTK+ build fix. Like r154620.

        * webkit/webkitwebframe.cpp:
        (webkit_web_frame_new):

2013-08-26  Pratik Solanki  <psolanki@apple.com>

        PageGroup::groupSettings() should return a reference
        https://bugs.webkit.org/show_bug.cgi?id=120319

        Reviewed by Andreas Kling.

        PageGroup::m_groupSettings is never NULL so we can just return a reference from groupSettings().

        * webkit/webkitwebdatabase.cpp:
        (webkit_set_web_database_directory_path):

2013-08-26  Andreas Kling  <akling@apple.com>

        WebCore: Let Page create the main Frame.
        <https://webkit.org/b/119964>

        Tweak WebKit1/GTK for changes in WebCore.

        Patch by Zan Dobersek <zdobersek@igalia.com>
        Reviewed by Gustavo Noronha Silva.

        * WebCoreSupport/FrameLoaderClientGtk.h:
        (WebKit::FrameLoaderClient::setWebFrame):
        * webkit/webkitwebframe.cpp:
        (webkit_web_frame_new):
        * webkit/webkitwebview.cpp:
        (webkit_web_view_init):

2013-08-24  Darin Adler  <darin@apple.com>

        Frame::tree should return a reference instead of a pointer
        https://bugs.webkit.org/show_bug.cgi?id=120259

        Reviewed by Andreas Kling.

        * WebCoreSupport/DumpRenderTreeSupportGtk.cpp:
        (DumpRenderTreeSupportGtk::getFrameChildren):
        (DumpRenderTreeSupportGtk::clearMainFrameName):
        * WebCoreSupport/FrameLoaderClientGtk.cpp:
        (WebKit::FrameLoaderClient::createFrame):
        * webkit/webkitwebframe.cpp:
        (webkit_web_frame_get_name):
        (webkit_web_frame_get_parent):
        (webkit_web_frame_find_frame):
        * webkit/webkitwebview.cpp:
        (webkit_web_view_set_highlight_text_matches):
        Use tree(). instead of tree()->.

2013-08-21  Zan Dobersek  <zdobersek@igalia.com>

        <https://webkit.org/b/119836> [GTK] ChromeClient::paint is susceptible to system time changes

        Reviewed by Martin Robinson.

        Instead of using WTF::currentTime() as the value of the last display occurrence,
        WTF::monotonicallyIncreasingTime() should be used. The latter is not affected by
        the changes is the system's time, which can cause a halt in the display updating.

        * WebCoreSupport/ChromeClientGtk.cpp:
        (WebKit::ChromeClient::paint):

2013-08-19  Pratik Solanki  <psolanki@apple.com>

        <https://webkit.org/b/119918> Frame::selection() should return a reference

        Reviewed by Darin Adler.

        m_selection is never NULL so return a reference from Frame::selection(). Also removed some
        unnecessary null checks and assert diff ts exposed as a result.

        * WebCoreSupport/ChromeClientGtk.cpp:
        (WebKit::ChromeClient::paint):
        * WebCoreSupport/DumpRenderTreeSupportGtk.cpp:
        (DumpRenderTreeSupportGtk::firstRectForCharacterRange):
        (DumpRenderTreeSupportGtk::selectedRange):
        (DumpRenderTreeSupportGtk::rectangleForSelection):
        * WebCoreSupport/EditorClientGtk.cpp:
        (WebKit::collapseSelection):
        (WebKit::setSelectionPrimaryClipboardIfNeeded):
        * webkit/webkitwebframe.cpp:
        (webkit_web_frame_get_range_for_word_around_caret):
        * webkit/webkitwebview.cpp:
        (getLocationForKeyboardGeneratedContextMenu):

2013-08-17  Darin Adler  <darin@apple.com>

        <https://webkit.org/b/119941> Make Page::dragController return a reference

        Reviewed by Andreas Kling.

        * webkit/webkitwebview.cpp:
        (dragExitedCallback):
        (webkit_web_view_drag_motion):
        (webkit_web_view_drag_data_received):
        (webkit_web_view_drag_drop):
        Updated call sites.

2013-08-16  Pratik Solanki  <psolanki@apple.com>

        <https://webkit.org/b/119852> Frame::scriptController() should return a reference

        Reviewed by Andreas Kling.

        m_script is never NULL so we can just return a reference. Also remove some pointless null
        checks as a result of doing this.

        * WebCoreSupport/FrameLoaderClientGtk.cpp:
        (WebKit::FrameLoaderClient::dispatchDidClearWindowObjectInWorld):
        * webkit/webkitwebframe.cpp:
        (webkit_web_frame_get_global_context):
        * webkit/webkitwebview.cpp:
        (webkit_web_view_execute_script):

2013-08-15  Zan Dobersek  <zdobersek@igalia.com>

        Unreviewed GTK build fix for debug configurations.

        * webkit/webkitwebframe.cpp:
        (WebKit::kit): Remove the bogus assertion for Frame::loader() that now returns a reference.

2013-08-15  Anders Carlsson  <andersca@apple.com>

        <https://webkit.org/b/119859> Frame::loader() should return a reference

        Reviewed by Andreas Kling.

        * WebCoreSupport/DumpRenderTreeSupportGtk.cpp:
        (DumpRenderTreeSupportGtk::clearOpener):
        (DumpRenderTreeSupportGtk::shouldClose):
        * WebCoreSupport/FrameLoaderClientGtk.cpp:
        (WebKit::FrameLoaderClient::dispatchWillSubmitForm):
        (WebKit::FrameLoaderClient::committedLoad):
        (WebKit::FrameLoaderClient::dispatchDecidePolicyForResponse):
        (WebKit::FrameLoaderClient::dispatchDecidePolicyForNewWindowAction):
        (WebKit::FrameLoaderClient::dispatchDecidePolicyForNavigationAction):
        (WebKit::FrameLoaderClient::createFrame):
        (WebKit::FrameLoaderClient::dispatchDidCommitLoad):
        * webkit/webkitwebframe.cpp:
        (webkit_web_frame_finalize):
        (webkit_web_frame_load_uri):
        (webkit_web_frame_load_data):
        (webkit_web_frame_load_request):
        (webkit_web_frame_stop_loading):
        (webkit_web_frame_reload):
        (webkit_web_frame_get_data_source):
        (webkit_web_frame_get_provisional_data_source):
        (webkit_web_frame_get_response_mime_type):
        (webkit_web_frame_get_network_response):
        (WebKit::kit):
        * webkit/webkitwebpolicydecision.cpp:
        (webkit_web_policy_decision_use):
        (webkit_web_policy_decision_ignore):
        (webkit_web_policy_decision_download):
        * webkit/webkitwebview.cpp:
        (webkit_web_view_dispose):
        (webkit_web_view_reload):
        (webkit_web_view_reload_bypass_cache):
        (webkit_web_view_stop_loading):
        (webkit_web_view_can_show_mime_type):
        (webkit_web_view_set_custom_encoding):
        (webkit_web_view_get_custom_encoding):
        (webkit_web_view_get_subresources):

2013-08-15  Simon Pena  <simon.pena@samsung.com>

        <https://webkit.org/b/119584> [Gtk] URL printing code in DumpRenderTree doesn't match WTR or Mac DRT

        Reviewed by Gustavo Noronha Silva.

        Following a similar approach as in r153977, return a path string
        that is relative to main frame URL or just file name if the
        resource is not in the same directory subtree, and replace empty
        strings with "(null)".

        Update the AuthenticationCallback used in DumpRenderTree so that
        it receives a WebKitWebResource, and update
        dispatchDidReceiveAuthenticationChallenge so that it retrieves the
        WebKitWebResource and passes it to the callback.

        * WebCoreSupport/DumpRenderTreeSupportGtk.h: Update the
        AuthenticationCallback adding a WebKitWebResource parameter.
        * WebCoreSupport/FrameLoaderClientGtk.cpp:
        (WebKit::toString): Define this function earlier so we can use it
        to get the WebKitWebResource from the identifier in the
        AuthenticationChallenge.
        (WebKit::FrameLoaderClient::dispatchDidReceiveAuthenticationChallenge):
        Use toString to retrieve a WebKitWebResource from the identifier
        in the authentication challenge, and pass that WebKitWebResource
        to the AuthenticationCallback.

2013-08-13  Xabier Rodriguez Calvar  <calvaris@igalia.com>

        [GTK] WK does not link properly against libxslt
        https://bugs.webkit.org/show_bug.cgi?id=119688

        Reviewed by Gustavo Noronha Silva.

        * GNUmakefile.am: Added LIBXSLT_LIBS to the unit tests.

2013-08-13  Alberto Garcia  <berto@igalia.com>

        [GTK] Closing inspector window crashes wk
        https://bugs.webkit.org/show_bug.cgi?id=110865

        Reviewed by Carlos Garcia Campos.

        The previous fix for the inspector window crash breaks some unit
        tests. This one goes back to the original code and only moves the
        actual deletion of priv->corePage to the end of the function.

        * webkit/webkitwebview.cpp:
        (webkit_web_view_dispose):

2013-08-13  Alberto Garcia  <berto@igalia.com>

        [GTK] Closing inspector window crashes wk
        https://bugs.webkit.org/show_bug.cgi?id=110865

        Reviewed by Carlos Garcia Campos.

        Deleting priv->corePage during the destruction of a webView will
        trigger the deletion of InspectorFrontendClient. However that
        object is supposed to handle the webView's destroy signal first in
        order to do the necessary cleanup.

        The solution is to wait until webkit_web_view_dispose finishes
        before deleting priv->corePage.

        * webkit/webkitwebview.cpp:
        (webkit_web_view_dispose):

2013-08-12  Anton Obzhirov  <a.obzhirov@samsung.com>

        [GTK] Don't load GAIL when using GTK 3.2 or greater
        https://bugs.webkit.org/show_bug.cgi?id=72735

        Reviewed by Carlos Garcia Campos.

        * tests/testatk.c:
        (initializeTestingFramework):
        (main):

2013-08-11  Carlos Garcia Campos  <cgarcia@igalia.com>

        Unreviewed. Update NEWS and Versions.m4 for 2.1.4 release.

        * NEWS: Update release notes.

2013-08-09  Alexey Proskuryakov  <ap@apple.com>

        REGRESSION (r142755): window.open creates an invisible window when width and height are 0
        https://bugs.webkit.org/show_bug.cgi?id=119633

        Reviewed by Darin Adler.

        * WebCoreSupport/ChromeClientGtk.cpp: (WebKit::ChromeClient::setWindowRect):
        Once again, the passed rect cannot be empty.

2013-07-27  Mark Rowe  <mrowe@apple.com>

        Logging should be configurable using human-readable channel names rather than crazy bitmasks
        <http://webkit.org/b/119031>

        Implement shared logic for initializing logging channels based on human-readable channel names in WTF,
        and rework the WebCore, WebKit and WebKit2 logging initialization on top of it.

        Logging channels may now be enabled by providing a comma-separated list of channel names, with the special
        "all" name enabling all channels. Channel names prefixed with a leading "-" will result in the named channel
        being disabled. For instance, specifying "all,-history,-loading" will result in all logging channels except
        for history and loading being enabled.

        For OS X developers, this also changes the name of the user defaults used to enable logging. This is done to allow
        the old user defaults to remain set for those people that need to switch between version of WebKit before and
        after this change. Where the old user default keys were WebCoreLogLevel, WebKitLogLevel and WebKit2LogLevel,
        the new user default keys are WebCoreLogging, WebKitLogging and WebKit2Logging.

        For GTK developers, this changes the separator used in the WEBKIT_DEBUG environment variable to a comma for
        consistency with the other platforms and to enable more code sharing.

        While doing this work I've also taken the opportunity to eliminate the need to touch multiple files when
        adding a new logging channel. Now only the header in the relevant project needs to be updated.

        Reviewed by Sam Weinig.

        * webkit/webkitglobals.cpp: Switch from WebCore's InitializeLogging.h to Logging.h.

2013-08-02  Mario Sanchez Prada  <mario.prada@samsung.com>

        Implement atk_text_get_text_*_offset for WORD
        https://bugs.webkit.org/show_bug.cgi?id=114871

        Reviewed by Martin Robinson.

        Updated current unit tests and add a new one specific for embedded
        objects, to ensure we are covering even more cases than before.

        * tests/testatk.c:
        (testWebkitAtkGetTextAtOffsetWithEmbeddedObjects): New.
        (main): Added new test to the test suite.

2013-07-30  Carlos Garcia Campos  <cgarcia@igalia.com>

        Unreviewed. Update NEWS and Versions.m4 for 2.1.4 release.

        * NEWS: Added release notes for 2.1.4.

2013-07-29  Mario Sanchez Prada  <mario.prada@samsung.com>

        [ATK] Issues with edge cases when getting offsets for a text range in AtkText
        https://bugs.webkit.org/show_bug.cgi?id=118908

        Reviewed by Martin Robinson.

        * tests/testatk.c:
        (runGetTextTests): Updated unit tests to check more cases of
        calling the atk_text_get_text_*_offset() functions for WORD.

2013-07-25  Andreas Kling  <akling@apple.com>

        ChromeClient::focusedNodeChanged() should be focusedElementChanged().
        <http://webkit.org/b/119110>

        Reviewed by Anders Carlsson.

        * WebCoreSupport/ChromeClientGtk.cpp:
        (WebKit::ChromeClient::focusedElementChanged):
        * WebCoreSupport/ChromeClientGtk.h:

2013-07-23  Carlos Garcia Campos  <cgarcia@igalia.com>

        [GTK] GtkAdjustmentWatcher idle source not correctly handled
        https://bugs.webkit.org/show_bug.cgi?id=119003

        Reviewed by Martin Robinson.

        GtkAdjustmentWatcher::updateAdjustmentsFromScrollbarsLater()
        creates a new idle source and initializes
        m_updateAdjustmentCallbackId, which is used everywhere and
        specially in the destructor to cancel the source when the
        GtkAdjustmentWatcher is deleted. However,
        m_updateAdjustmentCallbackId is reset to 0 in
        GtkAdjustmentWatcher::updateAdjustmentsFromScrollbars() only when
        not returning early. This method is public and not only called by
        the updateAdjustmentCallback, which means that a call to
        updateAdjustmentsFromScrollbars could reset the
        m_updateAdjustmentCallbackId without actually destroying the source.

        * WebCoreSupport/GtkAdjustmentWatcher.cpp:
        (WebKit::GtkAdjustmentWatcher::updateAdjustmentsFromScrollbars):
        Cancel the adjustment later idle if it has been scheduled.
        (WebKit::GtkAdjustmentWatcher::updateAdjustmentCallback): Reset
        m_updateAdjustmentCallbackId.
        * WebCoreSupport/GtkAdjustmentWatcher.h:

2013-07-17  Kangil Han  <kangil.han@samsung.com>

        Use toHTMLMediaElement
        https://bugs.webkit.org/show_bug.cgi?id=118727

        Reviewed by Ryosuke Niwa.

        To avoid direct use of static_cast, this patch uses toHTMLMediaElement for code cleanup.

        * WebCoreSupport/ChromeClientGtk.cpp:
        (WebKit::ChromeClient::enterFullscreenForNode):
        (WebKit::ChromeClient::exitFullscreenForNode):
        (WebKit::ChromeClient::enterFullScreenForElement):
        (WebKit::ChromeClient::exitFullScreenForElement):

2013-07-09  Carlos Garcia Campos  <cgarcia@igalia.com>

        Unreviewed. Update NEWS and Versions.m4 for 2.1.3 release.

        * NEWS: Added release notes for 2.1.3.

2013-07-08  Carlos Garcia Campos  <cgarcia@igalia.com>

        [GTK] webkit_set_cache_model is not turning the cache off
        https://bugs.webkit.org/show_bug.cgi?id=118345

        Reviewed by Gustavo Noronha Silva.

        Our documentation says that WEBKIT_CACHE_MODEL_DOCUMENT_VIEWER
        disables the cache completely, but we are only setting the cache
        capacities to 0. Cache capacities are not checked when resources
        are added to the cache, but when it's pruned. To disable the cache
        we need to call MemoryCache::setDisabled explicitly.

        * webkit/webkitglobals.cpp:
        (webkit_set_cache_model): Disable the cache when min dead, max
        dead and total capacities are all set to 0.

2013-07-08  Brian Holt  <brian.holt@samsung.com>

        [GTK] FrameLoaderClient: Refactor naked pointers to use smart pointers
        https://bugs.webkit.org/show_bug.cgi?id=118417

        Reviewed by Carlos Garcia Campos.

        Use GOwnPtr and GRefPtr where possible.

        * WebCoreSupport/FrameLoaderClientGtk.cpp:
        (WebKit::FrameLoaderClient::dispatchDidFailLoad):

2013-07-04  Mario Sanchez Prada  <mario.prada@samsung.com>

        [ATK] Do not expose '\n' for wrapped lines with ATK_TEXT_BOUNDARY_CHAR
        https://bugs.webkit.org/show_bug.cgi?id=118359

        Reviewed by Carlos Garcia Campos.

        Added new unit test to make sure we exposed line breaks properly.

        * tests/testatk.c:
        (testWebkitAtkGetTextAtOffsetWithWrappedLines): New unit test.
        (main): Added new test to the test suite.

2013-07-01  Gustavo Noronha Silva  <gustavo.noronha@collabora.com>

        [GTK] Remove unsupported AC backends
        https://bugs.webkit.org/show_bug.cgi?id=117362

        Reviewed by Martin Robinson.

        * GNUmakefile.am:
        * WebCoreSupport/AcceleratedCompositingContext.h: removed clutter and cairo
        additions.
        * WebCoreSupport/AcceleratedCompositingContextCairo.cpp: Removed.
        * WebCoreSupport/AcceleratedCompositingContextClutter.cpp: Removed.
        * webkit/webkitglobals.cpp:
        (webkitInit): removed clutter-gtk initialization.

2013-07-01  ChangSeok Oh  <changseok.oh@collabora.com>

        [GTK] Use PassOwnPtr for the returned value of createBackingStore
        https://bugs.webkit.org/show_bug.cgi?id=118230

        Reviewed by Andreas Kling.

        It would be better that createBackingStore returns PassOwnPtr instread of OwnPtr
        to keep compatibility with c++0x.

        * WebCoreSupport/ChromeClientGtk.cpp:
        (WebKit::createBackingStore):

2013-06-28  Iago Toral Quiroga  <itoral@igalia.com>

        Use gtk_widget_get_preferred_size instead of deprecated gtk_widget_get_requisition
        https://bugs.webkit.org/show_bug.cgi?id=118177

        Reviewed by Carlos Garcia Campos.

        * WebCoreSupport/ChromeClientGtk.cpp:
        (WebKit::ChromeClient::contentsSizeChanged):

2013-06-27  Iago Toral Quiroga  <itoral@igalia.com>

        Use consistent file names for WidgetBackingStoreGtkX11 class
        https://bugs.webkit.org/show_bug.cgi?id=118124

        Reviewed by Carlos Garcia Campos.

        * WebCoreSupport/ChromeClientGtk.cpp:

2013-06-21  Christophe Dumez  <ch.dumez@sisa.samsung.com>

        REGRESSION (r150663): Using webkitAudioContext in Inspector makes it undefined everywhere
        https://bugs.webkit.org/show_bug.cgi?id=117825

        Reviewed by Kentaro Hara.

        Use Settings to enable Web Audio instead of RuntimeEnabledFeatures.

        * webkit/webkitwebview.cpp:
        (webkit_web_view_update_settings):
        (webkit_web_view_settings_notify):

2013-06-18  Carlos Garcia Campos  <cgarcia@igalia.com>

        Unreviewed. Update NEWS and Versions.m4 for 2.1.2 release.

        * NEWS: Added release notes for 2.1.2.

2013-06-17  Grzegorz Czajkowski  <g.czajkowski@samsung.com>

        Unreviewed, rolling out r151632.
        http://trac.webkit.org/changeset/151632
        https://bugs.webkit.org/show_bug.cgi?id=117585

        Debug build error ASSERT(WTF_USE_GRAMMAR_CHECKING) for non MAC
        platforms

        * webkit/webkitglobals.cpp:
        (webkit_context_menu_item_get_action):

2013-06-14  Grzegorz Czajkowski  <g.czajkowski@samsung.com>

        Context menu grammar checking items are available when GRAMMAR_CHECKING macro is off
        https://bugs.webkit.org/show_bug.cgi?id=117585

        Reviewed by Anders Carlsson.

        Add GRAMMAR_CHECKING guard to the context menu grammar items.

        * webkit/webkitglobals.cpp:
        (webkit_context_menu_item_get_action):

2013-06-12  Diego Pino Garcia  <dpino@igalia.com>

        [GTK] Parameter 'pseudoElement' from function 'webkit_dom_dom_window_get_computed_style' should be allowed to be NULL
        https://bugs.webkit.org/show_bug.cgi?id=117332

        Reviewed by Xan Lopez.

        Add test for function 'webkit_dom_dom_window_get_computed_style'.

        * tests/testdomdomwindow.c:
        (dom_dom_window_fixture_setup): Test setup for function
        'dom_dom_window_get_computed_style'.
        (dom_dom_window_fixture_teardown): Test teardown for function
        'dom_dom_window_get_computed_style'.
        (loadedCallback):
        (test_dom_dom_window_get_computed_style): Checks function
        'dom_dom_window_get_computed_style'.
        (main):

2013-06-10  Iago Toral Quiroga  <itoral@igalia.com>

        Use Cairo implementation of the WidgetBackingStore instead of X11 when running on Wayland
        https://bugs.webkit.org/show_bug.cgi?id=116717

        Reviewed by Martin Robinson.

        Decide which implementation of WidgetBackingStore to use (X11 or Cairo)
        depending on whether we are running on X11 or not. Select Cairo
        implementation when not running in X11.

        * WebCoreSupport/ChromeClientGtk.cpp:
        (WebKit::createBackingStore):
        (WebKit):
        (WebKit::ChromeClient::widgetSizeChanged):
        (WebKit::ChromeClient::attachRootGraphicsLayer):

2013-06-06  Diego Pino Garcia  <dpino@igalia.com>

        [GTK] Parameter 'refChild' from function 'webkit_dom_node_insert_before' should be allowed to be NULL
        https://bugs.webkit.org/show_bug.cgi?id=117303

        Reviewed by Xan Lopez.

        Add test for function 'webkit_dom_node_insert_before'.

        * tests/testdomnode.c: Checks function dom_document_node_insert_before
        (test_dom_node_insertion):

2013-06-06  Diego Pino Garcia  <dpino@igalia.com>

        [GTK] Parameters 'inResult' and 'resolver' from function 'webkit_dom_document_evaluate' should be allowed to be NULL
        https://bugs.webkit.org/show_bug.cgi?id=117129

        Reviewed by Xan Lopez.

        Add test for function 'webkit_dom_document_evaluate'.

        * tests/testdomdocument.c:
        (test_dom_document_evaluate): Checks function dom_document_evaluate,
        executes an XPath expression on a HTML document.
        (main): 

2013-06-05  Alberto Garcia  <agarcia@igalia.com>

        [GTK] AcceleratedCompositingContext: fix layerFlushTimerFiredCallback condition
        https://bugs.webkit.org/show_bug.cgi?id=117258

        Reviewed by Martin Robinson.

        The expressions were incorrectly grouped, a timeout handler can
        only be added only if there's none running already.

        * WebCoreSupport/AcceleratedCompositingContextGL.cpp:
        (WebKit::AcceleratedCompositingContext::renderLayersToWindow):

2013-06-04  Alberto Garcia  <agarcia@igalia.com>

        [GTK] Make precedence of logical operators explicit
        https://bugs.webkit.org/show_bug.cgi?id=117216

        Reviewed by Martin Robinson.

        There's a couple of cases where we mix && and || in the same
        expression. In ChromeClient::contentsSizeChanged() the lack of
        parentheses actually makes the expression wrong.

        * WebCoreSupport/AcceleratedCompositingContextGL.cpp:
        (WebKit::AcceleratedCompositingContext::renderLayersToWindow):
        * WebCoreSupport/ChromeClientGtk.cpp:
        (WebKit::ChromeClient::contentsSizeChanged):

2013-05-30  Enrique Ocana Gonzalez  <eocanha@igalia.com>

        [GTK] Fix pass_by_value coverity warning in ChromeClientGtk
        https://bugs.webkit.org/show_bug.cgi?id=117021

        Reviewed by Anders Carlsson.

        Pass dirtyRegion parameter in paintWebView() by reference to avoid object copying.

        * WebCoreSupport/ChromeClientGtk.cpp:
        (WebKit::paintWebView):

2013-05-29  Carlos Garcia Campos  <cgarcia@igalia.com>

        Unreviewed. Update NEWS and Versions.m4 for 2.1.1 release.

        * NEWS: Added release notes for 2.1.1.

2013-05-28  Andreas Kling  <akling@apple.com>

        Document::setFocusedNode() should be setFocusedElement().
        <http://webkit.org/b/116857>

        Reviewed by Antti Koivisto.

        * webkit/webkitwebview.cpp:
        (getFocusedNode):

2013-05-24  Christophe Dumez  <ch.dumez@sisa.samsung.com>

        Remove custom code for webkitAudioContext global constructor getter
        https://bugs.webkit.org/show_bug.cgi?id=116530

        Reviewed by Geoffrey Garen.

        Use RuntimeEnabledFeatures instead of Settings to toggle Web Audio support.

        * webkit/webkitwebview.cpp:
        (webkit_web_view_update_settings):
        (webkit_web_view_settings_notify):

2013-05-19  Anders Carlsson  <andersca@apple.com>

        Remove ChromeClient::webView()
        https://bugs.webkit.org/show_bug.cgi?id=116054

        Reviewed by Darin Adler.

        This blatantly horrible layer violation was only used to know if a ChromeClient is an empty
        client or not. We already have a (slightly less horrible) way to do that.

        * WebCoreSupport/ChromeClientGtk.h:
        (ChromeClient):

2013-05-18  Carlos Garcia Campos  <cgarcia@igalia.com>

        [GTK] Move GTK port off legacy clipboard
        https://bugs.webkit.org/show_bug.cgi?id=116221

        Reviewed by Martin Robinson.

        * WebCoreSupport/DragClientGtk.cpp:
        (WebKit::DragClient::startDrag): Get the DataObjectGtk from the
        Pasteboard associated to the given Clipboard.

2013-05-17  Gustavo Noronha Silva  <gustavo.noronha@collabora.com>

        Unreviewed build fix. Remove assertion that doesn't make sense anymore since the
        page does not give us access to the Chrome pointer directly anymore.

        * webkit/webkitwebview.cpp:
        (WebKit::kit):

2013-05-16  Andreas Kling  <akling@apple.com>

        Page::chrome() should return a reference.
        <http://webkit.org/b/116185>

        Reviewed by Anders Carlsson.

2013-05-16  Martin Robinson  <mrobinson@igalia.com>

        [GTK] Documentation for WEBKIT_DEBUG logging channels is out of date
        https://bugs.webkit.org/show_bug.cgi?id=114764

        Reviewed by Gustavo Noronha Silva.

        * docs/webkitenvironment.xml: Update documentation to reflect current list of
        logging channels.

2013-05-16  Allan Sandfeld Jensen  <allan.jensen@digia.com>

        [GTK] TargetFrame and innerNodeFrame confused
        https://bugs.webkit.org/show_bug.cgi?id=102907

        Reviewed by Martin Robinson.

        * webkit/webkithittestresult.cpp:
        (WebKit::kit):

2013-05-15  Anders Carlsson  <andersca@apple.com>

        Fix build.

        * webkit/webkitwebview.cpp:
        (webkitWebViewDirectionChanged):

2013-05-13  Anders Carlsson  <andersca@apple.com>

        Frame::editor() should return a reference
        https://bugs.webkit.org/show_bug.cgi?id=116037

        Reviewed by Darin Adler.

        * WebCoreSupport/ChromeClientGtk.cpp:
        (WebKit::ChromeClient::paint):
        * WebCoreSupport/DumpRenderTreeSupportGtk.cpp:
        (DumpRenderTreeSupportGtk::executeCoreCommandByName):
        (DumpRenderTreeSupportGtk::isCommandEnabled):
        * WebCoreSupport/EditorClientGtk.cpp:
        (WebKit::EditorClient::respondToChangedSelection):
        (WebKit::EditorClient::executePendingEditorCommands):
        (WebKit::EditorClient::handleKeyboardEvent):
        * WebCoreSupport/WebViewInputMethodFilter.cpp:
        (WebKit::WebViewInputMethodFilter::canEdit):
        (WebKit::WebViewInputMethodFilter::confirmCompositionText):
        (WebKit::WebViewInputMethodFilter::confirmCurrentComposition):
        (WebKit::WebViewInputMethodFilter::cancelCurrentComposition):
        (WebKit::WebViewInputMethodFilter::setPreedit):
        * webkit/webkitwebframe.cpp:
        (webkit_web_frame_replace_selection):
        * webkit/webkitwebview.cpp:
        (getLocationForKeyboardGeneratedContextMenu):
        (webkit_web_view_focus_in_event):
        (webkit_web_view_real_select_all):
        (webkit_web_view_real_cut_clipboard):
        (webkit_web_view_real_copy_clipboard):
        (webkit_web_view_real_undo):
        (webkit_web_view_real_redo):
        (webkit_web_view_real_paste_clipboard):
        (webkit_web_view_set_highlight_text_matches):
        (webkit_web_view_can_cut_clipboard):
        (webkit_web_view_can_copy_clipboard):
        (webkit_web_view_can_paste_clipboard):
        (webkit_web_view_delete_selection):
        (webkit_web_view_set_editable):
        (webkit_web_view_can_undo):
        (webkit_web_view_can_redo):

2013-05-14  Zan Dobersek  <zdobersek@igalia.com>

        [GTK] Move generated ColorData.cpp, WebKitFontFamilyNames.(cpp|h) build targets into libPlatform
        https://bugs.webkit.org/show_bug.cgi?id=115921

        Reviewed by Gustavo Noronha Silva.

        * GNUmakefile.am: Add platform_cppflags to the list of CPPFLAGS for libwebkit2gtk, libWebCoreGtk2,
        libPlatformGtk2 and WebKitPluginProcess.

2013-05-12  Timothy Hatcher  <timothy@apple.com>

        Add support for updating the Web Inspector toolbar height.

        https://bugs.webkit.org/show_bug.cgi?id=115996

        Reviewed by Joseph Pecoraro and Benjamin Poulain.

        * WebCoreSupport/InspectorClientGtk.cpp:
        (WebKit::InspectorFrontendClient::setToolbarHeight):
        * WebCoreSupport/InspectorClientGtk.h:

2013-05-12  Anders Carlsson  <andersca@apple.com>

        Stop including UnusedParam.h
        https://bugs.webkit.org/show_bug.cgi?id=116003

        Reviewed by Sam Weinig.

        UnusedParam.h is empty now so there's no need to include it anymore.

        * webkit/webkitapplicationcache.cpp:

2013-05-12  Carlos Garcia Campos  <cgarcia@igalia.com>

        [GTK] Remove unnecessary GTK_CHECK_VERSION #ifdefs
        https://bugs.webkit.org/show_bug.cgi?id=115914

        Reviewed by Martin Robinson.

        * WebCoreSupport/ChromeClientGtk.cpp:
        (WebKit::ChromeClient::contentsSizeChanged):
        * WebCoreSupport/FrameLoaderClientGtk.cpp:
        (WebKit::FrameLoaderClient::transitionToCommittedForNewPage):
        * tests/testapplicationcache.c:
        * tests/testatk.c:
        * tests/testatkroles.c:
        (main):
        * tests/testcontextmenu.c:
        * tests/testcopyandpaste.c:
        (main):
        * tests/testdomdocument.c:
        * tests/testdomdomwindow.c:
        * tests/testdomnode.c:
        * tests/testdownload.c:
        (main):
        * tests/testfavicondatabase.c:
        (main):
        * tests/testglobals.c:
        * tests/testhittestresult.c:
        * tests/testhttpbackend.c:
        (main):
        * tests/testkeyevents.c:
        (main):
        * tests/testloading.c:
        * tests/testmimehandling.c:
        (main):
        * tests/testnetworkrequest.c:
        (main):
        * tests/testnetworkresponse.c:
        (main):
        * tests/testwebbackforwardlist.c:
        (main):
        * tests/testwebdatasource.c:
        (main):
        * tests/testwebframe.c:
        (main):
        * tests/testwebhistoryitem.c:
        (main):
        * tests/testwebinspector.c:
        (main):
        * tests/testwebplugindatabase.c:
        (main):
        * tests/testwebresource.c:
        (main):
        * tests/testwebsettings.c:
        (main):
        * tests/testwebview.c:
        * tests/testwindow.c:
        (main):
        * webkit/webkitwebview.cpp:
        (webkit_web_view_realize):
        (webkit_web_view_show_help):
        (webkit_web_view_class_init):
        (webkit_web_view_set_tooltip_text):

2013-05-07  Tomas Popela  <tpopela@redhat.com>

        [GTK] Initialize WebKitWebPlugin path to prevent double-free
        https://bugs.webkit.org/show_bug.cgi?id=115624

        Reviewed by Carlos Garcia Campos.

        Use GOwnPtr for WebKitWebPlugin path to prevent double-free
        situations. Also use GOwnPtr for GError in webkit_web_plugin_get_path.

        * webkit/webkitwebplugin.cpp:
        (webkit_web_plugin_finalize):
        (webkit_web_plugin_get_path):
        * webkit/webkitwebpluginprivate.h:

2013-05-06  Zan Dobersek  <zdobersek@igalia.com>

        [GTK] Move GeolocationProviderGeoclue into libPlatform
        https://bugs.webkit.org/show_bug.cgi?id=115591

        Reviewed by Martin Robinson.

        * GNUmakefile.am: Add platform_webcore_cppflags to the list of libwebkitgtk's CPPFLAGS.

2013-05-02  Zan Dobersek  <zdobersek@igalia.com>

        Segmentation Fault with Romanian locale. Evolution not starting.
        https://bugs.webkit.org/show_bug.cgi?id=115484

        Reviewed by Darin Adler.

        Do not translate the property names that are being passed to the g_param_spec_boolean
        method - it is not required and is causing segfaults with various locales.

        * webkit/webkitviewportattributes.cpp:
        (webkit_viewport_attributes_class_init):

2013-04-30  Ed Bartosh  <bartosh@gmail.com>

        [GTK] --minimal build fails with error: class WebCore::EventHandler' has no member named 'dragSourceEndedAt
        https://bugs.webkit.org/show_bug.cgi?id=114299

        Reviewed by Martin Robinson.

        Wrapped code, related to drag&drop in #if ENABLE(DRAG_SUPPORT)

        * webkit/webkitwebview.cpp:
        (webkit_web_view_class_init):
        (webkit_web_view_init):

2013-04-25  Joseph Pecoraro  <pecoraro@apple.com>

        Web Inspector: ConsoleMessage should include line and column number where possible
        https://bugs.webkit.org/show_bug.cgi?id=114929

        Reviewed by Timothy Hatcher.

        * WebCoreSupport/ChromeClientGtk.cpp:
        (WebKit::ChromeClient::addMessageToConsole):
        * WebCoreSupport/ChromeClientGtk.h:
        (ChromeClient):

2013-04-22  Martin Robinson  <mrobinson@igalia.com>

        Try to fix the build after enabling gobject-introspection

        * GNUmakefile.am: Disable --warn-error for WebKit1 until we can work out all gir failures.
        * webkit/webkitwebplugin.cpp: Skip this API for introspection because it return a GSList
        of pointer (non-boxed) types.

2013-04-22  Martin Robinson  <mrobinson@igalia.com>

        [GTK] Enable introspection always for developer builds
        https://bugs.webkit.org/show_bug.cgi?id=114983

        Reviewed by Gustavo Noronha Silva.

        * GNUmakefile.am: Make warnings during gir scanning cause the build to fail. Eliminate
        warnings about deprecated API that the g-ir-scanner uses when generating
        the scanner program. Use --quiet to avoid printing lots of output to
        non-verbose builds.

2013-04-22  Martin Robinson  <mrobinson@igalia.com>

        [GTK] Fix remaining introspection warnings
        https://bugs.webkit.org/show_bug.cgi?id=114980

        Reviewed by Gustavo Noronha Silva.

        * webkit/webkitspellchecker.h:
        (_WebKitSpellCheckerInterface): Align the name of the check_spelling_of_string virtual
        method with the concrete method to avoid a g-ir-scanner warning.
        * webkit/webkitversion.h.in: Skip WEBKITGTK_API_VERSION for introspection because it
        doesn't follow the appropriate namespace name.

2013-04-22  Zan Dobersek  <zdobersek@igalia.com>

        [GTK] Set up libPlatform.la
        https://bugs.webkit.org/show_bug.cgi?id=114168

        Reviewed by Martin Robinson.

        * GNUmakefile.am: Add the new libPlatform.la library to the libwebkitgtk library.

2013-04-19  Martin Robinson  <mrobinson@igalia.com>

        [GTK] JSCore.gir.in has a few problems
        https://bugs.webkit.org/show_bug.cgi?id=114710

        Reviewed by Philippe Normand.

        * GNUmakefile.am: Updated to reflect new name and location of JavaScriptCore-x.0.gir.
        * JSCore.gir.in: Removed.

2013-04-17  Geoffrey Garen  <ggaren@apple.com>

        Renamed JSGlobalData to VM
        https://bugs.webkit.org/show_bug.cgi?id=114777

        Reviewed by Phil Pizlo.

        * WebCoreSupport/DumpRenderTreeSupportGtk.cpp:
        (DumpRenderTreeSupportGtk::gcCountJavascriptObjects):

2013-04-16  Anders Carlsson  <andersca@apple.com>

        Fix speling error.

        * WebCoreSupport/WebViewInputMethodFilter.cpp:

2013-04-16  Ryosuke Niwa  <rniwa@webkit.org>

        Another GTK+ build fix.

        * WebCoreSupport/WebViewInputMethodFilter.cpp:

2013-04-16  Ryosuke Niwa  <rniwa@webkit.org>

        GTK+ build fix attempt.

        * WebCoreSupport/DumpRenderTreeSupportGtk.cpp:
        * WebCoreSupport/WebViewInputMethodFilter.cpp:
        * webkit/webkitwebframe.cpp:

2013-04-14  Andreas Kling  <akling@apple.com>

        Move CSSOM classes to using MutableStylePropertySet over StylePropertySet.
        <http://webkit.org/b/114581>

        Reviewed by Anders Carlsson.

        * WebCoreSupport/EditorClientGtk.cpp:
        (WebKit::EditorClient::shouldApplyStyle):

2013-04-12  Carlos Garcia Campos  <cgarcia@igalia.com>

        [GTK] Split GtkAuthenticationDialog in two widgets
        https://bugs.webkit.org/show_bug.cgi?id=103644

        Reviewed by Xan Lopez.

        * GNUmakefile.am: Add new files to compilation.
        * WebCoreSupport/FrameLoaderClientGtk.cpp:
        (WebKit::FrameLoaderClient::dispatchDidReceiveAuthenticationChallenge):
        Use helper createAuthenticationDialog() to create and show the
        auth dialog.
        * webkit/webkitauthenticationdialog.cpp: Added.
        (authenticationDialogResponseCallback):
        (createAuthenticationDialog):
        * webkit/webkitauthenticationdialog.h: Added.
        * webkit/webkitsoupauthdialog.cpp:
        (sessionAuthenticate): Ditto.

2013-04-10  Benjamin Poulain  <bpoulain@apple.com>

        Mass remove all the empty directories

        Rubberstamped by Ryosuke Niwa.

        * gyp: Removed.
        * po: Removed.

2013-04-10  Anton Obzhirov  <a.obzhirov@samsung.com>

        [GTK] Add support for Page Visibility
        https://bugs.webkit.org/show_bug.cgi?id=97324

        Reviewed by Sam Weinig.

        Implemented access to page visibility API for GTK test runner.

        * WebCoreSupport/DumpRenderTreeSupportGtk.cpp:
        (DumpRenderTreeSupportGtk::setPageVisibility):
        * WebCoreSupport/DumpRenderTreeSupportGtk.h:

2013-04-08  Carlos Garcia Campos  <cgarcia@igalia.com>

        [GTK] DOM objects created wrapping a base class have incorrect GObject type
        https://bugs.webkit.org/show_bug.cgi?id=113132

        Reviewed by Gustavo Noronha Silva.

        Remove WebKitDOMBindindg.h include from several files because it's
        been renamed and it was not actually needed.

        * WebCoreSupport/ChromeClientGtk.cpp:
        * WebCoreSupport/EditorClientGtk.cpp:
        * webkit/webkithittestresult.cpp:

2013-04-04  Martin Robinson  <mrobinson@igalia.com>

        [GTK] Remove the gyp build
        https://bugs.webkit.org/show_bug.cgi?id=113942

        Reviewed by Gustavo Noronha Silva.

        * gyp/Configuration.gypi.in: Removed.
        * gyp/Dependencies.gyp: Removed.
        * gyp/GNUmakefile: Removed.
        * gyp/autogen.sh: Removed.
        * gyp/configure.ac: Removed.
        * gyp/run-gyp: Removed.

2013-04-04  Christophe Dumez  <ch.dumez@sisa.samsung.com>

        [Cairo] Fix canvas drawing of SVG-based patterns and remove NativeImageCairo
        https://bugs.webkit.org/show_bug.cgi?id=113929

        Reviewed by Martin Robinson.

        Update code now that PassNativeImagePtr is now a typedef to PassRefPtr<cairo_surface_t>
        instead of NativeImageCairo*.

        * webkit/webkitfavicondatabase.cpp:
        (getIconPixbufSynchronously):

2013-04-03  Alban Crequy  <alban.crequy@collabora.co.uk>

        [GTK] WebKitWebNavigationAction: fix mix between dispose and finalize
        https://bugs.webkit.org/show_bug.cgi?id=113794

        Reviewed by Gustavo Noronha Silva.

        WebKitWebNavigationAction's dispose function was named finalize and was calling
        the parent class's finalise function, causing a memory corruption. Change it to
        be a proper finalize function instead.

        * webkit/webkitwebnavigationaction.cpp:
        (webkit_web_navigation_action_class_init):

2013-03-28  Zan Dobersek  <zdobersek@igalia.com>

        [GTK] Build GTK-specific, non-layer-violating source code into WebCore-independent libPlatformGtk.la
        https://bugs.webkit.org/show_bug.cgi?id=112546

        Reviewed by Martin Robinson.

        * GNUmakefile.am: The GtkVersioning.c file has moved back under Source/WebCore/platform.

2013-03-26  Martin Robinson  <mrobinson@igalia.com>

        [GTK] [gyp] Improve support for rerunning gyp automatically
        https://bugs.webkit.org/show_bug.cgi?id=113360

        Reviewed by Gustavo Noronha Silva.

        Add support for automatically rerunning gyp when input file changes are detected
        while running make.

        * gyp/GNUmakefile: Added. A wrapper that invokes the generated makefile.
        * gyp/autogen.sh: Add a symlink to the wrapper script.
        * gyp/configure.ac: "Freeze" the TOPLEVEL_DIRECTORY command-line argument so that
        run-gyp reads it properly when configure is run independently of autogen.sh.
        * gyp/run-gyp: Prevent generation of auto-regeneration rules in gyp. They are buggy.

2013-03-27  Timothy Hatcher  <timothy@apple.com>

        Add support for dock-to-right of the Web Inspector in the Mac port.

        Unfortunately this requires Safari changes, so it is disabled in the nightly builds.

        https://webkit.org/b/113341
        rdar://problem/10368152

        Reviewed by Joseph Pecoraro.

        * WebCoreSupport/InspectorClientGtk.cpp:
        (WebKit::InspectorFrontendClient::attachWindow):
        (WebKit::InspectorFrontendClient::setAttachedWindowWidth):
        * WebCoreSupport/InspectorClientGtk.h:
        (InspectorFrontendClient):

2013-03-26  Hayato Ito  <hayato@chromium.org>

        Allow ShadowContents in HitTests by default.
        https://bugs.webkit.org/show_bug.cgi?id=113171

        Reviewed by Dimitri Glazkov.

        * webkit/webkitwebinspector.cpp:
        (webkit_web_inspector_inspect_coordinates):
        * webkit/webkitwebview.cpp:
        (prepareMouseEventForFrame):
        (webkit_web_view_get_hit_test_result):

2013-03-26  Tony Chang  <tony@chromium.org>

        Autogenerate the scrollAnimatorEnabled setting in Settings.in
        https://bugs.webkit.org/show_bug.cgi?id=113253

        Reviewed by James Robinson.

        * webkit/webkitwebview.cpp:
        (webkit_web_view_update_settings): Update call to WebCore to use setScrollAnimatorEnabled(bool).
        (webkit_web_view_settings_notify): Update call to WebCore to use setScrollAnimatorEnabled(bool).

2013-03-23  Carlos Garcia Campos  <cgarcia@igalia.com>

        [GTK][Regression] webkit_dom_html_table_element_insert_row returns value that doesn't pass WEBKIT_DOM_IS_HTML_TABLE_ROW_ELEMENT macro
        https://bugs.webkit.org/show_bug.cgi?id=111714

        Reviewed by Martin Robinson.

        Add test that checks webkit_dom_html_table_element_insert_row() to
        also preproduce this issue.

        * tests/testdomdocument.c:
        (test_dom_document_insert_row):
        (main):

2013-03-22  Gustavo Noronha Silva  <gns@gnome.org>

        Trivial fixes to the gyp-build autogen.sh script.

        Reviewed by Martin Robinson (mrobinson).

        * gyp/autogen.sh: add /bin/sh -e as hashbang, so stricter shells will be happy to
        run the script; deal with automake exiting with an error code because there is no
        Makefile.am for it to work on.

2013-03-19  Martin Robinson  <mrobinson@igalia.com>

        [GTK] Add support for building the WebCore bindings to the gyp build
        https://bugs.webkit.org/show_bug.cgi?id=112638

        Reviewed by Nico Weber.

        * gyp/Configuration.gypi.in: Added options for enabling SVG and setting the location of
        the WebCore derived sources.
        * gyp/run-gyp: Include the gyp scripts directory on the Python path and make the WebCoreGTK
        gyp file the default for the build.

2013-03-22  Martin Robinson  <mrobinson@igalia.com>

        [GTK] [gyp] Expose a few more compiler defines for the gyp build
        https://bugs.webkit.org/show_bug.cgi?id=113109

        Reviewed by Gustavo Noronha Silva.

        * gyp/Configuration.gypi.in: Expose the version number string and data
        directory to the gyp build as command-line arguments.

2013-03-22  Martin Robinson  <mrobinson@igalia.com>

        [GTK] [gyp] Feature defines are not space separated
        https://bugs.webkit.org/show_bug.cgi?id=113108

        Reviewed by Gustavo Noronha Silva.

        * gyp/configure.ac: Properly export feature defines for gyp during
        configure phase.

2013-03-22  Mario Sanchez Prada  <mario.prada@samsung.com>

        [GTK] Include the right GL header for GLES2
        https://bugs.webkit.org/show_bug.cgi?id=113034

        Reviewed by Martin Robinson.

        Include GLES2/gl2.h when using GLES2.

        * WebCoreSupport/AcceleratedCompositingContextGL.cpp:

2013-03-20  Zan Dobersek  <zdobersek@igalia.com>

        [GTK] Build ANGLE sources into a separate library from libWebCore.la
        https://bugs.webkit.org/show_bug.cgi?id=112778

        Reviewed by Martin Robinson.

        * GNUmakefile.am: Add libLevelDB.la to the libwebkitgtk library if using the OpenGL accelerated backend.

2013-03-17  Gustavo Noronha Silva  <gns@gnome.org>

        [GTK] Fix and improve dist hooks for translations
        https://bugs.webkit.org/show_bug.cgi?id=112519

        Reviewed by Carlos Garcia Campos.

        * GNUmakefile.am: removed left-over translation files from EXTRA_DIST

2013-03-15  Nate Chapin  <japhet@chromium.org>

        Hide MainResourceLoader from the outside world
        https://bugs.webkit.org/show_bug.cgi?id=109971

        Reviewed by Adam Barth.

        * WebCoreSupport/FrameLoaderClientGtk.cpp:
        (WebKit::FrameLoaderClient::convertMainResourceLoadToDownload):
        * WebCoreSupport/FrameLoaderClientGtk.h:
        (FrameLoaderClient):

2013-03-15  Abhishek Arya  <inferno@chromium.org>

        Replace static_casts with to* helper functions.
        https://bugs.webkit.org/show_bug.cgi?id=112401

        Reviewed by Stephen Chenney.

        to* helper functions are preferred over static_cast calls since they
        help to catch bad casts easily on the testing infrastructure.

        * WebCoreSupport/FrameLoaderClientGtk.cpp:
        (WebKit::FrameLoaderClient::redirectDataToPlugin):

2013-03-14  Manuel Rego Casasnovas  <rego@igalia.com>

        Add selectTrailingWhitespaceEnabled setting to WebCore::Page
        https://bugs.webkit.org/show_bug.cgi?id=109404

        Reviewed by Tony Chang.

        Use new settings for smartInsertDeleteEnabled and
        selectTrailingWhitespaceEnabled.

        Remove code related to DRT as it is not needed anymore.

        * WebCoreSupport/DumpRenderTreeSupportGtk.cpp:
        * WebCoreSupport/DumpRenderTreeSupportGtk.h:
        (DumpRenderTreeSupportGtk):
        * WebCoreSupport/EditorClientGtk.cpp:
        (WebKit::EditorClient::smartInsertDeleteEnabled):
        (WebKit::EditorClient::isSelectTrailingWhitespaceEnabled):
        (WebKit::EditorClient::EditorClient):
        * WebCoreSupport/EditorClientGtk.h:
        (EditorClient):

2013-03-14  Abhishek Arya  <inferno@chromium.org>

        Replace static_casts with to* helper functions.
        https://bugs.webkit.org/show_bug.cgi?id=112296

        Reviewed by Kentaro Hara.

        to* helper functions are preferred over static_cast calls since they
        help to catch bad casts easily on the testing infrastructure.

        * webkit/webkitwebview.cpp:
        (webkit_web_view_query_tooltip):

2013-03-13  Tomas Popela  <tpopela@redhat.com>

        [GTK][Introspection] Fix of gtk doc annotation warnings
        https://bugs.webkit.org/show_bug.cgi?id=109182

        Reviewed by Martin Robinson.

        Fixed some gtk doc annotation warnings that appears during
        compiling. Also some white characters were removed and some restyling
        was done - all the g_signal_new in webkit directory have now the same
        style. 


        * webkit/webkitdownload.cpp:
        (webkit_download_class_init):
        * webkit/webkitfavicondatabase.cpp:
        (webkit_favicon_database_class_init):
        * webkit/webkitgeolocationpolicydecision.cpp:
        * webkit/webkitglobals.cpp:
        * webkit/webkithittestresult.h:
        * webkit/webkiticondatabase.cpp:
        (webkit_icon_database_class_init):
        * webkit/webkitsecurityorigin.cpp:
        * webkit/webkitsecurityorigin.h:
        * webkit/webkitsoupauthdialog.cpp:
        * webkit/webkitspellchecker.cpp:
        * webkit/webkitviewportattributes.cpp:
        (webkit_viewport_attributes_class_init):
        * webkit/webkitwebdatabase.cpp:
        * webkit/webkitwebframe.cpp:
        (webkit_web_frame_class_init):
        * webkit/webkitwebframe.h:
        * webkit/webkitwebinspector.cpp:
        (webkit_web_inspector_class_init):
        * webkit/webkitwebnavigationaction.cpp:
        (webkit_web_navigation_action_class_init):
        * webkit/webkitwebplugindatabase.cpp:
        * webkit/webkitwebpolicydecision.cpp:
        * webkit/webkitwebresource.cpp:
        (webkit_web_resource_class_init):
        * webkit/webkitwebsettings.cpp:
        (webkit_web_settings_class_init):
        * webkit/webkitwebview.cpp:
        (webkit_web_view_class_init):
        (webkit_web_view_apply_zoom_level):
        * webkit/webkitwebwindowfeatures.cpp:
        (webkit_web_window_features_equal):

2013-03-13  Pavel Feldman  <pfeldman@chromium.org>

        Web Inspector: get rid of hiddenPanels filter
        https://bugs.webkit.org/show_bug.cgi?id=112252

        Reviewed by Vsevolod Vlasov.

        * WebCoreSupport/InspectorClientGtk.cpp:
        * WebCoreSupport/InspectorClientGtk.h:
        (InspectorFrontendClient):

2013-03-12  Zan Dobersek  <zdobersek@igalia.com>

        [GTK] Set up the libPlatformGtk.la library
        https://bugs.webkit.org/show_bug.cgi?id=111738

        Reviewed by Martin Robinson.

        * GNUmakefile.am: Reference platformgtk_cppflags variable, libPlatformGtk.la along with webcoregtk_cppflags variable, libWebCoreGtk.la.
        Adjust the path to GtkVersioning.c, the file has moved under Source/Platform.

2013-03-07  Zan Dobersek  <zdobersek@igalia.com>

        [GTK] Limit the supported compilers to GCC >= 4.7 and Clang >= 3.0
        https://bugs.webkit.org/show_bug.cgi?id=109932

        Reviewed by Martin Robinson.

        * GNUmakefile.am: Replace references to SYMBOL_VISIBILITY_INLINES and SYMBOL_VISIBILITY variables with the actual flags.
        They are now available by default due to the limited set of supported compilers.

2013-03-06  Gustavo Noronha Silva  <gns@gnome.org>

        [GTK] Enable translations for WebKit2
        https://bugs.webkit.org/show_bug.cgi?id=111398

        Reviewed by Martin Robinson.

        * GNUmakefile.am: no longer distribute po files from here, they've moved to
        Sources/WebCore/platform/gtk.

2013-03-07  Tomas Popela  <tpopela@redhat.com>

        [GTK] Expose "ShouldRespectImageOrientation" setting into WebKitWebSettings
        https://bugs.webkit.org/show_bug.cgi?id=111414

        Reviewed by Carlos Garcia Campos.

        We should expose ShouldRespectImageOrientation setting into
        WebKitWebSettings. When it is enabled, the images are shown with right
        orientation regarding to images EXIF data.

        * webkit/webkitwebsettings.cpp:
        (webkit_web_settings_class_init):
        (webkit_web_settings_set_property):
        (webkit_web_settings_get_property):
        * webkit/webkitwebsettingsprivate.h:
        * webkit/webkitwebview.cpp:
        (webkit_web_view_update_settings):
        (webkit_web_view_settings_notify):

2013-03-06  Benjamin Poulain  <benjamin@webkit.org>

        WebKitTestRunner needs layoutTestController.elementDoesAutoCompleteForElementWithId
        https://bugs.webkit.org/show_bug.cgi?id=42696

        Reviewed by Andreas Kling.

        * WebCoreSupport/DumpRenderTreeSupportGtk.cpp:
        * WebCoreSupport/DumpRenderTreeSupportGtk.h:
        (DumpRenderTreeSupportGtk):

2013-03-06  Sudarsana Nagineni  <sudarsana.nagineni@intel.com>

        [GTK] Return m_inspectorFilesPath if it is not null
        https://bugs.webkit.org/show_bug.cgi?id=111633

        Reviewed by Martin Robinson.

        Added missing return in InspectorClient::inspectorFilesPath().

        * WebCoreSupport/InspectorClientGtk.cpp:
        (WebKit::InspectorClient::inspectorFilesPath):

2013-03-06  Dominique Leuenberger  <dimstar@opensuse.org>

        Link the webkit_tests to XRENDER_LIBS.
        This solves the linking failure when building against gtk2 like:
        usr/lib/gcc/i586-suse-linux/4.7/../../../../i586-suse-linux/bin/ld:
        Source/WebCore/platform/gtk/Programs_unittests_testcopyandpaste-GtkVersioning.o:
        undefined reference to symbol 'XFree'
        /usr/lib/gcc/i586-suse-linux/4.7/../../../../i586-suse-linux/bin/ld:
        note: 'XFree' is defined in DSO /usr/lib/libX11.so.6 so try adding it
        to the linker command line
        /usr/lib/libX11.so.6: could not read symbols: Invalid operation

        https://bugs.webkit.org/show_bug.cgi?id=111572

        Reviewed by Gustavo Noronha Silva.

        * GNUmakefile.am:

2013-03-03  Adam Barth  <abarth@webkit.org>

        Unreviewed rollout of http://trac.webkit.org/r144530
        As described in https://bugs.webkit.org/show_bug.cgi?id=111167 and
        https://bugs.webkit.org/show_bug.cgi?id=111035, this patch caused a
        large number of ASSERTs in chromium-win.

        * webkit/webkitwebpolicydecision.cpp:

2013-03-02  Benjamin Poulain  <bpoulain@apple.com>

        Move computedStyleIncludingVisitedInfo from TestRunner to Internals
        https://bugs.webkit.org/show_bug.cgi?id=109772

        Reviewed by Andreas Kling.

        * WebCoreSupport/DumpRenderTreeSupportGtk.cpp:
        * WebCoreSupport/DumpRenderTreeSupportGtk.h:
        (DumpRenderTreeSupportGtk):

2013-02-28  Alexey Proskuryakov  <ap@apple.com>

        Reduce amount of rebuilding when touching networking headers
        https://bugs.webkit.org/show_bug.cgi?id=111035

        Reviewed by Eric Seidel.

        Adding includes that are now necessary because WebCore headers don't have them
        any more.

        * webkit/webkitwebpolicydecision.cpp:

2013-03-01  Jason Anderssen  <janderssen@gmail.com>

        Move markerTextForListItem from TestRunner to Internals
        https://bugs.webkit.org/show_bug.cgi?id=110939

        Reviewed by Benjamin Poulain.

        * WebCoreSupport/DumpRenderTreeSupportGtk.cpp:
        * WebCoreSupport/DumpRenderTreeSupportGtk.h:
        (DumpRenderTreeSupportGtk):

2013-03-01  Martin Robinson  <mrobinson@igalia.com>

        [GTK] Expose more of the configuration step to the gyp build
        https://bugs.webkit.org/show_bug.cgi?id=111213

        Reviewed by Dirk Pranke.

        Expose more of the configuration phase to the gyp build, including WebKit features
        and binary paths.

        * gyp/Configuration.gypi.in: Add templatized gyp variables for the new configuration bits.
        * gyp/autogen.sh: Properly link up the WebKit features script. So we can access it
        relatively as if we were at the top-level of the source directory.
        * gyp/configure.ac: Export the WebKit features.

2013-03-01  Sheriff Bot  <webkit.review.bot@gmail.com>

        Unreviewed, rolling out r144422 and r144424.
        http://trac.webkit.org/changeset/144422
        http://trac.webkit.org/changeset/144424
        https://bugs.webkit.org/show_bug.cgi?id=111167

        Caused over 20 tests to fail assertion on Chromium Win port as
        ASSERTION FAILED: m_platformRequestUpdated (Requested by
        toyoshim on #webkit).

        * webkit/webkitwebpolicydecision.cpp:

2013-02-28  Alexey Proskuryakov  <ap@apple.com>

        Reduce amount of rebuilding when touching networking headers
        https://bugs.webkit.org/show_bug.cgi?id=111035

        Reviewed by Eric Seidel.

        Adding includes that are now necessary because WebCore headers don't have them
        any more.

        * webkit/webkitwebpolicydecision.cpp:

2013-02-26  Martin Robinson  <mrobinson@igalia.com>

        REGRESSION (r143619): Crashes in three layout tests
        https://bugs.webkit.org/show_bug.cgi?id=110588

        Reviewed by Gustavo Noronha Silva.

        Guard against null main resource identifiers. The main resource
        identifier can be null at various times during the load. A null
        identifier is never equal to the ones we are looking to remove.

        * WebCoreSupport/FrameLoaderClientGtk.cpp:
        (WebKit::FrameLoaderClient::dispatchDidFinishLoading): Use the new webkitWebViewRemoveSubresource helper.
        (WebKit::FrameLoaderClient::dispatchDidFailLoading): ditto.
        * webkit/webkitwebview.cpp:
        (webkitWebViewRemoveSubresource): Added this helper which removes a subresource, but
        never touches the main resource. This is adapted from the old method, for which the
        main resource branch was dead code.
        * webkit/webkitwebviewprivate.h: Update the method list.

2013-02-25  Andreas Kling  <akling@apple.com>

        Reduce amount of code that includes StylePropertySet.h
        <http://webkit.org/b/101149>

        Reviewed by Antti Koivisto.

        * WebCoreSupport/EditorClientGtk.cpp:

2013-02-24  Gustavo Noronha Silva  <gns@gnome.org>

        [GTK] GTK+ 2 build broken since GTK_API_VERSION_2 moved to autoconfig.h
        https://bugs.webkit.org/show_bug.cgi?id=110702

        Reviewed by Martin Robinson.

        * tests/testapplicationcache.c: include autotoolsconfig.h.
        * tests/testatk.c: ditto.
        * tests/testatkroles.c: ditto.
        * tests/testcontextmenu.c: ditto.
        * tests/testcopyandpaste.c: ditto.
        * tests/testdomdocument.c: ditto.
        * tests/testdomdomwindow.c: ditto.
        * tests/testdomnode.c: ditto.
        * tests/testdownload.c: ditto.
        * tests/testfavicondatabase.c: ditto.
        * tests/testglobals.c: ditto.
        * tests/testhittestresult.c: ditto.
        * tests/testhttpbackend.c: ditto.
        * tests/testkeyevents.c: ditto.
        * tests/testloading.c: ditto.
        * tests/testmimehandling.c: ditto.
        * tests/testnetworkrequest.c: ditto.
        * tests/testnetworkresponse.c: ditto.
        * tests/testwebbackforwardlist.c: ditto.
        * tests/testwebdatasource.c: ditto.
        * tests/testwebframe.c: ditto.
        * tests/testwebhistoryitem.c: ditto.
        * tests/testwebinspector.c: ditto.
        * tests/testwebplugindatabase.c: ditto.
        * tests/testwebresource.c: ditto.
        * tests/testwebsettings.c: ditto.
        * tests/testwebview.c: ditto.
        * tests/testwindow.c: ditto.

2013-02-23  Jason Anderssen  <janderssen@gmail.com>

        Move setAutofilled from TestRunner to WebCore
        https://bugs.webkit.org/show_bug.cgi?id=110521

        Reviewed by Benjamin Poulain.

        * WebCoreSupport/DumpRenderTreeSupportGtk.cpp:
        * WebCoreSupport/DumpRenderTreeSupportGtk.h:
        (DumpRenderTreeSupportGtk):

2013-02-22  Martin Robinson  <mrobinson@igalia.com>

        [GTK] Expose all dependencies to the gyp build
        https://bugs.webkit.org/show_bug.cgi?id=110498

        Reviewed by Dirk Pranke.

        * gyp/Configuration.gypi.in: Add the missing configuration cflags here.
        * gyp/Dependencies.gyp: Add targets for all missing dependencies.

2013-02-21  George McCollister  <george.mccollister@gmail.com>

        [GTK] Remove subresource leaks from WebKit1 and WebKit2
        https://bugs.webkit.org/show_bug.cgi?id=108960

        Reviewed by Martin Robinson.

        * WebCoreSupport/FrameLoaderClientGtk.cpp:
        (WebKit::FrameLoaderClient::dispatchDidFinishLoading): Remove resource
        if it isn't the main resource to prevent leak.
        (WebKit::FrameLoaderClient::dispatchDidFailLoading): Ditto
        * webkit/webkitwebview.cpp:
        (cleanupTemporarilyCachedSubresources): Added to cleanup subresources.
        (webkit_web_view_get_subresources): Use getSubresources from the
        documentLoader to provide subresources since resources will be removed
        from webview after loading.

2013-02-21  Carlos Garcia Campos  <cgarcia@igalia.com>

        Unreviewed. Fix make distcheck.

        * GNUmakefile.am: Add -DBUILDING_WEBKIT flags to introspection
        scanner.

2013-02-15  Martin Robinson  <mrobinson@igalia.com>

        [GTK] Spread the gyp build files throughout the tree
        https://bugs.webkit.org/show_bug.cgi?id=109960

        Reviewed by Dirk Pranke.

        * gyp/Configuration.gypi.in: Remove the 'Source', since now it cannot be shared.
        * gyp/run-gyp: Update the path to the JavaScriptCore gypfile.

2013-02-15  Martin Robinson  <mrobinson@igalia.com>

        Unreviewed, rolling out parts of r142731.
        http://trac.webkit.org/changeset/142731
        https://bugs.webkit.org/show_bug.cgi?id=109672

        This patch broke the GTK+ gyp build. Roll out the changes there,
        since they were actually unnecessary.

        * gyp/Configuration.gypi.in:
        * gyp/Dependencies.gyp:
        * gyp/JavaScriptCore.gyp:
        * gyp/WTF.gyp:

2013-02-13  Allan Sandfeld Jensen  <allan.jensen@digia.com>

        [Qt] window.open passes height and width parameters even if not defined in a page
        https://bugs.webkit.org/show_bug.cgi?id=107705

        Reviewed by Kenneth Rohde Christiansen.

        Do not resize window when default size is requested.

        * WebCoreSupport/ChromeClientGtk.cpp:
        (WebKit::ChromeClient::setWindowRect):

2013-02-13  Andrew Wilson  <atwilson@chromium.org>

        Unreviewed Chromium gyp-file cleanup after glib backend removal.
        https://bugs.webkit.org/show_bug.cgi?id=109672

        Removed references to GLib unicode backend:

        * gyp/Configuration.gypi.in:
        * gyp/Dependencies.gyp:
        * gyp/JavaScriptCore.gyp:
        * gyp/WTF.gyp:

2013-02-12  Martin Robinson  <mrobinson@igalia.com>

        2013-02-10  Martin Robinson  <mrobinson@igalia.com>

        [GTK] Connect the gyp build to autoconf
        https://bugs.webkit.org/show_bug.cgi?id=109360

        Reviewed by Dirk Pranke.

        Move Configuration.gypi to Configuration.gypi.in and allow autoconf to
        fill in variables during a configuration phase. Also add some scripts
        to support connecting autoconf up to the gyp build. This allows us
        to have a very autotools-esque experience.

        * gyp/Configuration.gypi: Removed.
        * gyp/Configuration.gypi.in: Added. Fleshed out Configuration.gypi to include
        dependency CFLAGS and LIBS directly from configure. Due to the way we are
        generating the gyp build now, we also need to include an absolute path to
        the build directory. Fixing bugs in gyp should allow us to avoid this in the
        future.
        * gyp/Dependencies.gyp: Added this file which holds external dependency targets.
        We could consider auto-generating this at some point.
        * gyp/JavaScriptCore.gyp: Remove references to the old Configuration.gypi.
        It's now included via the command-line -I flag. Update to support the new
        s/default/global/g terminology for variables.
        * gyp/WTF.gyp: Remove the dependency targets as this is now handled entirely
        by autoconf.
        * gyp/autogen.sh: Added. Set up the build directory and kick off autoconf.
        * gyp/configure.ac: Added. An autoconf build that re-uses much of our
        existing autoconf setup.
        * gyp/run-gyp: Added. Script for invoking gyp for out-of-tree builds.

2013-02-12  Huang Dongsung  <luxtella@company100.net>

        [TexMap] Apply frames-per-second debug counter to WK1.
        https://bugs.webkit.org/show_bug.cgi?id=109540

        Reviewed by Noam Rosenthal.

        Make AcceleratedCompositingContext use TextureMapperFPSCounter.

        * WebCoreSupport/AcceleratedCompositingContext.h:
        * WebCoreSupport/AcceleratedCompositingContextGL.cpp:
        (WebKit::AcceleratedCompositingContext::compositeLayersToContext):

2013-02-11  Ryosuke Niwa  <rniwa@webkit.org>

        Disable delete button controller on non-Mac ports and delete EditorClient::shouldShowDeleteInterface
        https://bugs.webkit.org/show_bug.cgi?id=109534

        Reviewed by Anders Carlsson.

        * WebCoreSupport/EditorClientGtk.cpp:
        (WebKit):
        * WebCoreSupport/EditorClientGtk.h:
        (EditorClient):
        * webkit/webkitwebview.cpp:
        (webkit_web_view_class_init):

2013-02-11  Benjamin Poulain  <benjamin@webkit.org>

        Kill TestRunner::setMinimumTimerInterval; implement the feature with InternalSettings
        https://bugs.webkit.org/show_bug.cgi?id=109349

        Reviewed by Sam Weinig.

        * WebCoreSupport/DumpRenderTreeSupportGtk.cpp:
        * WebCoreSupport/DumpRenderTreeSupportGtk.h:
        (DumpRenderTreeSupportGtk):

2013-02-10  Jae Hyun Park  <jae.park08@gmail.com>

        Rename ENABLE(GLIB_SUPPORT) to USE(GLIB)
        https://bugs.webkit.org/show_bug.cgi?id=104266

        Reviewed by Philippe Normand.

        Using USE(GLIB) instead of ENABLE(GLIB_SUPPORT) is more consistent with
        the existing macro naming conventions.

        From Platform.h
        USE() - use a particular third-party library or optional OS service
        ENABLE() - turn on a specific feature of WebKit

        * gyp/Configuration.gypi:

2013-02-08  Benjamin Poulain  <bpoulain@apple.com>

        Move workerThreadCount from TestRunner to WebCore Internals
        https://bugs.webkit.org/show_bug.cgi?id=109239

        Reviewed by Darin Adler.

        * WebCoreSupport/DumpRenderTreeSupportGtk.cpp:
        * WebCoreSupport/DumpRenderTreeSupportGtk.h:
        (DumpRenderTreeSupportGtk):

2013-02-08  Martin Robinson  <mrobinson@igalia.com>

        [GTK] Add an experimental gyp build
        https://bugs.webkit.org/show_bug.cgi?id=109003

        Reviewed by Gustavo Noronha Silva.

        Add an experimental gyp build for WebKitGTK+. Currently only libjavascriptcoregtk,
        jsc, and minidom build (and only on platforms for that support bash). To use the
        build simply run:

        $ gyp --generator-output=build --depth=. Source/WebKit/gtk/gyp/JavaScriptCore.gyp

        Then enter the build directory and run make.

        * gyp/Configuration.gypi: Added.
        * gyp/JavaScriptCore.gyp: Added.
        * gyp/WTF.gyp: Added.
        * gyp/generate-derived-sources.sh: Added.

2013-02-07  Martin Robinson  <mrobinson@igalia.com>

        [GTK] Cleanup command-line defines
        https://bugs.webkit.org/show_bug.cgi?id=109213

        Reviewed by Xan Lopez.

        * GNUmakefile.am: Remove references to flags that are now provided
        by autotoolsconfig.h

2013-02-07  Benjamin Poulain  <bpoulain@apple.com>

        Move pauseAnimation/pauseTransition from TestRunner to Internals
        https://bugs.webkit.org/show_bug.cgi?id=109107

        Reviewed by Anders Carlsson.

        * WebCoreSupport/DumpRenderTreeSupportGtk.cpp:
        * WebCoreSupport/DumpRenderTreeSupportGtk.h:
        (DumpRenderTreeSupportGtk):

2013-02-07  ChangSeok Oh  <shivamidow@gmail.com>

        [GTK][AC] Implement opacity animation with clutter ac backend
        https://bugs.webkit.org/show_bug.cgi?id=108961

        Reviewed by Gustavo Noronha Silva.

        Add AnimationTrigger for ac compositing.

        * WebCoreSupport/ChromeClientGtk.cpp:
        (WebKit::ChromeClient::allowedCompositingTriggers):

2013-02-05  Martin Robinson  <mrobinson@igalia.com>

        Update the NEWS and configuration in preparation for 1.11.5.

        Reviewed by Philippe Normand.

        * NEWS:

2013-02-04  Benjamin Poulain  <bpoulain@apple.com>

        Kill suspendAnimation(), resumeAnimation() and numberOfActiveAnimations() from DRT/WTR; use Internals
        https://bugs.webkit.org/show_bug.cgi?id=108741

        Reviewed by Tony Chang.

        * WebCoreSupport/DumpRenderTreeSupportGtk.cpp:
        * WebCoreSupport/DumpRenderTreeSupportGtk.h:
        (DumpRenderTreeSupportGtk):

2013-02-04  Gustavo Noronha Silva  <gns@gnome.org>

        Made the documentation on the confirmed argument for the
        WebView::script-confirm signal clearer about its type.

        Reviewed by Martin Robinson.

        * webkit/webkitwebview.cpp:
        (webkit_web_view_class_init):

2013-02-04  Balazs Kelemen  <kbalazs@webkit.org>

        [Soup] Wrap SoupSession by NetworkStorageSession
        https://bugs.webkit.org/show_bug.cgi?id=108615

        Reviewed by Alexey Proskuryakov.

        * WebCoreSupport/FrameNetworkingContextGtk.cpp:
        (WebKit::FrameNetworkingContextGtk::storageSession):
        * WebCoreSupport/FrameNetworkingContextGtk.h:
        (FrameNetworkingContextGtk):

2013-02-03  KwangYong Choi  <ky0.choi@samsung.com>

        Fix build warning after r141473
        https://bugs.webkit.org/show_bug.cgi?id=108782

        Reviewed by Kentaro Hara.

        Fix -Wunused-parameter build warning.

        * WebCoreSupport/EditorClientGtk.cpp:
        (WebKit::EditorClient::getClientPasteboardDataForRange):

2013-02-01  Philippe Normand  <pnormand@igalia.com>

        [GTK][GStreamer] FullscreenVideoControllerGtk implementation
        https://bugs.webkit.org/show_bug.cgi?id=107398

        Reviewed by Gustavo Noronha Silva.

        Remove the FullscreenVideoController as it moved to
        FullscreenVideoControllerGStreamer and its Gtk subclass in
        WebCore. Hook in NATIVE_FULLSCREEN_VIDEO in the ChromeClient in
        the two possible scenarios, wether FULLSCREEN_API is enabled or not.

        * GNUmakefile.am: Remove FullscreenVideoController.
        * WebCoreSupport/ChromeClientGtk.cpp:
        (WebKit):
        (WebKit::ChromeClient::enterFullscreenForNode): Hook
        NATIVE_FULLSCREEN_VIDEO support.
        (WebKit::ChromeClient::exitFullscreenForNode): Ditto
        (WebKit::ChromeClient::enterFullScreenForElement): Ditto
        (WebKit::ChromeClient::exitFullScreenForElement): Ditto
        * WebCoreSupport/ChromeClientGtk.h:
        (ChromeClient):
        * WebCoreSupport/FullscreenVideoController.cpp: Removed.
        * WebCoreSupport/FullscreenVideoController.h: Removed.
        * webkit/webkitwebview.cpp: Remove FullscreenVideoController support.
        * webkit/webkitwebviewprivate.h: Ditto

2013-01-31  Aurimas Liutikas  <aurimas@chromium.org>

        Editor::m_compositionNode not updated on HTMLInputElement::setValue()
        https://bugs.webkit.org/show_bug.cgi?id=107737

        Reviewed by Ryosuke Niwa.

        * WebCoreSupport/EditorClientGtk.cpp:
        (WebKit::EditorClient::respondToChangedSelection):
            Adding a call to the newly refactored Editor method.

2013-01-31  Sheriff Bot  <webkit.review.bot@gmail.com>

        Unreviewed, rolling out r141479.
        http://trac.webkit.org/changeset/141479
        https://bugs.webkit.org/show_bug.cgi?id=108564

        breaks chromium test (Requested by morrita on #webkit).

        * WebCoreSupport/EditorClientGtk.cpp:
        (WebKit::EditorClient::respondToChangedSelection):

2013-01-31  Aurimas Liutikas  <aurimas@chromium.org>

        Editor::m_compositionNode not updated on HTMLInputElement::setValue()
        https://bugs.webkit.org/show_bug.cgi?id=107737

        Reviewed by Ryosuke Niwa.

        * WebCoreSupport/EditorClientGtk.cpp:
        (WebKit::EditorClient::respondToChangedSelection):
            Adding a call to the newly refactored Editor method.

2013-01-31  Enrica Casucci  <enrica@apple.com>

        WebKit2: provide new bundle APIs to allow bundle clients to be notified of pasteboard access.
        https://bugs.webkit.org/show_bug.cgi?id=108396.
        <rdar://problem/12920461>

        Reviewed by Alexey Proskuryakov.

        Adds stub implementation for WebKit of the new EditorClient methods.

        * WebCoreSupport/EditorClientGtk.cpp:
        (WebKit::EditorClient::willWriteSelectionToPasteboard):
        (WebKit::EditorClient::getClientPasteboardDataForRange):
        * WebCoreSupport/EditorClientGtk.h:

2013-01-30  Huang Dongsung  <luxtella@company100.net>

        [TexMap] Remove GraphicsLayer in TextureMapperLayer.
        https://bugs.webkit.org/show_bug.cgi?id=107073

        Reviewed by Noam Rosenthal.

        Include GraphicsLayerTextureMapper.h to use toTextureMapperLayer().

        * WebCoreSupport/AcceleratedCompositingContextGL.cpp:

2013-01-29  Mario Sanchez Prada  <mario.prada@samsung.com>

        [GTK] Missing build flags when building with Harfbuzz
        https://bugs.webkit.org/show_bug.cgi?id=108174

        Reviewed by Martin Robinson.

        Add FREETYPE_CFLAGS and FREETYPE_LIBS to makefiles so -lharfbuzz
        parameter will be added to linking lines when needed.

        * GNUmakefile.am: Added FREETYPE_CFLAGS and FREETYPE_LIBS.

2013-01-28  Huang Dongsung  <luxtella@company100.net>

        [TexMap] Enable debug borders and repaint counter via Settings.
        https://bugs.webkit.org/show_bug.cgi?id=107198

        Reviewed by Benjamin Poulain.

        If WEBKIT_SHOW_COMPOSITING_DEBUG_VISUALS is set to 1, set
        showDebugBorders and showRepaintCounter in Settings to true.

        * webkit/webkitwebview.cpp:
        (webkit_web_view_update_settings):

2013-01-25  Joone Hur  <joone.hur@intel.com>

        [GTK][AC] Use new Clutter APIs instead of deprecated APIs
        https://bugs.webkit.org/show_bug.cgi?id=105736

        Reviewed by Gustavo Noronha Silva.

        Use clutter_actor_set_background_color instead of clutter_stage_set_color.
        Use clutter_actor_add_child instead of clutter_container_add_actor.
        Remove clutter_actor_show_all because Actors are visible by default.

        * WebCoreSupport/AcceleratedCompositingContextClutter.cpp:
        (WebKit::AcceleratedCompositingContext::setRootCompositingLayer):

2013-01-25  Martin Robinson  <mrobinson@igalia.com>

        [GTK] LDFLAGS are being incorrectly used at compile time (rather than linking)
        https://bugs.webkit.org/show_bug.cgi?id=100616

        Unreviewed, since this is just a build fix.

        * GNUmakefile.am: use PACKAGE_CFLAGS instead of PACKAGE_LIBS when appending pkg-config
        variables to build target _CFLAGS.

2013-01-24  Mark Hahnenberg  <mhahnenberg@apple.com>

        Objective-C API: Rename JSValue.h/APIJSValue.h to JSCJSValue.h/JSValue.h
        https://bugs.webkit.org/show_bug.cgi?id=107327

        Reviewed by Filip Pizlo.

        We're renaming these two files, so we have to replace the names everywhere.

        * WebCoreSupport/DumpRenderTreeSupportGtk.cpp:

2013-01-23  Manuel Rego Casasnovas  <rego@igalia.com>

        [GTK] Avoid reset title for navigation within the page
        https://bugs.webkit.org/show_bug.cgi?id=106908

        Reviewed by Martin Robinson.

        * WebCoreSupport/FrameLoaderClientGtk.cpp:
        (WebKit::FrameLoaderClient::dispatchDidNavigateWithinPage): Call
        dispatchDidCommitLoad with true as param.
        (WebKit::FrameLoaderClient::dispatchDidCommitLoad): The method has been
        overloaded. The default implementation (without params) simply calls
        dispatchDidCommitLoad with false. The new private method with
        isNavigatingWithinPage as param will avoid to reset the title for
        navigation within the page.
        * WebCoreSupport/FrameLoaderClientGtk.h:
        (FrameLoaderClient): Add new private method dispatchDidCommitLoad with a
        boolean parameter to know if it is navigating withing the same page or
        not.

2013-01-22  Anders Carlsson  <andersca@apple.com>

        Use a platforom strategy for local storage
        https://bugs.webkit.org/show_bug.cgi?id=107600

        Reviewed by Andreas Kling.

        Update for new storage strategy.

        * WebCoreSupport/PlatformStrategiesGtk.cpp:
        (PlatformStrategiesGtk::createStorageStrategy):
        * WebCoreSupport/PlatformStrategiesGtk.h:
        (PlatformStrategiesGtk):

2013-01-22  Manuel Rego Casasnovas  <rego@igalia.com>

        [GTK] Add listener for direction-changed signal in WebKitWebView
        https://bugs.webkit.org/show_bug.cgi?id=107131

        Reviewed by Philippe Normand.

        * webkit/webkitwebview.cpp:
        (webkit_web_view_init): Add listener for direction-changed signal.
        (webkitWebViewDirectionChanged): Implement listener using
        Editor::setBaseWritingDirection().

2013-01-21  Oleg Smirnov  <oleg.smirnov@lge.com>

        [Gtk] Dispatching event list into input element.
        https://bugs.webkit.org/show_bug.cgi?id=107259

        Reviewed by Martin Robinson.

        Clear pending command list after dispatching events.

        * WebCoreSupport/EditorClientGtk.cpp:
        (WebKit::EditorClient::handleKeyboardEvent):

2013-01-18  Martin Robinson  <mrobinson@igalia.com>

        [GTK] Add property for IndexedDB database path to WebKitGTK+
        https://bugs.webkit.org/show_bug.cgi?id=106136

        Reviewed by Gustavo Noronha Silva.

        Make the web database directory affect both the legacy SQLite web
        database API and the newer indexed database API. This will allow us
        to run IDB tests in WebKit1.

        * webkit/webkitglobals.cpp:
        (webkitPageGroupName): Added this helper to get the default page
        group name.
        * webkit/webkitglobalsprivate.h: Added a declaration for the helper.
        * webkit/webkitwebdatabase.cpp:
        (webkit_get_web_database_directory_path): Just return the cached value.
        This is always set by webkitInit.
        (webkit_set_web_database_directory_path): Set both the IDB and legacy
        database paths.
        * webkit/webkitwebview.cpp:
        (webkit_web_view_init): Use the new page group name helper.

2013-01-18  Seokju Kwon  <seokju.kwon@gmail.com>

        Add explicit keyword to constructors in platform-specific InspectorClient
        https://bugs.webkit.org/show_bug.cgi?id=107255

        Reviewed by Kentaro Hara.

        Add explicit keyword to constructors that take one argument
        in platform-specific implementation of InspectorClient.
        And fix some coding style.

        * WebCoreSupport/InspectorClientGtk.h:
        (WebCore):
        (WebKit):
        (InspectorClient):
        (WebKit::InspectorClient::disconnectFrontendClient):
        (InspectorFrontendClient):
        (WebKit::InspectorFrontendClient::disconnectInspectorClient):

2013-01-18  Manuel Rego Casasnovas  <rego@igalia.com>

        [GTK] Add new method to support addUserScript in DumpRenderTree
        https://bugs.webkit.org/show_bug.cgi?id=107275

        Reviewed by Philippe Normand.

        * WebCoreSupport/DumpRenderTreeSupportGtk.cpp:
        (DumpRenderTreeSupportGtk::addUserScript): Implement new method using
        PageGroup::addUserScriptToWorld.
        * WebCoreSupport/DumpRenderTreeSupportGtk.h:
        (DumpRenderTreeSupportGtk): Define method header.

2013-01-17  Martin Robinson  <mrobinson@igalia.com>

        [GTK] Build with LevelDB when IndexedDB is enabled
        https://bugs.webkit.org/show_bug.cgi?id=103220

        Reviewed by Gustavo Noronha Silva.

        * GNUmakefile.am: When IndexedDatabase is enabled add the leveldb convenience
        library to the shared library link phase.

2013-01-15  Zan Dobersek  <zandobersek@gmail.com>

        [Autotools] Add support for WebKit2-only builds
        https://bugs.webkit.org/show_bug.cgi?id=106889

        Reviewed by Gustavo Noronha Silva.

        * GNUmakefile.am: Only build the WebKit1-specific targets if actually
        building WebKit1. This puts the libwebkitgtk library, the pkg-config file
        and the WebKit1-specific unit tests under the ENABLE_WEBKIT1 Automake
        conditional.

2013-01-11  Carlos Garcia Campos  <cgarcia@igalia.com>

        Unreviewed. Update NEWS and configure.ac for 1.11.4 release

        * NEWS: Added release notes for 1.11.4.

2013-01-08  Mark Lam  <mark.lam@apple.com>

        Removed the need for the ProposedDatabase mechanism.
        https://bugs.webkit.org/show_bug.cgi?id=106292.

        Reviewed by Sam Weinig.

        * WebCoreSupport/ChromeClientGtk.cpp:
        (WebKit::ChromeClient::exceededDatabaseQuota):
        * WebCoreSupport/ChromeClientGtk.h:
        (ChromeClient):

2013-01-03  Sergio Villar Senin  <svillar@igalia.com>

        [GTK] Add WebP image support
        https://bugs.webkit.org/show_bug.cgi?id=105915

        Reviewed by Martin Robinson.

        * GNUmakefile.am: link against WebP library.

2013-01-07  Mike West  <mkwst@chromium.org>

        Make the IFRAME_SEAMLESS flag runtime-enabled.
        https://bugs.webkit.org/show_bug.cgi?id=106213

        Reviewed by Ojan Vafai.

        * WebCoreSupport/DumpRenderTreeSupportGtk.cpp:
        * WebCoreSupport/DumpRenderTreeSupportGtk.h:
        (DumpRenderTreeSupportGtk):
            Add a toggle for seamless IFrames to GTK's DRTSuport.

2013-01-04  Adam Klein  <adamk@chromium.org>

        Remove ENABLE_MUTATION_OBSERVERS #define
        https://bugs.webkit.org/show_bug.cgi?id=105459

        Reviewed by Ryosuke Niwa.

        * WebCoreSupport/DumpRenderTreeSupportGtk.cpp:
        (DumpRenderTreeSupportGtk::deliverAllMutationsIfNecessary):

2012-12-28  Martin Robinson  <mrobinson@igalia.com>

        [GTK][WK2] Add support for IME Composition
        https://bugs.webkit.org/show_bug.cgi?id=65093

        Reviewed by Carlos Garcia Campos.

        Update the method signatures for concrete WebKit1 implementation of
        the GtkInputMethodFilter.

        * WebCoreSupport/WebViewInputMethodFilter.cpp:
        (WebKit::WebViewInputMethodFilter::sendSimpleKeyEvent):
        (WebKit::WebViewInputMethodFilter::sendKeyEventWithCompositionResults):
        * WebCoreSupport/WebViewInputMethodFilter.h:
        (WebViewInputMethodFilter):

2012-12-27  ChangSeok Oh  <shivamidow@gmail.com>

        [GTK] invalid use of incomplete type WebCore::ResourceResponse in webkitwebviewprivate.h
        https://bugs.webkit.org/show_bug.cgi?id=105720

        Reviewed by Martin Robinson.

        If the acceleration backend is clutter, then css_filter feature is disabled.
        So ResourceResponse.h could not be reached with only existing headers
        in webkitwebviewprivate.h. For this reason, I add ResourceResponse.h explicitly
        to fix a build failure using incomplete type 'WebCore::ResourceResponse()'.

        * webkit/webkitwebviewprivate.h:

2012-12-23  Alexey Proskuryakov  <ap@apple.com>

        <rdar://problem/12808377> Network process should respect cookie accept policy
        https://bugs.webkit.org/show_bug.cgi?id=105684

        Reviewed by Sam Weinig.

        * WebCoreSupport/PlatformStrategiesGtk.cpp:
        * WebCoreSupport/PlatformStrategiesGtk.h:
        CookiesStrategy no longer has notifyCookiesChanged(). This port didn't use it anyway.

2012-12-22  Alexey Proskuryakov  <ap@apple.com>

        Add a separate class for networking related storage
        https://bugs.webkit.org/show_bug.cgi?id=105676

        Reviewed by Sam Weinig.

        * WebCoreSupport/PlatformStrategiesGtk.cpp:
        (PlatformStrategiesGtk::cookiesForDOM):
        (PlatformStrategiesGtk::setCookiesFromDOM):
        (PlatformStrategiesGtk::cookiesEnabled):
        (PlatformStrategiesGtk::cookieRequestHeaderFieldValue):
        (PlatformStrategiesGtk::getRawCookies):
        (PlatformStrategiesGtk::deleteCookie):
        * WebCoreSupport/PlatformStrategiesGtk.h:
        Cookie functions now take a NetworkStorageSession, not a NetworkingContext.

2012-12-18  Alexey Proskuryakov  <ap@apple.com>

        Remove unnecessary functions from CookiesStrategy
        https://bugs.webkit.org/show_bug.cgi?id=105369

        Reviewed by Brady Eidson.

        * WebCoreSupport/PlatformStrategiesGtk.cpp:
        * WebCoreSupport/PlatformStrategiesGtk.h:

2012-12-18  ChangSeok Oh  <shivamidow@gmail.com>

        [GTK][AC] Fix assertion failures for AC with clutter
        https://bugs.webkit.org/show_bug.cgi?id=105039

        Reviewed by Gustavo Noronha Silva.

        AcceleratedCompositingContext could be a client of GraphicsLayerClutter
        not only RenderLayerBacking. So inserting ASSERT_NOT_REACH in notifyFlushRequired()
        causes a crash by calling GraphicsLayerClutter::noteLayerPropertyChanged in debug build.
        And also I added flushCompositingStateIncludingSubframes taken from
        AcceleratedCompositingContextGL to flushAndRenderLayers(). If not so,
        ASSERT(!needsLayout()) failed in FrameView::paintContents() too in debug build.

        * WebCoreSupport/AcceleratedCompositingContextClutter.cpp:
        (WebKit::AcceleratedCompositingContext::flushAndRenderLayers): Add updateLayoutAndStyleIfNeededRecursive()
        (WebKit::AcceleratedCompositingContext::notifyAnimationStarted): Removed ASSERT_NOT_REACHED()
        (WebKit::AcceleratedCompositingContext::notifyFlushRequired): Removed ASSERT_NOT_REACHED()

2012-12-15  Anders Carlsson  <andersca@apple.com>

        Rename FrameLoaderClient::download to convertMainResourceLoadToDownload
        https://bugs.webkit.org/show_bug.cgi?id=105122

        Reviewed by Andreas Kling.

        Update for WebCore changes.

        * WebCoreSupport/FrameLoaderClientGtk.cpp:
        (WebKit::FrameLoaderClient::convertMainResourceLoadToDownload):
        * WebCoreSupport/FrameLoaderClientGtk.h:
        (FrameLoaderClient):

2012-12-15  Mark Lam  <mark.lam@apple.com>

        Re-landing patch for "Introducing the DatabaseStrategy and database servers".
        https://bugs.webkit.org/show_bug.cgi?id=104934.

        Not reviewed.

        Merged from r137767. Previously reviewed by Sam Weinig.

        * WebCoreSupport/PlatformStrategiesGtk.cpp:
        (PlatformStrategiesGtk::createDatabaseStrategy):
        * WebCoreSupport/PlatformStrategiesGtk.h:
        (PlatformStrategiesGtk):

2012-12-14  Sheriff Bot  <webkit.review.bot@gmail.com>

        Unreviewed, rolling out r137767.
        http://trac.webkit.org/changeset/137767
        https://bugs.webkit.org/show_bug.cgi?id=105062

        Broke Mac builds. (Requested by mlam on #webkit).

        * WebCoreSupport/PlatformStrategiesGtk.cpp:
        * WebCoreSupport/PlatformStrategiesGtk.h:
        (PlatformStrategiesGtk):

2012-12-14  Mark Lam  <mark.lam@apple.com>

        Introducing the DatabaseStrategy and database servers.
        https://bugs.webkit.org/show_bug.cgi?id=104934.

        Reviewed by Sam Weinig.

        The database server is currently a placeholder that does nothing.

        * WebCoreSupport/PlatformStrategiesGtk.cpp:
        (PlatformStrategiesGtk::createDatabaseStrategy):
        * WebCoreSupport/PlatformStrategiesGtk.h:
        (PlatformStrategiesGtk):

2012-12-14  Alberto Garcia  <agarcia@igalia.com>

        [GTK] When in private mode WebKitGTK+ should not save HTTP authentication credentials to the persistent storage
        https://bugs.webkit.org/show_bug.cgi?id=104910

        Reviewed by Martin Robinson.

        * WebCoreSupport/FrameLoaderClientGtk.cpp:
        (WebKit::FrameLoaderClient::dispatchDidReceiveAuthenticationChallenge):
        When creating the GtkAuthenticationDialog, set the credential
        storage mode using the private browsing setting from the current
        page.

        * webkit/webkitsoupauthdialog.cpp:
        (sessionAuthenticate):
        Create the GtkAuthenticationDialog with no persistent storage
        allowed, as we are not handling the credential persistence here.

2012-12-12  Mark Lam  <mark.lam@apple.com>

        Encapsulate externally used webdatabase APIs in DatabaseManager.
        https://bugs.webkit.org/show_bug.cgi?id=104741.

        Reviewed by Sam Weinig.

        Use DatabaseManager instead of accessing DatabaseTracker, AbstractDatabase,
        and DatabaseContext directly. This is to prepare for upcoming webkit2
        refactoring.

        * WebCoreSupport/ChromeClientGtk.cpp:
        (WebKit::ChromeClient::exceededDatabaseQuota):
        * webkit/webkitfavicondatabase.cpp:
        * webkit/webkiticondatabase.cpp:
        * webkit/webkitsecurityorigin.cpp:
        (webkit_security_origin_get_web_database_usage):
        (webkit_security_origin_get_web_database_quota):
        (webkit_security_origin_set_web_database_quota):
        (webkit_security_origin_get_all_web_databases):
        * webkit/webkitwebdatabase.cpp:
        (webkit_web_database_get_display_name):
        (webkit_web_database_get_expected_size):
        (webkit_web_database_get_size):
        (webkit_web_database_get_filename):
        (webkit_web_database_remove):
        (webkit_remove_all_web_databases):
        (webkit_get_web_database_directory_path):
        (webkit_set_web_database_directory_path):
        * webkit/webkitwebview.cpp:
        (webkit_web_view_update_settings):
        (webkit_web_view_settings_notify):

2012-12-12  Martin Robinson  <mrobinson@igalia.com>

        [GTK] Add authentication support to DRT and fix exposed issues in the libsoup backend
        https://bugs.webkit.org/show_bug.cgi?id=104285

        Reviewed by Gustavo Noronha Silva.

        Add support to DumpRenderTree for running authentication tests. Since the DRT
        expects an authentication callback, we add one to DRTSupport to avoid #ifdefs
        in platform-independent code for GTK+.

        * WebCoreSupport/DumpRenderTreeSupportGtk.cpp:
        (DumpRenderTreeSupportGtk::setAuthenticationCallback): Added.
        * WebCoreSupport/DumpRenderTreeSupportGtk.h:
        (DumpRenderTreeSupportGtk): Add a method to set the authentication callback.
        * WebCoreSupport/FrameLoaderClientGtk.cpp:
        (WebKit::FrameLoaderClient::dispatchDidReceiveAuthenticationChallenge): When
        in DRT mode we need to call the authentication callback instead of popping
        up the dialog or ignoring the request.

2012-12-12  Alexey Proskuryakov  <ap@apple.com>

        Make LOG() work in WebProcess and NetworkProcess
        https://bugs.webkit.org/show_bug.cgi?id=104718

        Reviewed by Tim Horton.

        * webkit/webkitglobals.cpp: Include InitializeLogging.h

2012-12-12  Joone Hur  <joone.hur@intel.com>

        [GTK][AC] The non-composited content is not painted
        https://bugs.webkit.org/show_bug.cgi?id=104819

        Reviewed by Gustavo Noronha Silva.

        When Accelerated Compositing is enabled, only GraphicsLayers are painted.
        This patch allows to paint the non-composited content on the viewport with 
        GraphicsLayers. Most of the codes are the same as AcceleratedCompositingContextGL.cpp

        * WebCoreSupport/AcceleratedCompositingContext.h: Add m_nonCompositedContentLayer.
        * WebCoreSupport/AcceleratedCompositingContextClutter.cpp:
        (WebKit::AcceleratedCompositingContext::AcceleratedCompositingContext):
        (WebKit::AcceleratedCompositingContext::initialize):
        (WebKit):
        (WebKit::AcceleratedCompositingContext::~AcceleratedCompositingContext):
        (WebKit::AcceleratedCompositingContext::renderLayersToWindow):
        (WebKit::AcceleratedCompositingContext::setRootCompositingLayer):
        (WebKit::AcceleratedCompositingContext::setNonCompositedContentsNeedDisplay):
        (WebKit::AcceleratedCompositingContext::resizeRootLayer):
        (WebKit::AcceleratedCompositingContext::scrollNonCompositedContents): Make the non-composited 
        content scroll.
        (WebKit::AcceleratedCompositingContext::layerFlushTimerFiredCallback):
        (WebKit::AcceleratedCompositingContext::flushPendingLayerChanges):
        (WebKit::AcceleratedCompositingContext::flushAndRenderLayers):
        (WebKit::AcceleratedCompositingContext::notifyAnimationStarted):
        (WebKit::AcceleratedCompositingContext::paintContents): Paint the non-composited content.

2012-12-12  Joone Hur  <joone.hur@intel.com>

        [GTK][AC] GraphicsLayers are not shown on the viewport
        https://bugs.webkit.org/show_bug.cgi?id=104670

        Reviewed by Gustavo Noronha Silva.

        GraphicsLayers are not shown on the viewport because the container(GtkClutterEmbed) 
        is not resized and shown, so this patch allows it to fit to the viewport.

        * WebCoreSupport/AcceleratedCompositingContext.h:
        * WebCoreSupport/AcceleratedCompositingContextClutter.cpp:
        (WebKit::AcceleratedCompositingContext::renderLayersToWindow):
        (WebKit::AcceleratedCompositingContext::setRootCompositingLayer):
        (WebKit::AcceleratedCompositingContext::resizeRootLayer):
        (WebKit::AcceleratedCompositingContext::layerFlushTimerFiredCallback):
        (WebKit::AcceleratedCompositingContext::scheduleLayerFlush):

2012-12-11  Carlos Garcia Campos  <cgarcia@igalia.com>

        [GTK] Install GObject DOM bindings headers in its own directory
        https://bugs.webkit.org/show_bug.cgi?id=104663

        Reviewed by Gustavo Noronha Silva.

        * GNUmakefile.am: Add webkitdom.h.
        * webkit/webkitdom.h: Compatibility header just including the new
        one.
        * webkit/webkitwebframe.cpp: Update includes.
        * webkit/webkitwebframe.h: Ditto.
        * webkit/webkitwebinspector.cpp: Ditto.
        * webkit/webkitwebinspector.h: Ditto.
        * webkit/webkitwebview.cpp: Ditto.
        * webkit/webkitwebview.h: Ditto.

2012-12-11  Mike West  <mkwst@chromium.org>

        Web Inspector: ConsoleTypes should not expose MessageType - it should be private to inspector.
        https://bugs.webkit.org/show_bug.cgi?id=66371

        Reviewed by Pavel Feldman.

        Drops WebCore::MessageType from the addMessageToConsole method.

        * WebCoreSupport/ChromeClientGtk.cpp:
        (WebKit::ChromeClient::addMessageToConsole):
        * WebCoreSupport/ChromeClientGtk.h:
        (ChromeClient):

2012-12-11  Martin Robinson  <mrobinson@igalia.com>

        [GTK] Implement some missing FrameLoaderClient message in DRT
        https://bugs.webkit.org/show_bug.cgi?id=104444

        Reviewed by Gustavo Noronha Silva.

        When in DumpRenderTree mode allow the DRT to install a FrameLoaderEvent callback
        for events that we do not expose in the API. This will allow us to share more
        results with WebKit2.

        * WebCoreSupport/DumpRenderTreeSupportGtk.cpp:
        (DumpRenderTreeSupportGtk::setFrameLoadEventCallback): Added.
        * WebCoreSupport/DumpRenderTreeSupportGtk.h:
        * WebCoreSupport/FrameLoaderClientGtk.cpp: Use the new callback to deliver
        events to DRT.

2012-12-11  Martin Robinson  <mrobinson@igalia.com>

        [Coverity] [GTK] Remove some redundant null checks in DumpRenderTree
        https://bugs.webkit.org/show_bug.cgi?id=104570

        Reviewed by Daniel Bates.

        * WebCoreSupport/DumpRenderTreeSupportGtk.cpp:
        (DumpRenderTreeSupportGtk::elementDoesAutoCompleteForElementWithId): Remove a redundant null check.

2012-12-10  Carlos Garcia Campos  <cgarcia@igalia.com>

        [GTK] Build GObject DOM bindings as a separate library
        https://bugs.webkit.org/show_bug.cgi?id=104527

        Reviewed by Xan Lopez.

        * GNUmakefile.am: Link to libWebCoreDOM.la.

2012-12-10  Martin Robinson  <mrobinson@igalia.com>

        [GTK] Bring Harfbuzz-ng support to Gtk
        https://bugs.webkit.org/show_bug.cgi?id=92098

        Reviewed by Gustavo Noronha Silva.

        Add HarfBuzz dependency.

        * GNUmakefile.am: Add FreeType/HarfBuzz CFLAGS to the library.

2012-12-05  Arnaud Renevier  <a.renevier@sisa.samsung.com>

        [Gtk] navigator.plugins contains too many plugin entries. First one are garbages
        https://bugs.webkit.org/show_bug.cgi?id=102438

        Reviewed by Xan Lopez.

        In getPluginInfo, outPlugins is resized to plugins.size and then,
        plugins are appended to it. So at the end, outPlugins will be twice
        too large, and first half will contain null objects. As outPlugins
        size is 0 when calling getPluginInfo, we don't need to resize it.

        * WebCoreSupport/PlatformStrategiesGtk.cpp:
        (PlatformStrategiesGtk::getPluginInfo):

2012-12-04  Carlos Garcia Campos  <cgarcia@igalia.com>

        [GTK] Avoid unnecessary heap allocations during drag and drop operations
        https://bugs.webkit.org/show_bug.cgi?id=87938

        Reviewed by Martin Robinson.

        * webkit/webkitwebview.cpp:
        (webkit_web_view_drag_motion): Create DragData for the given
        DataObjectGtk in the stack.
        (webkit_web_view_drag_data_received): Ditto.
        (webkit_web_view_drag_drop): Ditto.

2012-12-02  Mike West  <mkwst@chromium.org>

        [gtk] Enable the CSP_NEXT runtime flag.
        https://bugs.webkit.org/show_bug.cgi?id=103810

        Reviewed by Adam Barth.

        This patch adds methods to DumpRenderTreeSupport in order to ensure that
        CSP 1.1 features are enabled when running DRT tests in the GTK port.

        * WebCoreSupport/DumpRenderTreeSupportGtk.cpp:
        (DumpRenderTreeSupportGtk::setExperimentalContentSecurityPolicyFeaturesEnabled):
        * WebCoreSupport/DumpRenderTreeSupportGtk.h:
        (DumpRenderTreeSupportGtk):

2012-11-30  Mihai Maerean  <mmaerean@adobe.com>

        [CSSRegions] when WebKit uses V8, there should be a single variable to store if the CSS Regions feature is enabled
        https://bugs.webkit.org/show_bug.cgi?id=101192

        Reviewed by Hajime Morita.

        Removed the CSS Regions flag in Settings and switched to using the new flag I have added in RuntimeEnabledFeatures.

        Tests: No new tests because there is no functional change.

        * WebCoreSupport/DumpRenderTreeSupportGtk.cpp:
        (DumpRenderTreeSupportGtk::setCSSRegionsEnabled):

2012-11-29  Alexey Proskuryakov  <ap@apple.com>

        [WK2] Forward cookie jar calls to NetworkProcess
        https://bugs.webkit.org/show_bug.cgi?id=103457

        Reviewed by Darin Adler.

        * WebCoreSupport/PlatformStrategiesGtk.cpp:
        (PlatformStrategiesGtk::cookiesForDOM):
        (PlatformStrategiesGtk::setCookiesFromDOM):
        (PlatformStrategiesGtk::cookiesEnabled):
        (PlatformStrategiesGtk::cookieRequestHeaderFieldValue):
        (PlatformStrategiesGtk::getRawCookies):
        (PlatformStrategiesGtk::deleteCookie):
        (PlatformStrategiesGtk::getHostnamesWithCookies):
        (PlatformStrategiesGtk::deleteCookiesForHostname):
        (PlatformStrategiesGtk::deleteAllCookies):

2012-11-27  James Simonsen  <simonjam@chromium.org>

        Consolidate FrameLoader::load() into one function taking a FrameLoadRequest
        https://bugs.webkit.org/show_bug.cgi?id=102151

        Reviewed by Adam Barth.

        * webkit/webkitwebframe.cpp:
        (webkit_web_frame_load_uri):
        (webkit_web_frame_load_data):
        (webkit_web_frame_load_request):

2012-11-27  Sheriff Bot  <webkit.review.bot@gmail.com>

        Unreviewed, rolling out r135786.
        http://trac.webkit.org/changeset/135786
        https://bugs.webkit.org/show_bug.cgi?id=103379

        It made 3 plugin tests timeout on several platforms (Requested
        by Ossy on #webkit).

        * webkit/webkitwebframe.cpp:
        (webkit_web_frame_load_uri):
        (webkit_web_frame_load_data):
        (webkit_web_frame_load_request):

2012-11-26  James Simonsen  <simonjam@chromium.org>

        Consolidate FrameLoader::load() into one function taking a FrameLoadRequest
        https://bugs.webkit.org/show_bug.cgi?id=102151

        Reviewed by Adam Barth.

        * webkit/webkitwebframe.cpp:
        (webkit_web_frame_load_uri):
        (webkit_web_frame_load_data):
        (webkit_web_frame_load_request):

2012-11-25  Kaustubh Atrawalkar  <kaustubh@motorola.com>

        Remove deprecated load-done signal
        https://bugs.webkit.org/show_bug.cgi?id=72712

        Reviewed by Brent Fulgham.

        Remove deprecated load-done signal and migrate to load-status.

        * WebCoreSupport/FrameLoaderClientGtk.cpp:
        (WebKit):
        (WebKit::FrameLoaderClient::dispatchDidFinishLoad):
        * webkit/webkitwebframe.cpp:
        (webkit_web_frame_class_init):

2012-09-26  Gustavo Noronha Silva  <gns@gnome.org>

        [GTK] Split SVG from WebCore to work-around make limitation
        https://bugs.webkit.org/show_bug.cgi?id=97735

        Reviewed by Carlos Garcia Campos.

        Add a new libtool convenience library, libWebCoreSVG.la, to work-around
        make limitation when linking libWebCore.

        * GNUmakefile.am: link libWebCoreSVG.la into libwebkitgtk.

2012-11-21  Allan Sandfeld Jensen  <allan.jensen@digia.com>

        Disambiguate innerNodeFramePoint and mainFramePoint
        https://bugs.webkit.org/show_bug.cgi?id=98139

        Reviewed by Julien Chaffraix.

        Switched to using point in innerNodeFrame. While the use here seems wrong it has been
        left functionally unchanged to be fixed by a later patch.

        * webkit/webkithittestresult.cpp:
        (WebKit::kit):

2012-11-20  Sheriff Bot  <webkit.review.bot@gmail.com>

        Unreviewed, rolling out r135295.
        http://trac.webkit.org/changeset/135295
        https://bugs.webkit.org/show_bug.cgi?id=102834

        This patch causes assertion to some layout tests on chromium
        (Requested by jianli on #webkit).

        * webkit/webkitwebframe.cpp:
        (webkit_web_frame_load_uri):
        (webkit_web_frame_load_data):
        (webkit_web_frame_load_request):

2012-11-20  James Simonsen  <simonjam@chromium.org>

        Consolidate FrameLoader::load() into one function taking a FrameLoadRequest
        https://bugs.webkit.org/show_bug.cgi?id=102151

        Reviewed by Adam Barth.

        * webkit/webkitwebframe.cpp:
        (webkit_web_frame_load_uri):
        (webkit_web_frame_load_data):
        (webkit_web_frame_load_request):

2012-11-20  Carlos Garcia Campos  <cgarcia@igalia.com>

        Unreviewed. Update NEWS and configure.ac for 1.11.2 release

        * NEWS: Added release notes for 1.11.2.

2012-11-16  Martin Robinson  <mrobinson@igalia.com>

        [GTK] Move CredentialBackingStore usage from GtkAuthenticationDialog to ResourceHandleSoup
        https://bugs.webkit.org/show_bug.cgi?id=101840

        Reviewed by Gustavo Noronha Silva.

        Enable the CredentialStore by default for the WebKit1 GTK+ port. Before this value
        didn't have an bearing on whether or not the persistent credential storage was used.
        Now is does.

        * WebCoreSupport/FrameLoaderClientGtk.cpp:
        (WebKit::FrameLoaderClient::shouldUseCredentialStorage): Enable credential storage by default.

2012-11-15  Gustavo Noronha Silva  <gns@gnome.org>

        [GTK] Split WebCore/platform into a separate library
        https://bugs.webkit.org/show_bug.cgi?id=94435

        Reviewed by Martin Robinson.

        More people have been reporting problems when linking WebCore because
        the command line limit is being exceeded. Splitting WebCore a bit more
        is in order.

        * GNUmakefile.am: link libWebCorePlatform into libwebkitgtk

2012-11-15  Zan Dobersek  <zandobersek@gmail.com>

        Unreviewed build fix attempt after r134765.

        * webkit/webkitviewportattributes.cpp:
        (webkitViewportAttributesRecompute):

2012-11-12  Josh Rickmar  <jrick@devio.us>

        Add WebCore::Setting to block displaying and/or running insecure content on secure pages
        https://bugs.webkit.org/show_bug.cgi?id=58378

        Reviewed by Martin Robinson.

        * webkit/webkitwebsettings.cpp:
        (webkit_web_settings_class_init):
        (webkit_web_settings_set_property):
        (webkit_web_settings_get_property):
        (webkit_web_settings_copy):
        * webkit/webkitwebview.cpp:
        (webkit_web_view_update_settings):
        (webkit_web_view_settings_notify):

2012-11-05  Simon Fraser  <simon.fraser@apple.com>

        Fix layer borders to cleaning appear and disappear on switching
        https://bugs.webkit.org/show_bug.cgi?id=101136

        Reviewed by Sam Weinig.

        Remove the GraphicsLayerClient methods showDebugBorders() and
        showRepaintCounter().

        * WebCoreSupport/AcceleratedCompositingContext.h:
        (AcceleratedCompositingContext):
        * WebCoreSupport/AcceleratedCompositingContextCairo.cpp:
        * WebCoreSupport/AcceleratedCompositingContextClutter.cpp:
        * WebCoreSupport/AcceleratedCompositingContextGL.cpp:

2012-10-25  Martin Robinson  <mrobinson@igalia.com>

        [GTK] Move soup authentication from GtkAuthenticationDialog to WebCore
        https://bugs.webkit.org/show_bug.cgi?id=99914

        Reviewed by Carlos Garcia Campos.

        The calls which actually authenticate a soup message are gone from the GtkAuthenticationDialog. Since the
        GtkAuthenticationDialog exposed by the WebKitSoupAuthentication class in the GTK+ API work without a
        ResourceHandle (they are more general), we add a WebKitSoupAuthDialogAuthenticationClient added to avoid
        breaking API. This is unused by either Epiphany or internally in WebKitGTK+.

        * WebCoreSupport/FrameLoaderClientGtk.cpp:
        (WebKit::FrameLoaderClient::dispatchDidReceiveAuthenticationChallenge): The authentication dialog
        now just takes the AuthenticationChallenge instead of the libsoup objects.
        * webkit/webkitsoupauthdialog.cpp:
        (WebKitSoupAuthDialogAuthenticationClient): Added this helper.
        (sessionAuthenticate): Use the new WebKitSoupAuthDialogAuthenticationClient.

2012-11-02  Martin Robinson  <mrobinson@igalia.com>

        [GTK] Remove dependency on SoupPasswordManager
        https://bugs.webkit.org/show_bug.cgi?id=100775

        Reviewed by Carlos Garcia Campos.

        Add a libsecret dependency to the build. This is necessary so that we can remove
        a dependency on SoupPasswordManager.

        * GNUmakefile.am: Use libsecret libs during WebKit1 library compilation.

2012-10-24  Brady Eidson  <beidson@apple.com>

        Add a strategy for loader customization.
        https://bugs.webkit.org/show_bug.cgi?id=100278

        Reviewed by Alexey Proskuryakov.

        * WebCoreSupport/PlatformStrategiesGtk.cpp:
        (PlatformStrategiesGtk::createLoaderStrategy):
        * WebCoreSupport/PlatformStrategiesGtk.h:
        (PlatformStrategiesGtk):

2012-10-23  Alexey Proskuryakov  <ap@apple.com>

        Add a strategy for shared workers
        https://bugs.webkit.org/show_bug.cgi?id=100165

        Reviewed by Brady Eidson.

        * WebCoreSupport/PlatformStrategiesGtk.cpp:
        (PlatformStrategiesGtk::createPasteboardStrategy):
        (PlatformStrategiesGtk::createSharedWorkerStrategy):
        (PlatformStrategiesGtk::createVisitedLinkStrategy):
        * WebCoreSupport/PlatformStrategiesGtk.h:

2012-10-24  Priit Laes  <plaes@plaes.org>

        [GTK] Typos in user-visible strings: "coordintate"
        https://bugs.webkit.org/show_bug.cgi?id=100252

        Reviewed by Martin Robinson.

        s/coordintate/coordinate

        * webkit/webkithittestresult.cpp:
        (webkit_hit_test_result_class_init):

2012-10-23  Martin Robinson  <mrobinson@igalia.com>

        [GTK][Soup] Implement the default authentication dialog via WebCoreSupport
        https://bugs.webkit.org/show_bug.cgi?id=99351

        Reviewed by Carlos Garcia Campos.

        Instead of using a custom SoupSessionFeature to show the authentication dialog,
        show it using the corresponding WebCore message.

        * WebCoreSupport/FrameLoaderClientGtk.cpp:
        (WebKit::FrameLoaderClient::dispatchDidReceiveAuthenticationChallenge):
        Show the dialog when we need to authenticate. Also, so not show the dialog
        if we are in DRT mode.
        * webkit/webkitglobals.cpp:
        (webkitInit): No longer install our SoupFeature.

2012-10-23  Carlos Garcia Campos  <cgarcia@igalia.com>

        Unreviewed. Update NEWS and configure.ac for 1.11.1 release

        * NEWS: Added release notes for 1.11.1.

2012-10-23  Andras Becsi  <andras.becsi@digia.com>

        Remove devicePixelRatio from ViewportAttributes
        https://bugs.webkit.org/show_bug.cgi?id=99845

        Reviewed by Adam Barth.

        * webkit/webkitviewportattributes.cpp:
        (webkitViewportAttributesRecompute):
        Pass the device pixel ratio as a function argument.

2012-10-22  Jocelyn Turcotte  <jocelyn.turcotte@digia.com>

        [Qt] Fix "ASSERTION FAILED: !document->inPageCache()" when loading a page
        https://bugs.webkit.org/show_bug.cgi?id=98514

        Reviewed by Kenneth Rohde Christiansen.

        * WebCoreSupport/FrameLoaderClientGtk.cpp:
        (WebKit::FrameLoaderClient::transitionToCommittedForNewPage):

2012-10-10  Brady Eidson  <beidson@apple.com>

        Switch ResourceLoader::resourceData() from SharedBuffer to ResourceBuffer
        https://bugs.webkit.org/show_bug.cgi?id=98976

        Reviewed by Anders Carlsson.

        * webkit/webkitwebdatasource.cpp:
        (webkit_web_data_source_get_data):

2012-10-10  Jon Lee  <jonlee@apple.com>

        [WK2] Activate plugins when user clicks on snapshot
        https://bugs.webkit.org/show_bug.cgi?id=98328
        <rdar://problem/12426681>

        Reviewed by Brady Eidson.

        * WebCoreSupport/FrameLoaderClientGtk.h:
        (WebKit::FrameLoaderClient::recreatePlugin): Stub implementation of recreatePlugin().

2012-10-10  Sheriff Bot  <webkit.review.bot@gmail.com>

        Unreviewed, rolling out r130853.
        http://trac.webkit.org/changeset/130853
        https://bugs.webkit.org/show_bug.cgi?id=98873

        The rollout was incorrect (Requested by zdobersek on #webkit).

        * webkit/webkitwebview.cpp:
        (resizeWebViewFromAllocation):
        (webkit_web_view_size_allocate):
        (webkitWebViewMap):

2012-10-09  Sheriff Bot  <webkit.review.bot@gmail.com>

        Unreviewed, rolling out r130838.
        http://trac.webkit.org/changeset/130838
        https://bugs.webkit.org/show_bug.cgi?id=98860

        The patch is causing X errors (=> crashes) on GTK 64-bit
        Release builder (Requested by zdobersek on #webkit).

        * webkit/webkitwebview.cpp:
        (resizeWebViewFromAllocation):
        (webkit_web_view_size_allocate):
        (webkitWebViewMap):

2012-10-09  Daniel Drake  <dsd@laptop.org>

        [GTK] Plugins don't display
        https://bugs.webkit.org/show_bug.cgi?id=98789

        Reviewed by Martin Robinson.

        Fix a recent regression where plugin content was not being displayed.
        Bringing webkit_web_view_size_allocate in line with the WebKit2
        equivalent solves the issue.

        * webkit/webkitwebview.cpp:
        (resizeWebViewFromAllocation): pass allocation request to children
        even when the allocation size does not change.
        (webkit_web_view_size_allocate): don't bail too early if the
        allocation size does not change.

2012-10-07  Caio Marcelo de Oliveira Filho  <caio.oliveira@openbossa.org>

        Rename first/second to key/value in HashMap iterators
        https://bugs.webkit.org/show_bug.cgi?id=82784

        Reviewed by Eric Seidel.

        * WebCoreSupport/PlatformStrategiesGtk.cpp:
        (PlatformStrategiesGtk::getPluginInfo):
        * webkit/webkitfavicondatabase.cpp:
        (webkitFaviconDatabaseImportFinished):
        * webkit/webkitwebplugin.cpp:
        (webkit_web_plugin_get_mimetypes):

2012-10-04  Simon Fraser  <simon.fraser@apple.com>

        Final part of "sync" to "flush" renaming
        https://bugs.webkit.org/show_bug.cgi?id=98430

        Reviewed by Tim Horton.

        Change method names on GraphicsLayer and GraphicsLayerClient that
        refer to "sync" to use the term "flush" instead, to be consistent
        with the rest of the code.

        * WebCoreSupport/AcceleratedCompositingContext.h:
        (AcceleratedCompositingContext):
        * WebCoreSupport/AcceleratedCompositingContextCairo.cpp:
        (WebKit::AcceleratedCompositingContext::attachRootGraphicsLayer):
        (WebKit::AcceleratedCompositingContext::resizeRootLayer):
        (WebKit::AcceleratedCompositingContext::syncLayersNow):
        (WebKit::AcceleratedCompositingContext::notifyFlushRequired):
        * WebCoreSupport/AcceleratedCompositingContextClutter.cpp:
        (WebKit::AcceleratedCompositingContext::flushPendingLayerChanges):
        (WebKit::AcceleratedCompositingContext::notifyFlushRequired):
        * WebCoreSupport/AcceleratedCompositingContextGL.cpp:
        (WebKit::AcceleratedCompositingContext::flushPendingLayerChanges):
        (WebKit::AcceleratedCompositingContext::notifyFlushRequired):

2012-10-04  Simon Fraser  <simon.fraser@apple.com>

        Standardize on "flush" terminology for compositing layer flushing/syncing
        https://bugs.webkit.org/show_bug.cgi?id=98321

        Reviewed by Simon Fraser.

        Rename compositing-related methods that refer to "syncing" to instead
        refer to "flushing".

        * WebCoreSupport/ChromeClientGtk.cpp:
        (WebKit::ChromeClient::scheduleCompositingLayerFlush):
        * WebCoreSupport/ChromeClientGtk.h:
        (ChromeClient):

2012-10-02  Anders Carlsson  <andersca@apple.com>

        Change most GraphicsLayer::create calls to use the version that takes a GraphicsLayerFactory
        https://bugs.webkit.org/show_bug.cgi?id=98217

        Reviewed by Andreas Kling.

        * WebCoreSupport/AcceleratedCompositingContextGL.cpp:
        (WebKit::AcceleratedCompositingContext::initialize):

2012-10-02  Carlos Garcia Campos  <cgarcia@igalia.com>

        [GTK] Add API to get the web view that initiated a custom URI request to WebKit2 GTK+
        https://bugs.webkit.org/show_bug.cgi?id=97895

        Reviewed by Martin Robinson.

        * WebCoreSupport/FrameNetworkingContextGtk.cpp:
        (WebKit::FrameNetworkingContextGtk::initiatingPageID): Stub
        implementation.
        * WebCoreSupport/FrameNetworkingContextGtk.h:
        (FrameNetworkingContextGtk): Added.

2012-10-02  Adrian Perez de Castro  <aperez@igalia.com>

        [GTK] Value not returned warning with geolocation disabled
        https://bugs.webkit.org/show_bug.cgi?id=98148

        Reviewed by Xan Lopez.

        With geolocation disabled in the build, return a sensible value from
        DumpRenderTreeSupportGtk::numberOfPendingGeolocationPermissionRequests.
        This also avoids a compiler warning.

        * WebCoreSupport/DumpRenderTreeSupportGtk.cpp:
        (DumpRenderTreeSupportGtk::numberOfPendingGeolocationPermissionRequests):

2012-10-01  Brady Eidson  <beidson@apple.com>

        Remove the Safari 2 -> Safari 3 icon database import code.
        https://bugs.webkit.org/show_bug.cgi?id=98113

        Reviewed by Maciej Stachowiak.

        Nuke the performImport() IconDatabaseClient method.

        * webkit/webkitfavicondatabase.cpp:
        (IconDatabaseClientGtk):

2012-10-01  Arnaud Renevier  <a.renevier@sisa.samsung.com>

        [Gtk] crash when accelerated composition is turned off
        https://bugs.webkit.org/show_bug.cgi?id=98099

        Reviewed by Martin Robinson.

        frame->view()->updateLayoutAndStyleIfNeededRecursive() may reset root
        compositing layer in flushAndRenderLayers. So, we check if compositing
        is enabled afterwards, and return if it is not.

        This bug is handled by LayoutTests/compositing/toggle-compositing.html

        * WebCoreSupport/AcceleratedCompositingContextGL.cpp:
        (WebKit::AcceleratedCompositingContext::flushAndRenderLayers):

2012-10-01  Claudio Saavedra  <csaavedra@igalia.com>

        [GTK] Save original uri for downloaded files
        https://bugs.webkit.org/show_bug.cgi?id=95188

        Reviewed by Carlos Garcia Campos.

        gvfs stores metadata locally, and this information can later be
        used by file management applications. Based on a patch by
        Alexander Larsson <alexl@redhat.com>.

        * webkit/webkitdownload.cpp:
        (webkit_download_open_stream_for_uri): Save the download-uri as
        file metadata.

2012-10-01  Claudio Saavedra  <csaavedra@igalia.com>

        [GTK] WebKitDownload: use more of GOwnPtr/GRefPtr
        https://bugs.webkit.org/show_bug.cgi?id=98009

        Reviewed by Carlos Garcia Campos.

        Use more GOwnPtr/GRefPtr in WebKitDownload

        * webkit/webkitdownload.cpp:
        (webkit_download_open_stream_for_uri): Use GRefPtr
        for a GFile and GOwnPtr for GError.
        (webkit_download_set_destination_uri): Ditto.
        (webkit_download_received_data): Use GOwnPtr for GError.

2012-09-28  Mikhail Pozdnyakov  <mikhail.pozdnyakov@intel.com>

        Code inside FrameLoaderClient::canShowMIMEType() implementations can be shared among different WK ports
        https://bugs.webkit.org/show_bug.cgi?id=97547

        Reviewed by Adam Barth.

        Newly added WebCore::MIMETypeRegistry::canShowMIMEType() function is used
        inside WebKit::FrameLoaderClient::canShowMIMEType().

        * WebCoreSupport/FrameLoaderClientGtk.cpp:
        (WebKit::FrameLoaderClient::canShowMIMEType):

2012-09-28  Huang Dongsung  <luxtella@company100.net>

        [GTK] Enable CSS Shaders layout LayoutTests on GTK+
        https://bugs.webkit.org/show_bug.cgi?id=97821

        Reviewed by Martin Robinson.

        * WebCoreSupport/DumpRenderTreeSupportGtk.cpp:
        (DumpRenderTreeSupportGtk::setCSSCustomFilterEnabled): Pass through to Settings object.
        * WebCoreSupport/DumpRenderTreeSupportGtk.h:
        (DumpRenderTreeSupportGtk):

2012-09-27  Allan Sandfeld Jensen  <allan.jensen@digia.com>

        Unify event handling of middle mouse button.
        https://bugs.webkit.org/show_bug.cgi?id=97690

        Reviewed by Tony Chang.

        Remove port specific handling of middle mouse button press.

        * WebCoreSupport/EditorClientGtk.cpp:
        (WebKit::EditorClient::supportsGlobalSelection):
        * WebCoreSupport/EditorClientGtk.h:
        (EditorClient):
        * webkit/webkitwebview.cpp:
        (webkit_web_view_button_press_event):

2012-09-26  Gustavo Noronha Silva  <gns@gnome.org>

        Unreviewed build fix after 129707.

        * webkit/webkitwebview.cpp:
        (webkit_web_view_forward_context_menu_event):

2012-09-26  Martin Robinson  <mrobinson@igalia.com>

        [GTK] Use XDamage to simplify RedirectedXCompositeWindow
        https://bugs.webkit.org/show_bug.cgi?id=97267

        Reviewed by Alejandro G. Castro.

        Use XDamage to queue redraws of the widget when redirecting accelerated compositing
        to an offscreen window. This allows removing a finicky timer-based approach, improves
        performance, and allows simplifying things greatly.

        * GNUmakefile.am: Add the XDamage CFLAGS and LIBS.
        * WebCoreSupport/AcceleratedCompositingContext.h:
        (AcceleratedCompositingContext): Change the signature of compositeLayersToContext
        to accept an enum that explains the composite purpose.
        * WebCoreSupport/AcceleratedCompositingContextGL.cpp:
        (WebKit::redirectedWindowDamagedCallback): Added.
        (WebKit::AcceleratedCompositingContext::initialize): Handle the situation where
        the RedirectedXCompositeWindow returns a null pointer.
        (WebKit::AcceleratedCompositingContext::enabled): Ditto.
        (WebKit::AcceleratedCompositingContext::renderLayersToWindow): Remove the code handling
        the usable size of the RedirectedXCompositeWindow. The usable size is now always equal
        to the size.
        (WebKit::AcceleratedCompositingContext::compositeLayersToContext): When drawing for a
        resize, first clear the entire context. Remove the double swap-buffer, as it's no
        longer necessary.
        (WebKit::AcceleratedCompositingContext::setRootCompositingLayer): Handle the case that
        the redirected window is null.
        (WebKit::AcceleratedCompositingContext::resizeRootLayer): Instead of doing another
        immediate layer flush, just recomposite the current layer state and schedule a new
        flush. This should make resizing faster.
        (WebKit::AcceleratedCompositingContext::flushAndRenderLayers): We no longer need to
        queue a redraw, unless we want to force one.

2012-09-26  Zan Dobersek  <zandobersek@gmail.com>

        [GTK] Enable some of the unstable CSS features
        https://bugs.webkit.org/show_bug.cgi?id=97572

        Reviewed by Martin Robinson.

        Add a helper DumpRenderTreeSupportGtk method for enabling
        the <style scoped> support in WebCore. This is used in DumpRenderTree.

        * WebCoreSupport/DumpRenderTreeSupportGtk.cpp:
        (DumpRenderTreeSupportGtk::setShadowDOMEnabled): Add missing
        ENABLE(SHADOW_DOM) compilation guards.
        (DumpRenderTreeSupportGtk::setStyleScopedEnabled):
        * WebCoreSupport/DumpRenderTreeSupportGtk.h:
        (DumpRenderTreeSupportGtk): Remove the 'enabled' parameter name from both
        setShadowDOMEnabled and setStyleScopedEnabled method declarations as it adds
        no information and is causing style warnings.

2012-09-25  Beth Dakin  <bdakin@apple.com>

        https://bugs.webkit.org/show_bug.cgi?id=95397
        Need to merge didFirstVisuallyNonEmptyLayout and 
        didNewFirstVisuallyNonEmptyLayout
        -and corresponding-
        <rdar://problem/10791680>

        Reviewed by Sam Weinig.

        Remove dispatchDidFirstLayout, 
        dispatchDidFirstVisuallyNonEmptyLayout, and 
        dispatchDidNewFirstVisuallyNonEmptyLayout. Their functionality 
        is now replaced by dispatchDidLayout(LayoutMilestoneOptions)
        * WebCoreSupport/FrameLoaderClientGtk.cpp:
        (WebKit::FrameLoaderClient::dispatchDidLayout):
        * WebCoreSupport/FrameLoaderClientGtk.h:
        (FrameLoaderClient):

        It is now necessary to opt into getting any of the 
        "layout milestone" notifications.
        * webkit/webkitwebview.cpp:
        (webkit_web_view_init):

2012-09-25  Paweł Forysiuk  <tuxator@o2.pl>

        [GTK] Webkit 1.8.2 fails to build with MinGW with spellchecking enabled
        https://bugs.webkit.org/show_bug.cgi?id=93255

        Reviewed by Martin Robinson.

        Build dies because of invalid cast. Additionaly word "interface" is in use with MinGW compiler.

        * WebCoreSupport/TextCheckerClientGtk.cpp:
        (WebKit::TextCheckerClientGtk::checkSpellingOfString): Use String to avoid unneded casting
        * webkit/webkitspellcheckerenchant.cpp:
        (webkit_spell_checker_enchant_spell_checker_interface_init): rename interface -> checkerInterface

2012-09-24  Benjamin Poulain  <bpoulain@apple.com>

        Fix Geolocation error reporting in the test support
        https://bugs.webkit.org/show_bug.cgi?id=97386

        Reviewed by Sam Weinig.

        * WebCoreSupport/DumpRenderTreeSupportGtk.cpp:
        (DumpRenderTreeSupportGtk::setMockGeolocationPositionUnavailableError):
        * WebCoreSupport/DumpRenderTreeSupportGtk.h:
        (DumpRenderTreeSupportGtk):

2012-09-24  Zan Dobersek  <zandobersek@gmail.com>

        [Gtk] Unskip the Shadow DOM layout tests
        https://bugs.webkit.org/show_bug.cgi?id=90776

        Reviewed by Ryosuke Niwa.

        Add a method for enabling the Shadow DOM through RuntimeEnabledFeatures.
        The method is called from DumpRenderTree when resetting state.

        * WebCoreSupport/DumpRenderTreeSupportGtk.cpp:
        (DumpRenderTreeSupportGtk::setShadowDOMEnabled):
        * WebCoreSupport/DumpRenderTreeSupportGtk.h:
        (DumpRenderTreeSupportGtk):

2012-09-24  Joone Hur  <joone.hur@intel.com>

        [GTK] Implement GraphicsLayer using Clutter
        https://bugs.webkit.org/show_bug.cgi?id=73767

        Reviewed by Martin Robinson.

        This patch is needed for enabling Accelerated Compositing(Clutter backend)
        with the patches submitted in bug 92045 and 91940.

        * WebCoreSupport/AcceleratedCompositingContextClutter.cpp:
        (WebKit::AcceleratedCompositingContext::scrollNonCompositedContents): Added to fix bulid break.
        (WebKit):

2012-09-19  Danilo Cesar Lemes de Paula  <danilo.cesar@collabora.co.uk>

        [gtk] add enable-media-stream to websettings
        https://bugs.webkit.org/show_bug.cgi?id=94361

        Reviewed by Martin Robinson.

        Applications should be allowed to enable/disable MediaStream on webkitwebsettings.

        * webkit/webkitwebsettings.cpp:
        (webkit_web_settings_class_init):
        (webkit_web_settings_set_property):
        (webkit_web_settings_get_property):
        * webkit/webkitwebsettingsprivate.h:
        * webkit/webkitwebview.cpp:
        (webkit_web_view_update_settings):

2012-09-14  Zan Dobersek  <zandobersek@gmail.com>

        [GTK] Clear application cache between tests in DumpRenderTree
        https://bugs.webkit.org/show_bug.cgi?id=96543

        Reviewed by Philippe Normand.

        Add a method to the DumpRenderTreeSupportGtk class that upon calling
        clears the application cache and vacuums the database file.

        * WebCoreSupport/DumpRenderTreeSupportGtk.cpp:
        (DumpRenderTreeSupportGtk::clearApplicationCache):
        * WebCoreSupport/DumpRenderTreeSupportGtk.h:
        (DumpRenderTreeSupportGtk):

2012-09-13  Sheriff Bot  <webkit.review.bot@gmail.com>

        Unreviewed, rolling out r128453.
        http://trac.webkit.org/changeset/128453
        https://bugs.webkit.org/show_bug.cgi?id=96681

        Having tests use the same appcache directory leads to timeouts
        (Requested by zdobersek on #webkit).

        * WebCoreSupport/DumpRenderTreeSupportGtk.cpp:
        (DumpRenderTreeSupportGtk::clearMemoryCache):
        * WebCoreSupport/DumpRenderTreeSupportGtk.h:
        (DumpRenderTreeSupportGtk):

2012-09-13  Zan Dobersek  <zandobersek@gmail.com>

        [GTK] Clear application cache between tests in DumpRenderTree
        https://bugs.webkit.org/show_bug.cgi?id=96543

        Reviewed by Philippe Normand.

        Add a method to the DumpRenderTreeSupportGtk class that upon calling
        clears the application cache and vacuums the database file.

        * WebCoreSupport/DumpRenderTreeSupportGtk.cpp:
        (DumpRenderTreeSupportGtk::clearApplicationCache):
        * WebCoreSupport/DumpRenderTreeSupportGtk.h:
        (DumpRenderTreeSupportGtk):

2012-09-12  Siraj Razick  <siraj.razick@collabora.co.uk>

        [GTK] Update AcceleratedCompositingContextClutter to match AcceleratedCompositingContext.h API update
        https://bugs.webkit.org/show_bug.cgi?id=96165

        Reviewed by Martin Robinson.

        Due to the refactoring done in bug #90085 AcceleratedCompositingContext API changed, as a result
        AcceleratedCompositingContextClutter doesn't compile anymore. This patch is to update the
        AcceleratedCompositingContextClutter implementations to match the API update, and Make webkit
        AC backend compile again.

        * WebCoreSupport/AcceleratedCompositingContextClutter.cpp:
        (WebKit::AcceleratedCompositingContext::AcceleratedCompositingContext):
        (WebKit::AcceleratedCompositingContext::~AcceleratedCompositingContext):
        (WebKit::AcceleratedCompositingContext::setRootCompositingLayer):
        (WebKit::AcceleratedCompositingContext::setNonCompositedContentsNeedDisplay):
        (WebKit::flushAndRenderLayersCallback):
        (WebKit::AcceleratedCompositingContext::scheduleLayerFlush):
        (WebKit::AcceleratedCompositingContext::flushPendingLayerChanges):
        (WebKit::AcceleratedCompositingContext::flushAndRenderLayers):

2012-09-11  Arnaud Renevier  <a.renevier@sisa.samsung.com>

        [Gtk] allow building with css-shaders
        https://bugs.webkit.org/show_bug.cgi?id=95603

        Reviewed by Martin Robinson.

        Add enable-css-shaders property to WebKit WebSettings, and connects it
        to WebCore settings setCSSCustomFilterEnabled.

        * webkit/webkitwebsettings.cpp:
        (webkit_web_settings_class_init):
        (webkit_web_settings_set_property):
        (webkit_web_settings_get_property):
        * webkit/webkitwebsettingsprivate.h:
        * webkit/webkitwebview.cpp:
        (webkit_web_view_update_settings):
        (webkit_web_view_settings_notify):

2012-09-09  Emil A Eklund  <eae@chromium.org>

        Rename Node::getRect/getPixelSnappedRect and remove ContainerNode::getRect
        https://bugs.webkit.org/show_bug.cgi?id=81413

        Reviewed by David Hyatt.

        Update ChromeClientGtk and webkitwebview to call pixelSnappedBoundingBox.

        * WebCoreSupport/ChromeClientGtk.cpp:
        (WebKit::ChromeClient::mouseDidMoveOverElement):
        * webkit/webkitwebview.cpp:
        (getLocationForKeyboardGeneratedContextMenu):
        (webkit_web_view_query_tooltip):

2012-09-07  Martin Robinson  <mrobinson@igalia.com>

        [GTK] Move user agent helpers to WebCore
        https://bugs.webkit.org/show_bug.cgi?id=95745

        Reviewed by Carlos Garcia Campos.

        Move the code for determining the user agent to WebCore and have WebKit1
        use the new shared code.

        * webkit/webkitwebsettings.cpp: Use the WebCore code to determine the user
        agent in WebKit1.

2012-09-05  Sam Weinig  <sam@webkit.org>

        Part 2 of removing PlatformString.h, remove PlatformString.h
        https://bugs.webkit.org/show_bug.cgi?id=95931

        Reviewed by Adam Barth.

        Remove PlatformString.h

        * WebCoreSupport/ChromeClientGtk.cpp:
        * WebCoreSupport/DumpRenderTreeSupportGtk.cpp:
        * WebCoreSupport/InspectorClientGtk.cpp:
        * gdom/ConvertToGCharPrivate.h:
        * webkit/webkitsecurityorigin.cpp:
        * webkit/webkitwebdatasource.cpp:
        * webkit/webkitwebhistoryitem.cpp:
        * webkit/webkitwebresource.cpp:

2012-09-06  Carlos Garcia Campos  <cgarcia@igalia.com>

        [GTK] Add API to get/set the security policy of a given URI scheme
        https://bugs.webkit.org/show_bug.cgi?id=95549

        Reviewed by Martin Robinson.

        Add WebKitSecurityPolicy enum with flags that represent the
        security policy of a URI scheme. Add methods to get and set the
        security policy flags for a given URI scheme.

        * docs/webkitgtk-sections.txt: Add new symbols.
        * tests/testglobals.c:
        (test_globals_security_policy):
        (main):
        * webkit/webkitglobals.cpp:
        (webkit_set_security_policy_for_uri_scheme):
        (webkit_get_security_policy_for_uri_scheme):
        * webkit/webkitglobals.h:

2012-09-05  Kaustubh Atrawalkar  <kaustubh@motorola.com>

        [DRT] LTC:: Move printing related APIs from LayoutTestController to Internals
        https://bugs.webkit.org/show_bug.cgi?id=92735

        Reviewed by Hajime Morita.

        Move numberOfPages, pageProperty & pageSizeAndMarginsInPixels in Internals and remove duplicated code from DumprenderTree & WebkitTestRunner.

        * WebCoreSupport/DumpRenderTreeSupportGtk.cpp:
        * WebCoreSupport/DumpRenderTreeSupportGtk.h:
        (DumpRenderTreeSupportGtk):

2012-09-04  Joanmarie Diggs  <jdiggs@igalia.com>

        [GTK] Crash in AccessibilityObject::accessibilityPlatformIncludesObject()
        https://bugs.webkit.org/show_bug.cgi?id=95740

        Reviewed by Martin Robinson.

        Updated unit test.

        * tests/testatk.c:
        (testWebkitAtkComboBox): Added checks that the menu popup in a combo box
        has 0 links and, more importantly, that checking doesn't result in a crash.

2012-09-01  Joanmarie Diggs  <jdiggs@igalia.com>

        [Gtk] Incorrect/unexpected characters in the text of certain accessibles
        https://bugs.webkit.org/show_bug.cgi?id=95180

        Reviewed by Chris Fleizach.

        Corrected a unit test in which the expected accessible text was wrong as
        a result of this bug. In particular, the AtkText inserted into an empty
        text field is expected to be the same text atk_text_get_text() returns.
        That was not happening -- and presumably not noticed as a result of the
        hard to read textual representation of the multibyte password field
        bullets.

        * tests/testatk.c:
        (testWebkitAtkTextChangedNotifications): Corrected the test and added a
        comment so that one knows what the multibyte character is.

2012-08-31  José Dapena Paz  <jdapena@igalia.com>

        [GTK] Assert on ChromeClientGtk::scroll with delta (0, -1).
        https://bugs.webkit.org/show_bug.cgi?id=95590

        Change the assert to avoid hitting when the delta does not have any
        value > 0.

        Reviewed by Martin Robinson.

        * WebCoreSupport/ChromeClientGtk.cpp:
        (WebKit::ChromeClient::scroll):

2012-08-30  Benjamin Poulain  <bpoulain@apple.com>

        Replace JSC::UString by WTF::String
        https://bugs.webkit.org/show_bug.cgi?id=95271

        Reviewed by Geoffrey Garen.

        Replace UString by String.

        * gdom/ConvertToGCharPrivate.h:
        (copyAsGchar):

2012-08-30  Gyuyoung Kim  <gyuyoung.kim@samsung.com>

        Use ASCIILiteral for DEFINE_STATIC_LOCAL string
        https://bugs.webkit.org/show_bug.cgi?id=95420

        Reviewed by Benjamin Poulain.

        As recommended by http://trac.webkit.org/wiki/EfficientStrings,
        WebKit needs to use ASCIILiteral for the string of DEFINE_STATIC_LOCAL.

        * webkit/webkitwebsettings.cpp:
        (webkitPlatform):
        (webkitOSVersion):

2012-08-29  José Dapena Paz  <jdapena@igalia.com>

        [Gtk] Process Gtk 3.4 smooth scroll events properly.
        https://bugs.webkit.org/show_bug.cgi?id=88070

        Gtk 3.3.18 added smooth scroll events, adding a new scroll direction that
        provides detailed delta information.

        Added GDK_SMOOTH_SCROLL_MASK to the events listened, and added
        code to process properly the new direction GDK_SCROLL_SMOOTH and
        its deltas.

        Reviewed by Martin Robinson.

        * webkit/webkitwebview.cpp:
        (webkit_web_view_realize):

2012-08-28  Martin Robinson  <mrobinson@igalia.com>

        [GTK] Enable the edge distance anti-aliasing for accelerated compositing layers
        https://bugs.webkit.org/show_bug.cgi?id=95272

        Reviewed by No'am Rosenthal.

        Turn on edge-distance anti-aliasing for GTK+ WebKit1. This
        improves the quality of layer rendering.

        * WebCoreSupport/AcceleratedCompositingContextGL.cpp:
        (WebKit::AcceleratedCompositingContext::initialize):

2012-08-28  Sheriff Bot  <webkit.review.bot@gmail.com>

        Unreviewed, rolling out r126914.
        http://trac.webkit.org/changeset/126914
        https://bugs.webkit.org/show_bug.cgi?id=95239

        it breaks everything and fixes nothing (Requested by pizlo on
        #webkit).

        * WebCoreSupport/PlatformStrategiesGtk.cpp:
        (PlatformStrategiesGtk::getPluginInfo):
        * webkit/webkitfavicondatabase.cpp:
        (webkitFaviconDatabaseImportFinished):
        * webkit/webkitwebplugin.cpp:
        (webkit_web_plugin_get_mimetypes):

2012-08-28  Caio Marcelo de Oliveira Filho  <caio.oliveira@openbossa.org>

        Rename first/second to key/value in HashMap iterators
        https://bugs.webkit.org/show_bug.cgi?id=82784

        Reviewed by Eric Seidel.

        * WebCoreSupport/PlatformStrategiesGtk.cpp:
        (PlatformStrategiesGtk::getPluginInfo):
        * webkit/webkitfavicondatabase.cpp:
        (webkitFaviconDatabaseImportFinished):
        * webkit/webkitwebplugin.cpp:
        (webkit_web_plugin_get_mimetypes):

2012-08-27  Zan Dobersek  <zandobersek@gmail.com>

        [GTK] Memory cache should be cleared in between test runs
        https://bugs.webkit.org/show_bug.cgi?id=95105

        Reviewed by Martin Robinson.

        Add a DumpRenderTreeSupportGtk helper method that clears the
        memory cache when called.

        * WebCoreSupport/DumpRenderTreeSupportGtk.cpp:
        (DumpRenderTreeSupportGtk::clearMemoryCache):
        * WebCoreSupport/DumpRenderTreeSupportGtk.h:
        (DumpRenderTreeSupportGtk):

2012-08-27  Sheriff Bot  <webkit.review.bot@gmail.com>

        Unreviewed, rolling out r126836.
        http://trac.webkit.org/changeset/126836
        https://bugs.webkit.org/show_bug.cgi?id=95163

        Broke all Apple ports, EFL, and Qt. (Requested by tkent on
        #webkit).

        * WebCoreSupport/PlatformStrategiesGtk.cpp:
        (PlatformStrategiesGtk::getPluginInfo):
        * webkit/webkitfavicondatabase.cpp:
        (webkitFaviconDatabaseImportFinished):
        * webkit/webkitwebplugin.cpp:
        (webkit_web_plugin_get_mimetypes):

2012-08-27  Caio Marcelo de Oliveira Filho  <caio.oliveira@openbossa.org>

        Rename first/second to key/value in HashMap iterators
        https://bugs.webkit.org/show_bug.cgi?id=82784

        Reviewed by Eric Seidel.

        * WebCoreSupport/PlatformStrategiesGtk.cpp:
        (PlatformStrategiesGtk::getPluginInfo):
        * webkit/webkitfavicondatabase.cpp:
        (webkitFaviconDatabaseImportFinished):
        * webkit/webkitwebplugin.cpp:
        (webkit_web_plugin_get_mimetypes):

2012-08-27  Mikhail Pozdnyakov  <mikhail.pozdnyakov@intel.com>

        Rename RegisterProtocolHandler API to NavigatorContentUtils
        https://bugs.webkit.org/show_bug.cgi?id=94920

        Reviewed by Adam Barth.

        Renaming whatever RegisterProtocolHandler-prefixed to NavigatorContentUtils-prefixed.
        RegisterProtocolHandlerClientGtk is renamed to NavigatorContentUtilsClientGtk.

        * GNUmakefile.am:
        * WebCoreSupport/NavigatorContentUtilsClientGtk.cpp: Renamed from Source/WebKit/gtk/WebCoreSupport/RegisterProtocolHandlerClientGtk.cpp.
        (WebKit):
        (WebKit::NavigatorContentUtilsClient::create):
        (WebKit::NavigatorContentUtilsClient::NavigatorContentUtilsClient):
        (WebKit::NavigatorContentUtilsClient::registerProtocolHandler):
        * WebCoreSupport/NavigatorContentUtilsClientGtk.h: Renamed from Source/WebKit/gtk/WebCoreSupport/RegisterProtocolHandlerClientGtk.h.
        (WebKit):
        (NavigatorContentUtilsClient):
        (WebKit::NavigatorContentUtilsClient::~NavigatorContentUtilsClient):
        * webkit/webkitwebview.cpp:
        (webkit_web_view_init):
        * webkit/webkitwebviewprivate.h:

2012-08-23  Carlos Garcia Campos  <cgarcia@igalia.com>

        REGRESSION(r126306): it broke the plugin process
        https://bugs.webkit.org/show_bug.cgi?id=94797

        Reviewed by Xan Lopez.

        * GNUmakefile.am:

2012-08-22  Carlos Garcia Campos  <cgarcia@igalia.com>

        [GTK] Crash when finalizing WebKitWebView
        https://bugs.webkit.org/show_bug.cgi?id=94699

        Reviewed by Martin Robinson.

        Create the offscreen window the first time accelerated compositing
        is enabled, so that if it's never enabled the window won't be
        created.

        * WebCoreSupport/AcceleratedCompositingContextGL.cpp:
        (WebKit::AcceleratedCompositingContext::AcceleratedCompositingContext):
        (WebKit::AcceleratedCompositingContext::initialize):
        (WebKit::AcceleratedCompositingContext::setRootCompositingLayer):

2012-08-22  Gustavo Noronha Silva  <gns@gnome.org>

        [GTK] Split WebCore/platform into a separate library
        https://bugs.webkit.org/show_bug.cgi?id=94435

        Reviewed by Martin Robinson.

        More people have been reporting problems when linking WebCore because
        the command line limit is being exceeded. Splitting WebCore a bit more
        is in order.

        * GNUmakefile.am: link libWebCorePlatform into libwebkitgtk

2012-08-22  Carlos Garcia Campos  <cgarcia@igalia.com>

        [GTK] Preferred languages and spellchecker APIs are not consistent in WebKit2
        https://bugs.webkit.org/show_bug.cgi?id=94683

        Reviewed by Alejandro G. Castro.

        * webkit/webkitspellcheckerenchant.cpp:
        (updateSpellCheckingLanguages): Split the languages string to pass a
        Vector to updateSpellCheckingLanguages().

2012-08-21  Joanmarie Diggs  <jdiggs@igalia.com>
        [Gtk] No accessible caret-moved events found in certain content
        https://bugs.webkit.org/show_bug.cgi?id=72811

        Reviewed by Chris Fleizach.

        Part of the bug is due to objects which should claim to implement AtkText
        failed to do so as a result of containing a mixture of inline and block
        spans.

        An updated unit test was provided.

        * tests/testatk.c:
        (testWebkitAtkCaretOffsets): Added instances of objects containing a
        mixture of inline and block spans and tested that they implement AtkText
        and contain the right textual contents.

2012-08-21  Kihong Kwon  <kihong.kwon@samsung.com>

        [EFL][GTK][BlackBerry] Fix build error in the DeviceOrientationClient
        https://bugs.webkit.org/show_bug.cgi?id=94586

        Reviewed by Kentaro Hara.

        Fix build error in the DeviceOrientationClientGtk.cpp.
        It is occured because DeviceOrientation is changed to DeviceOrientationData in the WebCore.

        * WebCoreSupport/DeviceOrientationClientGtk.cpp:
        (WebKit::DeviceOrientationClientGtk::lastOrientation):

2012-08-21  Martin Robinson  <mrobinson@igalia.com>

        [GTK] Using a native window for the WebView breaks GtkOverlay
        https://bugs.webkit.org/show_bug.cgi?id=90085

        Reviewed by Alejandro G. Castro.

        Rewrite AcceleratedCompositingContext for TextureMapperGL to be more similar to
        the WebKit2 LayerTreeHost and switch from rendering directly to the widget window
        to a window redirected to a pixmap via XComposite. The AcceleratedCompositingContext
        now handles painting the non-composited content itself and no longer relies on the
        ChromeClient backing store.

        This fixes issues with using GtkOverlay WebKitWebView as well as making it possible
        to run pixel tests with accelerated compositing turned on.

        * WebCoreSupport/AcceleratedCompositingContext.h:
        (AcceleratedCompositingContext):
        * WebCoreSupport/AcceleratedCompositingContextGL.cpp:
        Rename some methods to make them more similar to LayerTreeHost. Now we wait to render
        the OpenGL context to the window until the widget's draw signal. Escape out of all
        methods early if accelerated compositing is disabled.
        * WebCoreSupport/ChromeClientGtk.cpp: Always check if accelerated compositing is on
        before calling into AcceleratedCompositingContext methods. When AC is on, never paint
        the backing store, deferring immediately to the AcceleratedCompositingContext. When
        AC is turned on the backing store now shrinks to a small size to save memory.
        * webkit/webkitwebview.cpp:
        (resizeWebViewFromAllocation): ChromeClient is now responsible for talking to the
        AcceleratedCompositingContext directly.
        (webkit_web_view_size_allocate): Exit early if the allocation is not a resize. This
        makes some deeper logic a bit simpler and avoids accidentally doing too much work for
        widget movement.
        (webkit_web_view_realize): We no longer need a native window.

2012-08-15  Joanmarie Diggs  <jdiggs@igalia.com>

        [Gtk] atk_text_set_caret_offset() fails for table cells
        https://bugs.webkit.org/show_bug.cgi?id=83501

        Reviewed by Chris Fleizach.

        Update unit test to include setting the caret in a table cell via the AtkText interface.

        * tests/testatk.c:
        (testWebkitAtkCaretOffsets): Add setting the caret inside the text of a table cell.

2012-08-15  Joanmarie Diggs  <jdiggs@igalia.com>

        [Gtk] atk_text_get_text_at_offset() fails to provide the correct line for paragraphs in list items whose text wraps
        https://bugs.webkit.org/show_bug.cgi?id=83435

        Reviewed by Chris Fleizach.

        Updated unit test to include a paragraph in a list item when testing atk_text_get_text_at_offset().

        * tests/testatk.c:
        (testWebkitAtkGetTextAtOffsetWithSpecialCharacters):

2012-08-14  Adam Barth  <abarth@webkit.org>

        Delete Frame::domWindow() and Frame::existingDOMWindow()
        https://bugs.webkit.org/show_bug.cgi?id=93990

        Reviewed by Eric Seidel.

        * WebCoreSupport/DumpRenderTreeSupportGtk.cpp:
        (DumpRenderTreeSupportGtk::getPendingUnloadEventCount):

2012-08-13  Tom Sepez  <tsepez@chromium.org>

        [chromium] release FrameLoaderClientImpl::m_pluginWidget refptr upon Plugin Document detach.
        https://bugs.webkit.org/show_bug.cgi?id=93283

        Reviewed by Eric Seidel.

        Change the client redirectDataToPlugin method(s) to expect the possibility of
        a NULL argument, keeping existing behaviour otherwise.

        * WebCoreSupport/FrameLoaderClientGtk.cpp:
        (WebKit::FrameLoaderClient::redirectDataToPlugin):

2012-08-13  Martin Robinson  <mrobinson@igalia.com>

        [GTK] Default signal handler for WebKitWebView::should-show-delete-interface-for-element overrides default result
        https://bugs.webkit.org/show_bug.cgi?id=93600

        Reviewed by Xan Lopez.

        Instead of using the default editing signal handler for ::should-show-delete-interface-for-element,
        do not use a default signal handler. This means that the result of the signal defaults to FALSE,
        which is the expected value to ensure that the delete interface is not shown.

        * webkit/webkitwebview.cpp:
        (webkit_web_view_class_init): Do not install a default signal handler.

2012-08-13  Mario Sanchez Prada  <msanchez@igalia.com>

        [GTK] Implementation of atk_editable_text_insert_text ignores 'length' parameter
        https://bugs.webkit.org/show_bug.cgi?id=93804

        Reviewed by Carlos Garcia Campos.

        Update unit tests to also check inserting a partial string.

        * tests/testatk.c:
        (testWebkitAtkTextChangedNotifications): Update test.

2012-08-10  Alice Cheng  <alice_cheng@apple.com>

        Part 1 of: Extend -webkit-user-select with a new value "all"
        <rdar://problem/10161404>
        https://bugs.webkit.org/show_bug.cgi?id=93562

        Reviewed by Dan Bernstein.

        Modify the enum to resolve ambiguous reference

        * webkit/webkitwebview.cpp:
        (webkit_web_view_class_init): Modify the ambiguous enum
        (webkit_web_view_select_all): Modify the ambiguous enum

2012-08-10  Mario Sanchez Prada  <msanchez@igalia.com>

        [GTK] Broken implementation of AtkText and AtkEditableText for password fields
        https://bugs.webkit.org/show_bug.cgi?id=93621

        Reviewed by Chris Fleizach.

        Update unit test to ensure that password input fields behave
        as expected when inserting and removing characters in them.

        * tests/testatk.c:
        (testWebkitAtkTextChangedNotifications): Updated unit test to
        cover the special case of password input fields.

2012-08-09  Carlos Garcia Campos  <cgarcia@igalia.com>

        Handle SSL errors for SOUP
        https://bugs.webkit.org/show_bug.cgi?id=90267

        Reviewed by Martin Robinson.

        Ignore SSL errors by default for compatibility.

        * webkit/webkitglobals.cpp:
        (webkitInit):

2012-08-07  Carlos Garcia Campos  <cgarcia@igalia.com>

        Unreviewed. Fix GTK+ build with GTK2 after r120918.

        * tests/testwebview.c:

2012-08-06  Carlos Garcia Campos  <cgarcia@igalia.com>

        Unreviewed. Update NEWS and configure.ac for 1.9.6 release

        * NEWS: Added release notes for 1.9.6.

2012-08-06  Mikhail Pozdnyakov  <mikhail.pozdnyakov@intel.com>

        [EFL] [GTK] Register Protocol Handler Client is never deleted
        https://bugs.webkit.org/show_bug.cgi?id=92745

        Reviewed by Gustavo Noronha Silva.

        Added usage of OwnPtr to manage register protocol handler client pointer.

        * WebCoreSupport/RegisterProtocolHandlerClientGtk.cpp:
        (WebKit::RegisterProtocolHandlerClient::create): Factory function returning smart pointer.
        (WebKit):
        * WebCoreSupport/RegisterProtocolHandlerClientGtk.h:
        (RegisterProtocolHandlerClient):
        * webkit/webkitwebview.cpp:
        (webkit_web_view_init):
        * webkit/webkitwebviewprivate.h:

2012-08-03  Mario Sanchez Prada  <msanchez@igalia.com>

        [GTK] Add a new and reusable enchant-based spellchecker in WebCore
        https://bugs.webkit.org/show_bug.cgi?id=90269

        Reviewed by Martin Robinson.

        Remove enchant specific code from WebKitSpellCheckerEnchant and
        implement it relying in the new TextCheckerEnchant class in WebCore.

        * webkit/webkitspellcheckerenchant.cpp:
        (_WebKitSpellCheckerEnchantPrivate):
        (webkit_spell_checker_enchant_finalize):
        (webkit_spell_checker_enchant_class_init):
        (webkit_spell_checker_enchant_init):
        (checkSpellingOfString):
        (getGuessesForWord):
        (updateSpellCheckingLanguages):
        (learnWord):
        (ignoreWord):

2012-08-02  Claudio Saavedra  <csaavedra@igalia.com>

        [GTK] Add WebKitNetworkResponse::suggested-filename property
        https://bugs.webkit.org/show_bug.cgi?id=92878

        Reviewed by Carlos Garcia Campos.

        Webcore has API the suggested filename for a response, add
        a property and getter for it in WebKitNetworkResponse.

        * docs/webkitgtk-sections.txt: Add the symbols
        * webkit/webkitnetworkresponse.cpp:
        (_WebKitNetworkResponsePrivate): Add suggested_filename.
        (webkit_network_response_finalize): Free it on finalize
        (webkit_network_response_get_property): Add the getter call.
        (webkit_network_response_class_init): Install the property.
        (webkit_network_response_get_suggested_filename): New getter.
        * webkit/webkitnetworkresponse.h: Add the declaration to header
        file.

2012-07-31  Sheriff Bot  <webkit.review.bot@gmail.com>

        Unreviewed, rolling out r124207.
        http://trac.webkit.org/changeset/124207
        https://bugs.webkit.org/show_bug.cgi?id=92773

        Patch causes crashes on the 64-bit debug builder (and other
        builders likely) (Requested by zdobersek on #webkit).

        * webkit/webkitspellcheckerenchant.cpp:
        (_WebKitSpellCheckerEnchantPrivate):
        (createEnchantBrokerIfNeeded):
        (freeSpellCheckingLanguage):
        (webkit_spell_checker_enchant_finalize):
        (webkit_spell_checker_enchant_class_init):
        (webkit_spell_checker_enchant_init):
        (wordEndIsAContractionApostrophe):
        (checkSpellingOfString):
        (getGuessesForWord):
        (getAvailableDictionariesCallback):
        (updateSpellCheckingLanguages):
        (learnWord):
        (ignoreWord):

2012-07-31  Mario Sanchez Prada  <msanchez@igalia.com>

        [GTK] Add a new and reusable enchant-based spellchecker in WebCore
        https://bugs.webkit.org/show_bug.cgi?id=90269

        Reviewed by Martin Robinson.

        Remove enchant specific code from WebKitSpellCheckerEnchant and
        implement it relying in the new TextCheckerEnchant class in WebCore.

        * webkit/webkitspellcheckerenchant.cpp:
        (_WebKitSpellCheckerEnchantPrivate):
        (webkit_spell_checker_enchant_finalize):
        (webkit_spell_checker_enchant_class_init):
        (webkit_spell_checker_enchant_init):
        (checkSpellingOfString):
        (getGuessesForWord):
        (updateSpellCheckingLanguages):
        (learnWord):
        (ignoreWord):

2012-07-30  Martin Robinson  <mrobinson@igalia.com>

        [GTK] New lines automatically and repeatedly added to list items in Etherpad
        https://bugs.webkit.org/show_bug.cgi?id=89971

        Reviewed by Ryosuke Niwa.

        Disable the deletion UI by default. This UI, which was enabled as a side-effect
        of the addition of the private editing API, seems to expose a bug in Etherpad
        which causes the continuous insertion of bullet points.

        * WebCoreSupport/EditorClientGtk.cpp:
        (WebKit::EditorClient::shouldShowDeleteInterface): Disable the deletion UI by default.

2012-07-30  Sheriff Bot  <webkit.review.bot@gmail.com>

        Unreviewed, rolling out r123966 and r123967.
        http://trac.webkit.org/changeset/123966
        http://trac.webkit.org/changeset/123967
        https://bugs.webkit.org/show_bug.cgi?id=92656

        This patch is causing assertion failures on the debug bot
        (also rolling out a dependent patch) (Requested by mrobinson
        on #webkit).

        * webkit/webkitspellcheckerenchant.cpp:
        (_WebKitSpellCheckerEnchantPrivate):
        (createEnchantBrokerIfNeeded):
        (freeSpellCheckingLanguage):
        (webkit_spell_checker_enchant_finalize):
        (webkit_spell_checker_enchant_class_init):
        (webkit_spell_checker_enchant_init):
        (wordEndIsAContractionApostrophe):
        (checkSpellingOfString):
        (getGuessesForWord):
        (getAvailableDictionariesCallback):
        (updateSpellCheckingLanguages):
        (learnWord):
        (ignoreWord):

2012-07-30  Claudio Saavedra  <csaavedra@igalia.com>

        [Gtk] Add WK1 API for snapshot retrieval
        https://bugs.webkit.org/show_bug.cgi?id=92261

        Reviewed by Martin Robinson.

        Add API to WebKitWebView to retrieve a snapshot of its
        visible contents as a cairo_surface_t.

        * docs/webkitgtk-sections.txt: Add new symbols.
        * webkit/webkitwebview.cpp:
        (webkit_web_view_get_snapshot): New
        method to paint a webview snapshot.
        * webkit/webkitwebview.h: Ditto.

2012-07-28  Mario Sanchez Prada  <msanchez@igalia.com>

        [GTK] Add a new and reusable enchant-based spellchecker in WebCore
        https://bugs.webkit.org/show_bug.cgi?id=90269

        Reviewed by Martin Robinson.

        Remove enchant specific code from WebKitSpellCheckerEnchant and
        implement it relying in the new TextCheckerEnchant class in WebCore.

        * webkit/webkitspellcheckerenchant.cpp:
        (_WebKitSpellCheckerEnchantPrivate):
        (webkit_spell_checker_enchant_finalize):
        (webkit_spell_checker_enchant_class_init):
        (webkit_spell_checker_enchant_init):
        (checkSpellingOfString):
        (getGuessesForWord):
        (updateSpellCheckingLanguages):
        (learnWord):
        (ignoreWord):

2012-07-26  Kaustubh Atrawalkar  <kaustubh@motorola.com>

        [DRT] LTC:: pageNumberForElementById() could be moved to Internals
        https://bugs.webkit.org/show_bug.cgi?id=92091

        Reviewed by Adam Barth.

        Move the pageNumberForElementById from LayoutTestCotroller to Internals and
        remove the old platform specific implementations as it exclusively tests WebCore functionality.

        * WebCoreSupport/DumpRenderTreeSupportGtk.cpp:
        * WebCoreSupport/DumpRenderTreeSupportGtk.h:
        (DumpRenderTreeSupportGtk):

2012-07-24  Kaustubh Atrawalkar  <kaustubh@motorola.com>

        [DRT] LTC:: pageNumberForElementById() could be moved to Internals
        https://bugs.webkit.org/show_bug.cgi?id=92091

        Reviewed by Adam Barth.

        Move the pageNumberForElementById from LayoutTestCotroller to Internals and
        remove the old platform specific implementations as it exclusively tests WebCore functionality.

        * WebCoreSupport/DumpRenderTreeSupportGtk.cpp:
        * WebCoreSupport/DumpRenderTreeSupportGtk.h:
        (DumpRenderTreeSupportGtk):

2012-07-23  Pierre Rossi  <pierre.rossi@gmail.com>

        Unify numTouchEventHandlersChanged and needTouchEvents in the chrome client
        https://bugs.webkit.org/show_bug.cgi?id=91006

        Reviewed by Ryosuke Niwa.

        Remove numTouchEventHandlersChanged stub.

        * WebCoreSupport/ChromeClientGtk.h:

2012-07-17  Vivek Galatage  <vivekgalatage@gmail.com>

        Web Inspector: refactor InspectorController::connectFrontend() to accept InspectorFrontendChannel.
        https://bugs.webkit.org/show_bug.cgi?id=91196

        Reviewed by Pavel Feldman.

        Refactoring InspectorClients. InspectorClient::openInspectorFrontend
        now returning the InspectorFrontendChannel.

        * WebCoreSupport/InspectorClientGtk.cpp:
        (WebKit::InspectorClient::openInspectorFrontend):
        * WebCoreSupport/InspectorClientGtk.h:
        (InspectorClient):

2012-07-16  Gyuyoung Kim  <gyuyoung.kim@samsung.com>

        Add RegisterProtocolHandlerClient to the Modules/protocolhandler
        https://bugs.webkit.org/show_bug.cgi?id=90940

        Reviewed by Hajime Morita.

        As a step to let protocol handler be moved to the modules, RegisterProtocolHandlerClient needs
        to be added to the Modules/protocolhandler. Because ChromeClient has some virtual functions for
        protocol handlers, virtual functions should be moved to RegisterProtocolHandlerClient.

        In order to support this, RegisterProtocolHandlerClientGtk class is added and webview registers
        RegisterProtocolHandlerClientGtk. In addition, existing concrete functions in ChromeClientGtk are moved
        to RegisterProtocolHandlerClientGtk.

        * GNUmakefile.am:
        * WebCoreSupport/ChromeClientGtk.cpp:
        * WebCoreSupport/ChromeClientGtk.h:
        (ChromeClient):
        * WebCoreSupport/RegisterProtocolHandlerClientGtk.cpp: Added.
        (WebKit):
        (WebKit::RegisterProtocolHandlerClient::RegisterProtocolHandlerClient):
        (WebKit::RegisterProtocolHandlerClient::registerProtocolHandler):
        * WebCoreSupport/RegisterProtocolHandlerClientGtk.h: Added.
        (WebKit):
        (RegisterProtocolHandlerClient):
        (WebKit::RegisterProtocolHandlerClient::~RegisterProtocolHandlerClient):
        * webkit/webkitwebview.cpp:
        (webkit_web_view_init):

2012-07-16  Carlos Garcia Campos  <cgarcia@igalia.com>

        Unreviewed. Update NEWS and configure.ac for 1.9.5 release

        * NEWS: Added release notes for 1.9.5.

2012-07-10  Adam Barth  <abarth@webkit.org>

        WebCore::Settings for Hixie76 WebSocket protocol doesn't do anything and should be removed
        https://bugs.webkit.org/show_bug.cgi?id=90910

        Reviewed by Eric Seidel.

        * WebCoreSupport/DumpRenderTreeSupportGtk.cpp:
        * WebCoreSupport/DumpRenderTreeSupportGtk.h:
        (DumpRenderTreeSupportGtk):
        * webkit/webkitwebview.cpp:
        (webkit_web_view_update_settings):

2012-07-10  Sudarsana Nagineni  <sudarsana.nagineni@linux.intel.com>

        [GTK] Fix memory leaks by adopting allocation of GdkPixbuf
        https://bugs.webkit.org/show_bug.cgi?id=90790

        Reviewed by Carlos Garcia Campos.

        Fixed a memory leak in WebKitFaviconDatabase by adopting an
        allocation of GdkPixbuf.

        * webkit/webkitfavicondatabase.cpp:
        (getIconPixbufSynchronously):

2012-07-10  Adam Barth  <abarth@webkit.org>

        LayoutTestController.dumpConfigurationForViewport should move to Internals
        https://bugs.webkit.org/show_bug.cgi?id=45652

        Reviewed by Eric Seidel.

        * WebCoreSupport/DumpRenderTreeSupportGtk.cpp:
        * WebCoreSupport/DumpRenderTreeSupportGtk.h:
        (DumpRenderTreeSupportGtk):

2012-07-09  Adam Klein  <adamk@chromium.org>

        Rename WebCore::WebKitMutationObserver to WebCore::MutationObserver
        https://bugs.webkit.org/show_bug.cgi?id=90810

        Reviewed by Ojan Vafai.

        * WebCoreSupport/DumpRenderTreeSupportGtk.cpp:
        (DumpRenderTreeSupportGtk::deliverAllMutationsIfNecessary):

2012-07-09  Zan Dobersek  <zandobersek@gmail.com>

        [Gtk] Implement dumpFrameScrollPosition in DumpRenderTree
        https://bugs.webkit.org/show_bug.cgi?id=89356

        Reviewed by Martin Robinson.

        Add a new method for returning the WebKitDOMDocument that is loaded
        in a given frame, webkit_web_frame_get_dom_document.

        * docs/webkitgtk-sections.txt:
        * webkit/webkitwebframe.cpp:
        (webkit_web_frame_get_dom_document):
        * webkit/webkitwebframe.h:
        * webkit/webkitwebview.cpp: State explicitly that the document being returned
        when calling webkit_web_view_get_dom_document is loaded in the main frame.
        Also call the webkit_web_frame_get_dom_document on WebKitWebView's main frame
        to get the document.

2012-07-09  Zan Dobersek  <zandobersek@gmail.com>

        [Gtk] Unskip the CSS Regions layout tests
        https://bugs.webkit.org/show_bug.cgi?id=90771

        Reviewed by Martin Robinson.

        Add a method to DumpRenderTreeSupportGtk for enabling or disabling
        CSS Regions from DumpRenderTree.

        * WebCoreSupport/DumpRenderTreeSupportGtk.cpp:
        (DumpRenderTreeSupportGtk::setCSSRegionsEnabled):
        * WebCoreSupport/DumpRenderTreeSupportGtk.h:
        (DumpRenderTreeSupportGtk):

2012-07-09  Sudarsana Nagineni  <sudarsana.nagineni@linux.intel.com>

        [GTK] Memory leak in webkitwebnavigationaction.cpp
        https://bugs.webkit.org/show_bug.cgi?id=90787

        Reviewed by Martin Robinson.

        Fixed a memory leak in WebKitWebNavigationAction.

        * webkit/webkitwebnavigationaction.cpp:
        (webkit_web_navigation_action_finalize): Free the g_strdup()'d string.

2012-07-07  Zan Dobersek  <zandobersek@gmail.com>

        REGRESSION (r122035): fullscreen/exit-full-screen-iframe.html failing on GTK Linux 64-bit Release
        https://bugs.webkit.org/show_bug.cgi?id=90719

        Reviewed by Martin Robinson.

        Follow the approach of the BlackBerry port outlined in r122035, using in exitFullScreenForElement
        the fullscreen element to which the reference was saved when enterFullScreenForElement was called.

        * WebCoreSupport/ChromeClientGtk.cpp:
        (WebKit::ChromeClient::exitFullScreenForElement):

2012-07-02  Benjamin Poulain  <bpoulain@apple.com>

        Do not do any logging initialization when logging is disabled
        https://bugs.webkit.org/show_bug.cgi?id=90228

        Reviewed by Simon Fraser.

        * webkit/webkitglobals.cpp:
        (webkitInit):

2012-06-29  Tony Chang  <tony@chromium.org>

        [GTK] Enable CSS grid layout LayoutTests on GTK+
        https://bugs.webkit.org/show_bug.cgi?id=90226

        Reviewed by Martin Robinson.

        * WebCoreSupport/DumpRenderTreeSupportGtk.cpp:
        (DumpRenderTreeSupportGtk::setCSSGridLayoutEnabled): Pass through to Settings object.
        * WebCoreSupport/DumpRenderTreeSupportGtk.h:
        (DumpRenderTreeSupportGtk):

2012-06-29  Konrad Piascik  <kpiascik@rim.com>

        Don't hardcode target dpi of 160 (it should be 96 on desktop)
        https://bugs.webkit.org/show_bug.cgi?id=88114

        Reviewed by Adam Barth.

        Updated the call to computeViewportAttributes.

        * WebCoreSupport/DumpRenderTreeSupportGtk.cpp:
        (DumpRenderTreeSupportGtk::dumpConfigurationForViewport):
        * webkit/webkitviewportattributes.cpp:
        (webkitViewportAttributesRecompute):

2012-06-25  Mark Hahnenberg  <mhahnenberg@apple.com>

        JSLock should be per-JSGlobalData
        https://bugs.webkit.org/show_bug.cgi?id=89123

        Reviewed by Geoffrey Garen.

        Changed all sites that used JSLock to instead use the new JSLockHolder
        and pass in the correct JS context that the code is about to interact with that 
        needs protection. Also added a couple JSLocks to places that didn't already 
        have it that needed it.

        * WebCoreSupport/DumpRenderTreeSupportGtk.cpp:
        (DumpRenderTreeSupportGtk::gcCountJavascriptObjects):

2012-06-27  Martin Robinson  <mrobinson@igalia.com>

        [gtk] Spell checker doesn't recognize contractions (apostrophes)
        https://bugs.webkit.org/show_bug.cgi?id=86118

        Reviewed by Gustavo Noronha Silva.

        Work-around a bug in Pango by trying to detect apostrophes
        that create contractions. This work-around is similar to one
        found in gtkspell.

        * webkit/webkitspellcheckerenchant.cpp:
        (wordEndIsAContractionApostrophe): Added this helper which tries to detect
        situations where a word end is both an apostrophe and followed by a alphabetic
        character.
        (checkSpellingOfString): When searching for the end of a word, skip over
        apostrophes that appear to be part of contractions.

2012-06-27  Zan Dobersek  <zandobersek@gmail.com>

        [Gtk] Add support for the Gamepad API
        https://bugs.webkit.org/show_bug.cgi?id=87503

        Reviewed by Carlos Garcia Campos.

        Add the Gamepad feature dependencies libraries to the LIBADD
        list for the libwebkitgtk library.

        * GNUmakefile.am:

2012-06-25  Carlos Garcia Campos  <cgarcia@igalia.com>

        Unreviewed. Update NEWS and configure.ac for 1.9.4 release

        * NEWS: Added release notes for 1.9.4.

2012-06-23  Sheriff Bot  <webkit.review.bot@gmail.com>

        Unreviewed, rolling out r121058.
        http://trac.webkit.org/changeset/121058
        https://bugs.webkit.org/show_bug.cgi?id=89809

        Patch causes plugins tests to crash in GTK debug builds
        (Requested by zdobersek on #webkit).

        * WebCoreSupport/DumpRenderTreeSupportGtk.cpp:
        (DumpRenderTreeSupportGtk::gcCountJavascriptObjects):

2012-06-20  Mark Hahnenberg  <mhahnenberg@apple.com>

        JSLock should be per-JSGlobalData
        https://bugs.webkit.org/show_bug.cgi?id=89123

        Reviewed by Gavin Barraclough.

        Changed all sites that used JSLock to instead use the new JSLockHolder
        and pass in the correct JS context that the code is about to interact with that 
        needs protection.

        * WebCoreSupport/DumpRenderTreeSupportGtk.cpp:
        (DumpRenderTreeSupportGtk::gcCountJavascriptObjects):

2012-06-22  Amy Ousterhout  <aousterh@chromium.org>

        Renamed DeviceOrientation to DeviceOrientationData
        https://bugs.webkit.org/show_bug.cgi?id=88663

        Reviewed by Steve Block.

        Updated files to use the renamed DeviceOrientationData instead of DeviceOrientation.
        This change makes DeviceOrientationData consistent with DeviceMotionData.
        
        * WebCoreSupport/DeviceOrientationClientGtk.h:
        (DeviceOrientationClientGtk):

2012-06-21  Daniel Drake  <dsd@laptop.org>

        [GTK] Backport run-file-chooser to WebKit1
        https://bugs.webkit.org/show_bug.cgi?id=87283

        Reviewed by Gustavo Noronha Silva.

        This is a relatively straightforward backport of Mario Sanchez
        Prada's WebKit2 run-file-chooser signal work, intended for use by
        OLPC and others who are not quite ready to move to WebKit2.

        Add a new public class to the API, WebKitFileChooserRequest, to be
        emitted along with a new WebKitWebView::run-file-chooser signal to
        let client applications to provide their own file chooser dialog
        when the use interacts with HTML Input elements of type 'file'.

        * GNUmakefile.am: Added new source files and headers.
        * webkit/webkitfilechooserrequest.cpp: Added.
        (_WebKitFileChooserRequestPrivate):
        (webkit_file_chooser_request_init):
        (webkit_file_chooser_request_finalize):
        (webkit_file_chooser_request_get_property):
        (webkit_file_chooser_request_class_init):
        (webkit_file_chooser_request_create):
        (webkit_file_chooser_request_get_mime_types):
        (webkit_file_chooser_request_get_mime_types_filter):
        (webkit_file_chooser_request_get_select_multiple):
        (webkit_file_chooser_request_select_files):
        (webkit_file_chooser_request_get_selected_files):
        * webkit/webkitfilechooserrequest.h: Added.
        (_WebKitFileChooserRequest):
        (_WebKitFileChooserRequestClass):
        * webkit/webkitfilechooserrequestprivate.h: Added, 
        containing the prototype of webkit_file_chooser_request_create.

        Provide private API to make a file chooser request from the
        WebView, and provide a default handler for it.

        * webkit/webkitwebview.cpp:
        (fileChooserDialogResponseCallback): Handler for the 'response'
        signal for the GtkFileChooserDialog used in the default
        handler. It will call to webkit_file_chooser_request_select_files
        or webkit_file_chooser_request_cancel as needed.
        (webkitWebViewRealRunFileChooser): Default handler for the new
        'run-file-chooser' signal. It will create a GtkFileChooserDialog,
        connect to the 'response' signal and show it.
        (webkit_web_view_class_init): Connect the 'run-file-chooser'
        signal to the default handler, webkitWebViewRunFileChooser.
        (webkit_web_view_new):
        (webkitWebViewRunFileChooserRequest):
        * webkit/webkitwebview.h:
        (_WebKitWebViewClass): Added prototype for the handler of the new
        'run-file-chooser' signal.
        * webkit/webkitwebviewprivate.h: Added prototype for
        private new function webkitWebViewRunFileChooserRequest.

        Update runOpenPanel to use the new API, including a default handler
        with similar behaviour to before.

        * WebCoreSupport/ChromeClientGtk.cpp:
        (WebKit::ChromeClient::runOpenPanel): Now creates an instance of
        WebKitFileChooserRequest and asks the WebView to emit the
        new 'run-file-chooser' signal with it.

        Added the new public header to the main header.

        * webkit/webkit.h: Added webkitfilechooserrequest.h

        New unit tests for the new WebKitFileChooserRequest API.

        * tests/testwebview.c: Various WebKitFileChooserRequest tests,
        including MIME type filtering and selection handling.

        Updated documentation related files with the new API.

        * docs/webkitgtk-docs.sgml: Added new section.
        * docs/webkitgtk-sections.txt: Added new API.
        * docs/webkitgtk.types: Added get_type function.

2012-06-19  Chang Wan Hong  <jourmoon@company100.net>

        Refine syncLayersTimeoutCallback for Accelerated Compositing.
        https://bugs.webkit.org/show_bug.cgi?id=89538

        Reviewed by Martin Robinson.

        syncLayersTimeout reschedules the timer so that it can render each frame
        every 1/60 seconds on animation. However, because it takes to time to execute
        renderLayersToWindow, the timer is delayed. To fix this, we must reschedule
        the timer before calling renderLayersToWindow.

        * WebCoreSupport/AcceleratedCompositingContextGL.cpp:
        (WebKit::AcceleratedCompositingContext::syncLayersTimeout):

2012-06-19  Sergio Villar Senin  <svillar@igalia.com>

        Calling nativeImageForCurrentFrame() causes assertion failure: m_verifier.isSafeToUse()
        https://bugs.webkit.org/show_bug.cgi?id=67582

        Reviewed by David Levin.

        Use synchronousNativeIconForPageURL() to retrieve favicons.

        * webkit/webkitfavicondatabase.cpp:
        (getIconPixbufSynchronously):

2012-06-18  Mario Sanchez Prada  <msanchez@igalia.com>

        [GTK] Get rid of DumpRenderTreeSupportGtk::{in|de}crementAccessibilityValue
        https://bugs.webkit.org/show_bug.cgi?id=89226

        Reviewed by Martin Robinson.

        Remove unnecesary functions incrementAccessibilityValue() and
        decrementAccessibilityValue() from DumpRenderTreeSupportGtk.

        * WebCoreSupport/DumpRenderTreeSupportGtk.cpp:
        * WebCoreSupport/DumpRenderTreeSupportGtk.h:
        (DumpRenderTreeSupportGtk):

2012-06-14  Alejandro G. Castro  <alex@igalia.com>

        [GTK] Add TextureMapper ImageBuffer support as a fallback from the hardware accelerated path
        https://bugs.webkit.org/show_bug.cgi?id=73634

        Add the new graphics layer client that uses cairo to render the
        composition. The cairo transformations do not support perspective
        so in perspective cases we have just a representation not the real
        perspective transformation.

        This patch adds a new implementation of already tested cases.

        Reviewed by Martin Robinson.

        * GNUmakefile.am:
        * WebCoreSupport/AcceleratedCompositingContext.h:
        (AcceleratedCompositingContext):
        * WebCoreSupport/AcceleratedCompositingContextCairo.cpp: Added.
        * WebCoreSupport/ChromeClientGtk.cpp:
        (WebKit::ChromeClient::invalidateWidgetRect): We need to
        invalidate the widget in this case because we do not directly
        render to a texture but to the widget surface.
        (WebKit::ChromeClient::paint): We can not render here, we have to
        invalidate and wait for the widget rendering.
        * webkit/webkitwebview.cpp:
        (webkit_web_view_draw): In this case the renderLayersToWindow
        requires the graphics context used to render in the window.
        (webkit_web_view_realize): Small cleanup of the priv variable
        definition.

2012-06-14  Zan Dobersek  <zandobersek@gmail.com>

        [Gtk] Add support in DumpRenderTree for tracking repaints
        https://bugs.webkit.org/show_bug.cgi?id=87658

        Reviewed by Martin Robinson.

        Add methods to the DumpRenderTreeSupport class for controlling the
        status of repaint tracking along with retreiving and resetting the
        tracked repaints.

        * WebCoreSupport/DumpRenderTreeSupportGtk.cpp:
        (DumpRenderTreeSupportGtk::setTracksRepaints):
        (DumpRenderTreeSupportGtk::isTrackingRepaints):
        (DumpRenderTreeSupportGtk::trackedRepaintRects):
        (DumpRenderTreeSupportGtk::resetTrackedRepaints):
        * WebCoreSupport/DumpRenderTreeSupportGtk.h:
        (DumpRenderTreeSupportGtk):

2012-06-13  Amy Ousterhout  <aousterh@chromium.org>

        Rename currentDeviceMotion to lastMotion in DeviceMotionClient
        https://bugs.webkit.org/show_bug.cgi?id=88854

        Reviewed by Adam Barth.

        Rename the function currentDeviceMotion to lastMotion in DeviceMotionClient.
        This makes it consistent with the similar function lastOrientation in DeviceOrientationClient.

        * WebCoreSupport/DeviceMotionClientGtk.cpp:
        (WebKit::DeviceMotionClientGtk::lastMotion):
        * WebCoreSupport/DeviceMotionClientGtk.h:
        (DeviceMotionClientGtk):

2012-06-11  Kaustubh Atrawalkar  <kaustubh@motorola.com>

        [DRT] LTC:: counterValueForElementById() could be moved to Internals.
        https://bugs.webkit.org/show_bug.cgi?id=84406

        Reviewed by Hajime Morita.

        Move the counterValueForElementById from LayoutTestCotroller to Internals and
        remove the old platform specific implementations as it exclusively tests WebCore functionality.

        * WebCoreSupport/DumpRenderTreeSupportGtk.cpp:
        * WebCoreSupport/DumpRenderTreeSupportGtk.h:
        (DumpRenderTreeSupportGtk):

2012-06-07  Simon Pena  <spena@igalia.com>

        [GTK] deviceScaleFactor setting is not honored
        https://bugs.webkit.org/show_bug.cgi?id=88511

        Reviewed by Gustavo Noronha Silva.

        Honor the deviceScaleFactor property in the paintWebView
        method of the ChromeClientGtk.

        * WebCoreSupport/ChromeClientGtk.cpp:
        (WebKit::paintWebView):

2012-06-04  Sudarsana Nagineni  <sudarsana.nagineni@linux.intel.com>

        [GTK] Memory leak in WebKitWebView
        https://bugs.webkit.org/show_bug.cgi?id=88214

        Reviewed by Martin Robinson.

        Fixed a memory leak in WebKitWebView by making
        GeolocationClientMock to be owned by the WebView.

        * webkit/webkitwebview.cpp:
        (webkit_web_view_init):
        * webkit/webkitwebviewprivate.h:

2012-06-04  Carlos Garcia Campos  <cgarcia@igalia.com>

        Unreviewed. Update NEWS and configure.ac for 1.9.3 release

        * NEWS: Added release notes for 1.9.3.

2012-06-04  Mario Sanchez Prada  <msanchez@igalia.com>

        [GTK] Remove geoclue dependency from WebKit API Layer
        https://bugs.webkit.org/show_bug.cgi?id=87801

        Reviewed by Martin Robinson.

        Make GeolocationClient for WebKitGTK+ use the new Geoclue-based
        geolocation provider available in WebCore.

        * WebCoreSupport/GeolocationClientGtk.cpp:
        (WebKit):
        (WebKit::GeolocationClient::GeolocationClient):
        (WebKit::GeolocationClient::startUpdating):
        (WebKit::GeolocationClient::stopUpdating):
        (WebKit::GeolocationClient::setEnableHighAccuracy):
        (WebKit::GeolocationClient::notifyPositionChanged):
        (WebKit::GeolocationClient::notifyErrorOccurred):
        * WebCoreSupport/GeolocationClientGtk.h:
        (GeolocationClient):

2012-05-31  Hajime Morrita  <morrita@chromium.org>

        REGRESSION(r117572): editing/spelling/spellcheck-async-remove-frame.html crashes on Mac
        https://bugs.webkit.org/show_bug.cgi?id=86859

        Reviewed by Ryosuke Niwa.

        * WebCoreSupport/TextCheckerClientGtk.h:
        (WebKit::TextCheckerClientGtk::requestCheckingOfString):

2012-05-31  Sheriff Bot  <webkit.review.bot@gmail.com>

        Unreviewed, rolling out r119113.
        http://trac.webkit.org/changeset/119113
        https://bugs.webkit.org/show_bug.cgi?id=88016

        This caused multiple regressions (Requested by mrobinson on
        #webkit).

        * WebCoreSupport/TextCheckerClientGtk.cpp:
        (WebKit::TextCheckerClientGtk::checkSpellingOfString):
        * webkit/webkitspellcheckerenchant.cpp:
        (checkSpellingOfString):

2012-05-31  Sudarsana Nagineni  <sudarsana.nagineni@linux.intel.com>

        [GTK] Memory leak in webkit_web_view_init
        https://bugs.webkit.org/show_bug.cgi?id=87943

        Reviewed by Martin Robinson.

        Fixed a memory leak in webkit_web_view_init by making the
        UserMediaClientGtk to be owned by the WebView.

        * webkit/webkitwebview.cpp:
        (webkit_web_view_init):
        * webkit/webkitwebviewprivate.h:

2012-05-31  Martin Robinson  <mrobinson@igalia.com>

        Spell checker doesn't recognize contractions (apostrophes)
        https://bugs.webkit.org/show_bug.cgi?id=86118

        Reviewed by Gustavo Noronha Silva.

        The Enchant spell checker was breaking words on apostrophes, because
        apparently they were always being detected as Pango word-end
        characters. To know whether or not the apostrophe is a
        word end character requires looking at a string with a larger
        granularity than one character.

        Simplify the way the we break strings, by search for non-graphable
        character manually to find word starts and ends. This has the side
        effect of removing the dependency on Pango and eliminating one copy.

        This change also cleans up some misbehavior on the part of the
        WebCoreSupport layer which was not converting from Unicode character
        offsets to UTF-16. These offsets can be different if any of the
        characters in the UTF-16 string are surrogate pairs (non BMP
        characters).

        * WebCoreSupport/TextCheckerClientGtk.cpp:
        (WebKit::TextCheckerClientGtk::checkSpellingOfString): Properly
        convert from Unicode offsets to UTF-16 offsets.
        * webkit/webkitspellcheckerenchant.cpp:
        (findByteOffsetToFirstNonGraphableCharacter): Added this helper.
        (getExtentsOfNextWord): Ditto.
        (wordIsSpelledCorrectlyInAtLeastOneDictionary): Ditto.
        (checkSpellingOfString): Don't split words on apostrophes.

2012-05-30  Sudarsana Nagineni  <sudarsana.nagineni@linux.intel.com>

        [GTK] [WK2] Memory leak in webkitWebViewBaseStartDrag
        https://bugs.webkit.org/show_bug.cgi?id=87756

        Reviewed by Carlos Garcia Campos.

        Fixed a memory leak in drag and drop by using adoptRef instead
        of just getting a new reference of targetList.

        * WebCoreSupport/DragClientGtk.cpp:
        (WebKit::DragClient::startDrag):

2012-05-25  Jesus Sanchez-Palencia  <jesus.palencia@openbossa.org>

        WebKitTestRunner needs to support layoutTestController.setJavaScriptProfilingEnabled
        https://bugs.webkit.org/show_bug.cgi?id=42328

        Reviewed by Eric Seidel.

        * webkit/webkitwebinspector.cpp:
        (webkit_web_inspector_set_property):

2012-05-25  Lu Guanqun  <guanqun.lu@intel.com>

        [GTK] fix compilation for webkitwebview.cpp
        https://bugs.webkit.org/show_bug.cgi?id=87473

        Reviewed by Martin Robinson.

        When ACCELERATED_COMPOSITING and TEXTURE_MAPPER_GL is not set,
        the local variable 'priv' won't be used. Therefore the following warning:

        ../../../Source/WebKit/gtk/webkit/webkitwebview.cpp: In function ‘void webkit_web_view_realize(GtkWidget*)’:
        ../../../Source/WebKit/gtk/webkit/webkitwebview.cpp:971:27: warning: unused variable ‘priv’ [-Wunused-variable]

        * webkit/webkitwebview.cpp:
        (webkit_web_view_realize):

== Rolled over to ChangeLog-2012-05-22 ==
